package com.rootcloud.common;

import com.rootcloud.common.vo.PrinterWorkBoxSize;

import java.util.HashMap;
import java.util.Map;

public class Constants {

    /**
     * 租户编号
     */
    public static final String CONFIG_CODE_TENANT_ID = "printer_tenant_id";

    /**以下尺寸为计算打印效率、布图率的尺寸
     */
    public static final Map<String, PrinterWorkBoxSize> PRINTER_WORK_BOX_SIZE_MAP = new HashMap<String, PrinterWorkBoxSize>(16) {
        {
//            put("2215", new PrinterWorkBoxSize().length(22F).width(15F).height(7F));
//            put("2218", new PrinterWorkBoxSize().length(22F).width(18F).height(7F));
//            put("2515", new PrinterWorkBoxSize().length(25F).width(15F).height(7F));
//            put("2518", new PrinterWorkBoxSize().length(25F).width(18F).height(7F));
//            put("1800", new PrinterWorkBoxSize().length(18F).width(11F).height(7F));//12F
//            put("Max", new PrinterWorkBoxSize().length(18F).width(10F).height(7F));
//            put("SDream", new PrinterWorkBoxSize().length(22F).width(12F).height(7.2F));
//            put("800", new PrinterWorkBoxSize().length(8F).width(5F).height(4F));
//            put("1000", new PrinterWorkBoxSize().length(10F).width(6F).height(5F));
//            put("2600", new PrinterWorkBoxSize().length(26F).width(20F).height(10F));
//
//            put("2600B", new PrinterWorkBoxSize().length(25F).width(23.5F).height(10F));//24F
//            put("2500", new PrinterWorkBoxSize().length(25.24F).width(15.60F).height(10F)); //25F 15F 改为25.24F 15.60F
//            put("300", new PrinterWorkBoxSize().length(3F).width(2F).height(10F));
//            put("1800E", new PrinterWorkBoxSize().length(18F).width(10F).height(7F));
//            put("1200", new PrinterWorkBoxSize().length(12F).width(12F).height(3.5F));
            //1200机型参数

            //2022-03-02 修改1800、Max的长、宽参数
            put("2215", new PrinterWorkBoxSize().length(22F).width(15F).height(7F));
            put("2218", new PrinterWorkBoxSize().length(22F).width(18F).height(7F));
            put("2515", new PrinterWorkBoxSize().length(25F).width(15F).height(7F));
            put("2518", new PrinterWorkBoxSize().length(25F).width(18F).height(7F));
            put("1800", new PrinterWorkBoxSize().length(17.3F).width(10.5F).height(7F));//18f 改为 17.3F  11F改为10.5F
            put("Max", new PrinterWorkBoxSize().length(17.3F).width(10F).height(7F)); //18f 改为 17.3F
            put("SDream", new PrinterWorkBoxSize().length(22F).width(12F).height(7.2F));
            put("800", new PrinterWorkBoxSize().length(8F).width(5F).height(4F));
            put("1000", new PrinterWorkBoxSize().length(10F).width(6F).height(5F));
            put("2600", new PrinterWorkBoxSize().length(26F).width(20F).height(10F));

            put("2600B", new PrinterWorkBoxSize().length(25F).width(23.5F).height(10F));//24F
            put("2500", new PrinterWorkBoxSize().length(25.24F).width(15.60F).height(10F)); //25F 15F 改为25.24F 15.60F
            put("300", new PrinterWorkBoxSize().length(3F).width(2F).height(10F));
            put("1800E", new PrinterWorkBoxSize().length(18F).width(10F).height(7F));
            put("1200", new PrinterWorkBoxSize().length(12F).width(12F).height(3.5F));

        }
    };

    /**
     * 以下尺寸为运维报告中计算砂利用率的尺寸
     */
    public static final Map<String, PrinterWorkBoxSize> PRINTER_WORK_BOX_SIZE_MAP_slyl = new HashMap<String, PrinterWorkBoxSize>(16) {
        {
            put("2215", new PrinterWorkBoxSize().length(22.6F).width(15.6F).height(7F));
            put("2218", new PrinterWorkBoxSize().length(22.6F).width(18.6F).height(7F));
            put("2515", new PrinterWorkBoxSize().length(25.6F).width(15.6F).height(7F));
            put("2518", new PrinterWorkBoxSize().length(25.6F).width(18.6F).height(7F));
            put("1800", new PrinterWorkBoxSize().length(18.6F).width(12F).height(7F));//12.6
            put("Max", new PrinterWorkBoxSize().length(18.6F).width(10.6F).height(7F));
            put("SDream", new PrinterWorkBoxSize().length(22.6F).width(12.6F).height(7.2F));
            put("800", new PrinterWorkBoxSize().length(8.4F).width(5.4F).height(4F));
            put("1000", new PrinterWorkBoxSize().length(10.4F).width(6.4F).height(5F));
            put("2600", new PrinterWorkBoxSize().length(27.1F).width(20.6F).height(10F));

            put("300", new PrinterWorkBoxSize().length(3.2F).width(2.2F).height(10F));
            put("2500", new PrinterWorkBoxSize().length(25.24F).width(15.6F).height(10F));
            put("2600B", new PrinterWorkBoxSize().length(25.6F).width(24.1F).height(10F));
            put("1800E", new PrinterWorkBoxSize().length(18.6F).width(10.6F).height(10F));
            put("1200", new PrinterWorkBoxSize().length(12F).width(12F).height(3.5F));
            //1200机型参数
        }
    };


}
