package com.rootcloud.common;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 效验属性不可以为空
 * @author yang yin bo
 *
 *2017年4月17日 下午2:47:02
 */

@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface NotBlank {

	String message() default "参数不可以为空";
	
}
