package com.rootcloud.common.constant;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@Data
@ConfigurationProperties(prefix = "application.jeboot")
public class Properties {

    /**
     * JP地址
     */
    private String wfHost;

    /**
     * JP推送站内信接口
     */
    public static final String dwr_sender_uri = "/je/dwr/sender";

}
