package com.rootcloud.common.constant;

import java.text.FieldPosition;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * <p>线程安全的DateFormat</p>
 * @author Adams.huang
 *
 */
public class SyncSimpleDateFormat extends SimpleDateFormat {
    /**
	 * 
	 */
	private static final long serialVersionUID = -446222332706658395L;

	public SyncSimpleDateFormat(String pattern) {
        super(pattern);
    }

    @Override
    public synchronized Date parse(String source) throws ParseException {
        return super.parse(source);
    }

    @Override
    public synchronized StringBuffer format(Date date, StringBuffer toAppendTo, FieldPosition pos) {
        return super.format(date, toAppendTo, pos);
    }
}
