package com.rootcloud.config.auth;

import lombok.Data;

/**
 *
 */
@Data
public class LoginUserInfo {
    private String userId;
    private String userName;
    private String tenantId;
    private String language;

    /**
     * 是否租户管理员
     */
    private boolean tenantAdmin;
    /**
     * 是否超管
     */
    private boolean supper;

    private String roleIds;
    private String roleNames;

    /**
     * 如果登录用户拥有网点角色，则此处会存储网点管理所有客户的id
     */
    private String customId;
    private String customName;

    private String siteId;
    private String siteName;

    private String currToken;


    public LoginUserInfo(String userId, String userName, String tenantId, boolean tenantAdmin, boolean supper,String currToken) {
        this.userId = userId;
        this.userName = userName;
        this.tenantId = tenantId;
        this.tenantAdmin = tenantAdmin;
        this.supper = supper;
        this.currToken = currToken;
    }
}
