package com.rootcloud.config.unipush;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;


/**
 * @author LiPingAn 2022/7/11 14:11
 * @version 1.0
 * 自己根据业务需求取配置相关信息
 */

@Data
@Component
@ConfigurationProperties(prefix = "unipush")
public class UniPushAppsConfig {
    private String appId;
    private String appKey;
    private String masterSecret;
    private String url;
}


