package com.rootcloud.controller;

import com.rootcloud.common.JsonResult;
import com.rootcloud.domain.service.message.MessageModelService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * @author ruixiang.feng
 * @ClassName
 * @Description
 * @date 2022年6月21日 10:44:05
 */
@Api(tags = "消息模版相关接口")
@RestController
@RequestMapping("/message")
public class MessageModelController {

    @Autowired
    private MessageModelService messageModelService;

    @ApiOperation(value = "删除消息模版")
    @PostMapping("/delMessageModel")
    public JsonResult<String> delMessageModel(@RequestBody List<String> Ids) {
        return messageModelService.delMessageModel(Ids);
    }


}
