package com.rootcloud.controller;

import com.rootcloud.common.JsonResult;
import com.rootcloud.domain.service.network.NetworkService;
import com.rootcloud.vo.device.NetWorkParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 网点服务人员
 *
 * @author wei.liao
 * @version 1.0
 * @date 2022/4/27 10:27
 */

@RestController
@RequestMapping("/network/")
public class NetworkController {

    @Autowired
    NetworkService networkService;

    @PostMapping("/bind-user")
    public JsonResult<Void> userList(@RequestBody NetWorkParam netWork) {
        networkService.bindUser(netWork.getNetworkId(), netWork.getUserIds(),netWork.getYhJs());
        return JsonResult.success();
    }
}
