package com.rootcloud.domain.ao;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @ClassName TiggerConditionAO
 * @Description 触发条件AO
 * @Author w-liuyi01
 * @Date 2022/4/29 10:50
 * @Version 1.0
 */
@Setter
@Getter
public class TriggerConditionAO {

    /**
     * 主键
     */
    @ApiModelProperty(value = "触发类型主键")
    private String nxTriggerConditionId;


    @NotNull(message = "触发类型不能为空")
    @ApiModelProperty(value = "触发类型")
    private String triggerCondition;

    @NotNull(message = "选择条件不能为空")
    @ApiModelProperty("选择条件")
    private String conditionTj;

    @NotNull(message = "条件值不能为空")
    @ApiModelProperty("条件值")
    private String conditionValue;

    @NotNull(message = "设置值不能为空")
    @ApiModelProperty("设置值")
    private String setValue;

    @ApiModelProperty("触发类型名称")
    private String triggerConditionName;

    @ApiModelProperty("条件名称")
    private String conditionTjName;

    @ApiModelProperty("条件值名称")
    private String conditionValueName;

    @ApiModelProperty("设置值的名称")
    private String setValueName;

    @ApiModelProperty("操作类型 【删除del  修改 mod】")
    private String operationType;

    @ApiModelProperty("数据单位")
    private String dataUnit;
}
