package com.rootcloud.domain.dao;

import com.rootcloud.domain.vo.CustomerVO;
import com.rootcloud.service.condition.QueryUserReportCondition;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustomerDao {

    //获取所有客户列表
    List<CustomerVO> getAllCustomer(QueryUserReportCondition c);
    //
    List<String> getRegisterDeviceByUser(@Param("officeIds") List<String> officeIds, @Param("tenantId") String tenantId);

    //客户列表接口，返回客户名称及客户编码  获取指定用户所属的客户列表接口
    List<CustomerVO> getCustomerListByUserId(@Param("userId") String userId);

}
