package com.rootcloud.domain.dao;

import com.rootcloud.domain.vo.RepPrinterStarPassrateVO;
import com.rootcloud.web.dto.PrinterReportDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 砂型尺寸、外观、精度
 * */
@Mapper
public interface RepPrinterStarPassrateDao {

    void add(@Param("repPrinterStarPassrateVOs") List<RepPrinterStarPassrateVO> repPrinterStarPassrateVOs);

    List<RepPrinterStarPassrateVO> list(RepPrinterStarPassrateVO repPrinterSandPassrateVO);
    List<RepPrinterStarPassrateVO> listPage(RepPrinterStarPassrateVO repPrinterSandPassrateVO);


    List<RepPrinterStarPassrateVO> listnew(RepPrinterStarPassrateVO repPrinterSandPassrateVO);

    List<Map<String,Object>> sumPrinterStarPassrateData(PrinterReportDTO printerReportDTO);

    List<Map<String,Object>> sumPrinterStarPassrateQiangDuData(PrinterReportDTO printerReportDTO);

    /* 星级评价提取强度数据**/
    List<Map<String,Object>> sumPrinterStarPassrateDataEvaluate(Map<String, Object> params);

    void deleteStarPassrate(RepPrinterStarPassrateVO c) ;

    void deleteStarPassrateUpload(RepPrinterStarPassrateVO c) ;
}
