package com.rootcloud.domain.dao;

import com.rootcloud.domain.vo.RepPrinterWastereasonVO;
import com.rootcloud.web.dto.PrinterReportDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface RepPrinterWastereasonDao {

    void add(@Param("repPrinterWastereasonVOs") List<RepPrinterWastereasonVO> repPrinterWastereasonVOs);

    List<RepPrinterWastereasonVO> list(RepPrinterWastereasonVO repPrinterWastereasonVO);
    List<RepPrinterWastereasonVO> listPage(RepPrinterWastereasonVO repPrinterWastereasonVO);

    List<Map<String,Object>> sumWastereasonData(PrinterReportDTO printerReportDTO);

    void deleteDeviceWaste(RepPrinterWastereasonVO c) ;

    void deleteDeviceWasteUpload(RepPrinterWastereasonVO c) ;


}
