package com.rootcloud.domain.dao;

import com.rootcloud.domain.vo.TargetTypeVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TargetTypeDAO {

    /***
     *
     * @Title: insert
     * @Description: 新增
     * @param vo
     * @return
     */
    void insert(TargetTypeVO vo);

    /***
     *
     * @Title: update
     * @Description: 更新
     * @param vo
     * @return
     */
    void update(TargetTypeVO vo);

    /***
     *
     * @Title: deleteById
     * @Description: 删除
     * @param id
     * @return
     */
    void deleteById(@Param("id") Long id);


    List<TargetTypeVO> getTargetTypeList();

    List<TargetTypeVO> list(TargetTypeVO VO);
}
