package com.rootcloud.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 触发条件Model
 * @author HeJia
 * @since 2022/5/7
 */
@Setter
@Getter
@ToString
public class ConditionModel {
    @ApiModelProperty("服务计划ID")
    private String servicePlanId;

    @ApiModelProperty("触发类型")
    private String triggerCondition;

    @ApiModelProperty("条件值")
    private String conditionValue;

    @ApiModelProperty("设置值")
    private String setValue;

    @ApiModelProperty("调用创建接口之后的id")
    private String alarmTypeId;

    @ApiModelProperty("设备型号")
    private String deviceType;

    @ApiModelProperty("设备型号编码")
    private String deviceTypeCode;
}
