package com.rootcloud.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author HeJia
 * @since 2022/5/17
 */
@ApiModel("订单详情VO")
@Setter
@Getter
@ToString
public class OrderInfoVO {

    @ApiModelProperty("客户名称")
    private String customerName;

    @ApiModelProperty("下单时间")
    private String applyTime;

    @ApiModelProperty("订单号")
    private String orderNo;

    @ApiModelProperty("需求描述")
    private String demandDesc;

    @ApiModelProperty("附件")
    private String files;

    @ApiModelProperty("联系人")
    private String contactPerson;

    @ApiModelProperty("联系号码")
    private String contactTel;

    @ApiModelProperty("服务地址")
    private String serviceAddress;

    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("设备类型")
    private String deviceType;

    @ApiModelProperty("设备型号")
    private String deviceModel;

    @ApiModelProperty("是否保质期内【0.否；1.是】")
    private Integer shelfLife;

    @ApiModelProperty("服务类型")
    private String serviceTypeName;
}
