package com.rootcloud.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author HeJia
 * @since 2022/5/17
 */
@ApiModel("订单VO")
@Setter
@Getter
@ToString
public class OrderVO {

    @ApiModelProperty("申请日期")
    private String orderApplydate;

    @ApiModelProperty("服务类型")
    private String orderServicetypeName;

    @ApiModelProperty("服务类型CODE")
    private String orderServicetypeCode;

    @ApiModelProperty("客户名称")
    private String orderCustomerName;

    @ApiModelProperty("服务地址")
    private String orderServiceaddress;

    @ApiModelProperty("提报人")
    private String orderInformant;

    @ApiModelProperty("联系方式")
    private String orderContactway;

    @ApiModelProperty("需求描述")
    private String orderDemanddescription;

    @ApiModelProperty("附件")
    private String orderFiles;

    @ApiModelProperty("设备名称")
    private String orderDevicename;

    @ApiModelProperty("设备编码")
    private String orderDevicecode;

    @ApiModelProperty("设备类型")
    private String orderDevicetype;

    @ApiModelProperty("设备型号")
    private String orderDevicemodel;

    @ApiModelProperty("是否保修期内_NAME")
    private String orderWarrantiesName;

    @ApiModelProperty("是否保修期内_CODE")
    private String orderWarrantiesCode;

    @ApiModelProperty("服务方式_NAME")
    private String orderServicemethodName;

    @ApiModelProperty("服务方式_CODE")
    private String orderServicemethodCode;

    @ApiModelProperty("指派工程师")
    private String orderAssignengineer;

    @ApiModelProperty("派单时间")
    private String orderDispatchtime;

    @ApiModelProperty("计划开始时间")
    private String orderPlanstarttime;

    @ApiModelProperty("计划完成时间")
    private String orderPlanendtime;

    @ApiModelProperty("维修持续时间")
    private String orderRepairduration;

    @ApiModelProperty("接单时间")
    private String orderOrdertime;

    @ApiModelProperty("签到时间")
    private String orderSigntime;

    @ApiModelProperty("签到地址")
    private String orderSignaddress;

    @ApiModelProperty("故障原因")
    private String orderCauseofissue;

    @ApiModelProperty("解决方案")
    private String orderSolution;

    @ApiModelProperty("备注")
    private String orderRemark;

    @ApiModelProperty("订单状态_NAME")
    private String orderOrderstatusName;

    @ApiModelProperty("订单状态_CODE")
    private String orderOrderstatusCode;

    @ApiModelProperty("订单编号")
    private String orderOrdernumber;

    @ApiModelProperty("来源")
    private String orderSource;

    @ApiModelProperty("回访状态_NAME")
    private String orderRevisitstatusName;

    @ApiModelProperty("回访状态_CODE")
    private String orderRevisitstatusCode;

    @ApiModelProperty("服务地址_经度")
    private String orderServiceaddressLongitude;

    @ApiModelProperty("服务地址_维度")
    private String orderServiceaddressDimension;

    @ApiModelProperty("签到地址_经度")
    private String orderSignaddressLongitude;

    @ApiModelProperty("签到地址_纬度")
    private String orderSignaddressDimension;

    @ApiModelProperty("故障类型")
    private String orderFaulttyprName;

    @ApiModelProperty("故障类型_CODE")
    private String orderFaulttyprCode;

    @ApiModelProperty("故障原因图片")
    private String orderCauseofissuefile;

    @ApiModelProperty("备注图片")
    private String orderRemarkfile;

    @ApiModelProperty("解决办法图片")
    private String orderSolutionfile;

    @ApiModelProperty("拒绝原因图片")
    private String orderRefusefile;

    @ApiModelProperty("拒绝原因")
    private String orderRefuse;

    @ApiModelProperty("签到图片")
    private String orderSignfile;

    @ApiModelProperty("工程师ID")
    private String orderAssignengineerid;

    @ApiModelProperty("遗留问题")
    private String orderRemainingproblem;

    @ApiModelProperty("改进建议")
    private String orderSuggestions;

    @ApiModelProperty("过程问题")
    private String orderProcessproblem;

    @ApiModelProperty("工作总结")
    private String orderWorksummary;

    @ApiModelProperty("驳回原因")
    private String orderTurndown;

    @ApiModelProperty("驳回原因附件")
    private String orderTurndownfile;

    @ApiModelProperty("协助工程师")
    private String orderAssistengineer;

    @ApiModelProperty("协助工程师ID")
    private String orderAssistengineerid;

    @ApiModelProperty("安装信息备注")
    private String orderInstallremark;

    @ApiModelProperty("安装信息备注图片")
    private String orderInstallremarkfile;

    @ApiModelProperty("遗留问题图片")
    private String orderRemainingproblemfile;

    @ApiModelProperty("改进建议图片")
    private String orderSuggestionsfile;

    @ApiModelProperty("过程问题图片")
    private String orderProcessproblemfile;

    @ApiModelProperty("工作总结图片")
    private String orderWorksummaryfile;

    @ApiModelProperty("主键ID")
    private String nxOrderId;

    @ApiModelProperty("审核标记")
    private String syAudflag;

    @ApiModelProperty("登记部门主键")
    private String syCreateorgid;

    @ApiModelProperty("登记部门编码")
    private String syCreateorg;

    @ApiModelProperty("登记部门")
    private String syCreateorgname;

    @ApiModelProperty("登记时间")
    private String syCreatetime;

    @ApiModelProperty("登记人主键")
    private String syCreateuserid;

    @ApiModelProperty("登记人编码")
    private String syCreateuser;

    @ApiModelProperty("登记人")
    private String syCreateusername;

    @ApiModelProperty("数据状态")
    private String syStatus;

    @ApiModelProperty("流程实例ID")
    private String syPiid;

    @ApiModelProperty("流程定义ID")
    private String syPdid;

    @ApiModelProperty("集团公司名称")
    private String syJtgsmc;

    @ApiModelProperty("集团公司ID")
    private String syJtgsid;

    @ApiModelProperty("流程启动人ID")
    private String syStarteduser;

    @ApiModelProperty("流程启动人")
    private String syStartedusername;

    @ApiModelProperty("流程已执行人ID")
    private String syApprovedusers;

    @ApiModelProperty("流程已执行人")
    private String syApprovedusernames;

    @ApiModelProperty("流程待执行人ID")
    private String syPreapprovusers;

    @ApiModelProperty("流程最后任务指派信息")
    private String syLastflowinfo;

    @ApiModelProperty("流程待执行人")
    private String syPreapprovusernames;

    @ApiModelProperty("流程任务指派人ID")
    private String syLastflowuserid;

    @ApiModelProperty("流程任务指派人")
    private String syLastflowuser;

    @ApiModelProperty("流程预警延期信息")
    private String syWfwarn;

    @ApiModelProperty("当前执行节点")
    private String syCurrenttask;

    @ApiModelProperty("流程预警延期标识")
    private String syWarnflag;

    @ApiModelProperty("是否在线【true 在线】")
    private Boolean online;
}
