package com.rootcloud.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import lombok.Data;

/**
 * 过保商机表
 * 
 * @author lipingan
 * @email lpa2273597772@163.com
 * @date 2022-04-12 14:22:17
 */
@Data
@TableName("gbsjb")
public class GbsjbEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 设备编码
	 */
	private String gbsjbSbbm;
	/**
	 * 合同到期日期
	 */
	private String gbsjbHtdqrq;
	/**
	 * 跟踪人
	 */
	private String gbsjbGzr;
	/**
	 * 创建日期
	 */
	private String gbsjbCjrq;
	/**
	 * 主键ID
	 */
	@TableId
	private String gbsjbId;
	/**
	 * 审核标记
	 */
	private String syAudflag;
	/**
	 * 登记部门主键
	 */
	private String syCreateorgid;
	/**
	 * 登记部门编码
	 */
	private String syCreateorg;
	/**
	 * 登记部门
	 */
	private String syCreateorgname;
	/**
	 * 登记时间
	 */
	private String syCreatetime;
	/**
	 * 登记人主键
	 */
	private String syCreateuserid;
	/**
	 * 登记人编码
	 */
	private String syCreateuser;
	/**
	 * 登记人
	 */
	private String syCreateusername;
	/**
	 * 数据状态
	 */
	private String syStatus;
	/**
	 * 排序字段
	 */
	private Integer syOrderindex;
	/**
	 * 流程实例ID
	 */
	private String syPiid;
	/**
	 * 流程定义ID
	 */
	private String syPdid;
	/**
	 * 集团公司名称
	 */
	private String syJtgsmc;
	/**
	 * 集团公司ID
	 */
	private String syJtgsid;
	/**
	 * 编辑标记
	 */
	private String syFuncedit;
	/**
	 * 客户名称
	 */
	private String gbsjbKhmc;
	/**
	 * 设备名称
	 */
	private String gbsjbSbmc;
	/**
	 * 设备型号
	 */
	private String gbsjbSbxh;
	/**
	 * 合同名称
	 */
	private String gbsjbHtmc;
	/**
	 * 剩余时间
	 */
	private String gbsjbSysj;
	/**
	 * 通知对象
	 */
	private String gbsjbTzdx;
	/**
	 * 联系电话
	 */
	private String gbsjbLxdh;
	/**
	 * 结果
	 */
	private String gbsjbJg;
	/**
	 * 备注
	 */
	private String gbsjbBz;

}
