package com.rootcloud.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 角色表
 * 
 * @author lipingan
 * @email lpa2273597772@163.com
 * @date 2022-04-12 14:21:50
 */
@Data
@TableName("je_core_role")
public class JeCoreRoleEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private String roleid;
	/**
	 * 审核标记
	 */
	private String audflag;
	/**
	 * 登记者所在部门编码
	 */
	private String createorg;
	/**
	 * 登记者所在部门名称
	 */
	private String createorgname;
	/**
	 * 登记时间
	 */
	private String createtime;
	/**
	 * 登记人编码
	 */
	private String createuser;
	/**
	 * 登记人姓名
	 */
	private String createusername;
	/**
	 * 是否启用本条数据
	 */
	private String flag;
	/**
	 * 修改人部门编码
	 */
	private String modifyorg;
	/**
	 * 修改人部门名称
	 */
	private String modifyorgname;
	/**
	 * 修改时间
	 */
	private String modifytime;
	/**
	 * 修改人编码
	 */
	private String modifyuser;
	/**
	 * 修改人姓名
	 */
	private String modifyusername;
	/**
	 * 数据状态
	 */
	private String status;
	/**
	 * 层次
	 */
	private Integer layer;
	/**
	 * 节点类型
	 */
	private String nodetype;
	/**
	 * 排序字段
	 */
	private Integer orderindex;
	/**
	 * 角色编码
	 */
	private String rolecode;
	/**
	 * 角色名称
	 */
	private String rolename;
	/**
	 * 父节点
	 */
	private String parent;
	/**
	 * 功能信息
	 */
	private String nodeinfo;
	/**
	 * 功能信息类型
	 */
	private String nodeinfotype;
	/**
	 * 图标
	 */
	private String icon;
	/**
	 * 流程定义ID
	 */
	private String pdid;
	/**
	 * 流程实例ID
	 */
	private String piid;
	/**
	 * 是否是超级管理员
	 */
	private String issuperadmin;
	/**
	 * 树形路径
	 */
	private String path;
	/**
	 * 图标样式
	 */
	private String iconcls;
	/**
	 * 继承名称
	 */
	private String parentname;
	/**
	 * 继承编码
	 */
	private String parentcode;
	/**
	 * 聚合组编码
	 */
	private String groupcode;
	/**
	 * 聚合组
	 */
	private String groupname;
	/**
	 * 排除权限组编码
	 */
	private String rejectgroupcode;
	/**
	 * 排除权限组
	 */
	private String rejectgroupname;
	/**
	 * 继承权限组
	 */
	private String extendgroupcode;
	/**
	 * 继承权限组编码
	 */
	private String extendgroupname;
	/**
	 * 部门主键
	 */
	private String deptid;
	/**
	 * 岗位主键
	 */
	private String sentryid;
	/**
	 * 角色类型
	 */
	private String roletype;
	/**
	 * 管理权
	 */
	private String manager;
	/**
	 * 开发权
	 */
	private String develop;
	/**
	 * 父节点路径
	 */
	private String parentpath;
	/**
	 * 树形排序字段
	 */
	private String treeorderindex;
	/**
	 * 集团公司ID
	 */
	private String jtgsid;
	/**
	 * 集团公司名称
	 */
	private String jtgsmc;
	/**
	 * 级别
	 */
	private String rolerank;
	/**
	 * 产品
	 */
	private String cpname;
	/**
	 * 产品ID
	 */
	private String cpid;
	/**
	 * 基础角色名称
	 */
	private String baserolename;
	/**
	 * 基础角色ID
	 */
	private String baseroleid;
	/**
	 * SAAS权
	 */
	private String saas;
	/**
	 * SAAS租户ID
	 */
	private String zhid;
	/**
	 * SAAS租户名称
	 */
	private String zhmc;

}
