package com.rootcloud.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 通知消息
 * 
 * @author lipingan
 * @email lpa2273597772@163.com
 * @date 2022-07-05 11:06:58
 */
@Data
@TableName("je_sys_usermsg")
public class JeSysUsermsgEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 接收人_ID
	 */
	private String usermsgJsrId;
	/**
	 * 已读
	 */
	private String usermsgYd;
	/**
	 * 内容
	 */
	private String usermsgNr;
	/**
	 * 标题
	 */
	private String usermsgBt;
	/**
	 * 接受时间
	 */
	private String usermsgJssj;
	/**
	 * 接收人
	 */
	private String usermsgJsrName;
	/**
	 * 用户消息类型_NAME
	 */
	private String usermsgMsgtypeName;
	/**
	 * 用户消息类型
	 */
	private String usermsgMsgtypeCode;
	/**
	 * 
	 */
	@TableId
	private String jeSysUsermsgId;
	/**
	 * 登记部门主键
	 */
	private String syCreateorgid;
	/**
	 * 登记部门编码
	 */
	private String syCreateorg;
	/**
	 * 登记部门
	 */
	private String syCreateorgname;
	/**
	 * 登记时间
	 */
	private String syCreatetime;
	/**
	 * 登记人主键
	 */
	private String syCreateuserid;
	/**
	 * 登记人编码
	 */
	private String syCreateuser;
	/**
	 * 登记人
	 */
	private String syCreateusername;
	/**
	 * 数据状态
	 */
	private String syStatus;
	/**
	 * 排序字段
	 */
	private Integer syOrderindex;
	/**
	 * 集团公司名称
	 */
	private String syJtgsmc;
	/**
	 * 集团公司ID
	 */
	private String syJtgsid;
	/**
	 * 信息源_CODE
	 */
	private String usermsgXxyCode;
	/**
	 * 信息源_NAME
	 */
	private String usermsgXxyName;
	/**
	 * 业务ID
	 */
	private String usermsgYwId;
	/**
	 * APP功能信息
	 */
	private String usermsgAppinfo;

}
