package com.rootcloud.domain.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MyAdviceEntity {

    @ApiModelProperty("通知类型")
    private String adviceClass;


    @ApiModelProperty("通知对象的编码 如设备编码  配件的编码")
    private String advicObjectCode;

    @ApiModelProperty("通知对象的(设备)名称")
    private String adviceObjectName;

    @ApiModelProperty("通知的名称")
    private String adviceName;

    @ApiModelProperty("通知的内容")
    private String adviceContent;

    @ApiModelProperty("通知的时间")
    private String adviceTime;

    @ApiModelProperty("用户Id")
    private String userId;


    @ApiModelProperty("消息码")
    private String typeCode;


    @ApiModelProperty("通知类型Code")
    private String adviceCode;

    @ApiModelProperty("区分标志")
    private String signData;

    private String servicePlanId;

    private String sn;

    @ApiModelProperty("安装位号")
    private String partAzwh;

    @ApiModelProperty("工作时长")
    private String partGzsc;

    @ApiModelProperty("计划名称")
    private String  planName;

    @ApiModelProperty("计划完成时间")
    private String  planEndTime;

    @ApiModelProperty("系统模块")
    private String  partXtmk;

    @ApiModelProperty("备件名称")
    private String  partBjmc;



}
