package com.rootcloud.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 宁夏_配件档案
 * 
 * @author lipingan
 * @email lpa2273597772@163.com
 * @date 2022-05-11 20:12:35
 */
@Data
@TableName("nx_part_file")
public class NxPartFileEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 配件编码
	 */
	private String filePjbm;
	/**
	 * 配件名称
	 */
	private String filePjmc;
	/**
	 * 是否是关键配件(1 是关键配件，0否)
	 */
	private String fileSfsgjpj;
	/**
	 * 系统模块
	 */
	private String fileXtmk;
	/**
	 * 系统模块编码
	 */
	private String fileXtmkbm;
	/**
	 * 规格型号
	 */
	private String fileGgxh;
	/**
	 * 理论寿命
	 */
	private Integer fileLlsm;
	/**
	 * 单价
	 */
	private BigDecimal fileDj;
	/**
	 * 库存上限
	 */
	private Integer fileKcsx;
	/**
	 * 库存下限
	 */
	private Integer fileKcxx;
	/**
	 * 库存数量
	 */
	private BigDecimal fileKcsl;
	/**
	 * 仓库名称
	 */
	private String fileCkmc;
	/**
	 * 仓库编码
	 */
	private String fileCkbm;
	/**
	 * 库位编码
	 */
	private String fileKwbm;
	/**
	 * 单位
	 */
	private String fileDw;
	/**
	 * 主键ID
	 */
	@TableId
	private String nxPartFileId;
	/**
	 * 审核标记
	 */
	private String syAudflag;
	/**
	 * 登记部门主键
	 */
	private String syCreateorgid;
	/**
	 * 登记部门编码
	 */
	private String syCreateorg;
	/**
	 * 登记部门
	 */
	private String syCreateorgname;
	/**
	 * 登记时间
	 */
	private String syCreatetime;
	/**
	 * 登记人主键
	 */
	private String syCreateuserid;
	/**
	 * 登记人编码
	 */
	private String syCreateuser;
	/**
	 * 登记人
	 */
	private String syCreateusername;
	/**
	 * 数据状态
	 */
	private String syStatus;
	/**
	 * 排序字段
	 */
	private Integer syOrderindex;
	/**
	 * 流程实例ID
	 */
	private String syPiid;
	/**
	 * 流程定义ID
	 */
	private String syPdid;
	/**
	 * 集团公司名称
	 */
	private String syJtgsmc;
	/**
	 * 集团公司ID
	 */
	private String syJtgsid;

	private String syZhid;

}
