package com.rootcloud.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import lombok.Data;

/**
 * 配件仓库维护
 * 
 * @author lipingan
 * @email lpa2273597772@163.com
 * @date 2022-05-12 13:41:45
 */
@Data
@TableName("nx_part_resp")
public class NxPartRespEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 仓库编码
	 */
	private String respCkbm;
	/**
	 * 库位编码
	 */
	private String respKwbm;
	/**
	 * 仓库名称
	 */
	private String respCkmc;
	/**
	 * 主键ID
	 */
	@TableId
	private String nxPartRespId;
	/**
	 * 审核标记
	 */
	private String syAudflag;
	/**
	 * 登记部门主键
	 */
	private String syCreateorgid;
	/**
	 * 登记部门编码
	 */
	private String syCreateorg;
	/**
	 * 登记部门
	 */
	private String syCreateorgname;
	/**
	 * 登记时间
	 */
	private String syCreatetime;
	/**
	 * 登记人主键
	 */
	private String syCreateuserid;
	/**
	 * 登记人编码
	 */
	private String syCreateuser;
	/**
	 * 登记人
	 */
	private String syCreateusername;
	/**
	 * 数据状态
	 */
	private String syStatus;
	/**
	 * 排序字段
	 */
	private Integer syOrderindex;
	/**
	 * 流程实例ID
	 */
	private String syPiid;
	/**
	 * 流程定义ID
	 */
	private String syPdid;
	/**
	 * 集团公司名称
	 */
	private String syJtgsmc;
	/**
	 * 集团公司ID
	 */
	private String syJtgsid;

	/**
	 * 租户ID
	 */
	private String syZhid;
}
