package com.rootcloud.domain.entity.base;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @author ruixiang.feng
 * @ClassName
 * @Description 实时工况
 * @date 2022/4/14 14:47
 */
@Data
@TableName("NX_MODEL_DATA")
public class ModelPropertyEntity {

    @TableId("NX_MODEL_DATA_ID")
    private String id;
    //属性ID
    private String propertyId;
    //属性名称
    private String propertyName;
    //属性数据类型
    private String propertyDataType;
    //属性值单位
    private String propertyDataUnit;
    //属性值
    @TableField(exist = false)
    private String propertyData;
    //物模型ID
    private String modelId;
    //创建时间
    private String createTime;
    //更新时间
    private String updateTime;
    //属性标签
    private String propertyTag;
    //属性值对应颜色0
    private String propertyColorFalse;
    //属性值对应颜色1
    private String propertyColorTrue;
    //属性标签code
    private String propertyTagCode;
    //工况或监测
    private String workingConditionType;
    //uuid
    private String propertyUuid;
    //设备类型
    private String deviceSblx;
    //设备型号
    private String deviceSbxh;
    //是否app  0 app  , 1  pc
    @TableField(exist = false)
    private String dataSource;
    private String dataSjy;


}
