package com.rootcloud.domain.entity.sp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author lujiumin
 * @date 2023/1/31
 * 描述：
 */
@Data
@ToString
@TableName("service_plan_history")
public class ServicePlanHistoryEntity implements Serializable {

    @TableId
    private String id;

    @ApiModelProperty("内容")
    private String  content;

    @ApiModelProperty("计划id")
    private String  servicePlanId;

    @ApiModelProperty("操作人")
    private String  operator;

    @ApiModelProperty("操作时间")
    private String operatorTime;

}
