package com.rootcloud.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.rootcloud.domain.entity.base.ModelColor;
import com.rootcloud.domain.entity.base.ModelPropertyEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

/**
 * @author ruixiang.feng
 * @ClassName
 * @Description
 * @date 2022/4/15 10:55
 */
@Mapper
public interface ModelPropertyMapper extends BaseMapper<ModelPropertyEntity> {
    List<ModelPropertyEntity> getWorkingCondition(HashMap req);

    List<String> getWorkingTitle(HashMap req);

    List<ModelPropertyEntity> getGroupAtt(HashMap<String, String> req);

    void delWorkingCondition(HashMap<String, String> req);

    List<ModelPropertyEntity> getGroupAttData(HashMap<String, String> req);

    List<ModelColor> getColor();

    void batchinsert(List<ModelPropertyEntity> modelPropertyEntitieList);

    List<ModelPropertyEntity> queryWorkingCondition(HashMap<String, String> req);

    void deleteByIds(List<String> idList);

    void deleteByCode(@Param("propertyTagCode")String propertyTagCode,@Param("notDeleteTitle")String notDeleteTitle);


    String  selectUnitByModelId(@Param("propertyId") String propertyId, @Param("modelId")String modelId);

    List<ModelPropertyEntity> getmodelPropertyBySbxh(List<String> sbxh);

    void del(ModelPropertyEntity modelPropertyEntity1);

    String selectUuidByModelId(@Param("propertyId") String propertyId, @Param("modelId")String modelId);
}
