package com.rootcloud.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.rootcloud.domain.dto.NxSparePartVo;
import com.rootcloud.domain.entity.NxPartFileEntity;
import com.rootcloud.domain.entity.NxSparePartEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface SpareFilerMapper extends BaseMapper<NxPartFileEntity> {


    List<NxSparePartVo> getSparePart(String orderId);

    String getSparePartBySbbm(NxSparePartVo e);

    NxSparePartVo getSparePartBySbbmAndStatus(@Param("partSbbm") String partSbbm, @Param("partBjbm") String partBjbm, @Param("partAzwh") String partAzwh);

    void updateSparePart(NxSparePartVo e);

    void updateNxSparePartGzsc(NxSparePartVo e);

    void insertSparePart(NxSparePartVo e);

    void importSparePart(NxSparePartVo e);

    List<NxSparePartVo> getSparePartByAzwh(NxSparePartVo e);

    void updateNxSparePart(NxSparePartVo e1);

    String getxtmkBypjbm(NxSparePartVo e);


    String getxtmkBypjbm2(NxSparePartVo e);

    List<NxSparePartVo> getOrderData(@Param("sbId") String sbId, @Param("partId") String partId);


    List<NxSparePartVo> getSparePartBySbbmAndPjbm(NxSparePartVo e);

    List<NxSparePartEntity> getDataByPartSbidAndPartBjbm(Map<String, Object> maps);

    List<NxSparePartEntity> getDataByPartSbidAndPartBjbmAndPartAzrq(Map<String, Object> maps);

    String getWorkingHours(@Param("partSbid") String partSbid, @Param("partAzrq") String partAzrq, @Param("partGhrq") String partGhrq);

    void updateData(@Param("nxSparePartId") String nxSparePartId, @Param("partGhrq") String partGhrq, @Param("partGzsc") String partGzsc);
}
