package com.rootcloud.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.rootcloud.domain.dto.NxSparePartVo;
import com.rootcloud.domain.entity.NxSparePartEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;


@Mapper
public interface SparePartMapper extends BaseMapper<NxSparePartEntity> {

    /**
     * 补充租户id
     */
    void updateZhid();
    List<NxSparePartVo> selectNoSyncPart();
    void updateWorkTime(@Param("id") String nxSparePartId);
    void updateWorkTime2(@Param("id") String nxSparePartId, @Param("gzsc") BigDecimal partGzsc);

}
