package com.rootcloud.domain.service.device;


import com.rootcloud.common.JsonResult;

public interface LappLiveService {

    /**
     * 打开直播功能,(获取直播地址的前提是打开直播功能)
     * @param deviceSerial
     * @param channelNo
     * @return
     * @throws Exception
     */
    public boolean openLive(String deviceSerial, String channelNo) throws Exception;

    /**
     * 获取直播地址,根据通道号和设备序列号
     * @param deviceSerial
     * @param channelNo
     * @return
     * @throws Exception
     */
    public JsonResult getLiveAddress(String deviceSerial, String channelNo) throws Exception;

    public JsonResult getLeChengLiveAddress(String deviceSerial, String channelNo) throws Exception;

}
