package com.rootcloud.domain.service.device;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.rootcloud.common.JsonResult;
import com.rootcloud.common.PageRequest;
import com.rootcloud.domain.dto.CameraDTO;
import com.rootcloud.domain.dto.NxDeviceDTO;
import com.rootcloud.domain.entity.device.NxDeviceCameraEntity;
import com.rootcloud.domain.entity.device.NxDeviceEntity;
import com.rootcloud.vo.device.CameraParam;
import com.rootcloud.vo.device.NxDeviceParam;
import com.rootcloud.vo.order.DeviceDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * TODO
 *
 * @author wei.liao
 * @version 1.0
 * @date 2022/4/18 14:07
 */
public interface NxDeviceService extends IService<NxDeviceEntity> {

    public JsonResult<PageInfo<NxDeviceDTO>> findList(PageRequest pageRequest, NxDeviceParam nxDeviceParam);

    public JsonResult<Void> bindCamera(CameraParam cameraParam);


    public JsonResult<Void> UnboundCamera(String cameraId);

    List<NxDeviceCameraEntity> camerasByDeviceId(String deviceId);

    DeviceDataVo getJcxxByIds(String ids);

    String selectFwwdId(String khid,String zhId);

    List<DeviceDataVo> getKuDeviceList(String userId);

}
