package com.rootcloud.domain.service.ds;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rootcloud.domain.entity.ds.DeviceListEntity;

import java.util.List;

public interface DeviceListSyncService  extends IService<DeviceListEntity> {
    /**
     * mq同步4.0设备到设备列表中
     * @param entity
     * @param action
     */
    void updateDeviceListData(DeviceListEntity entity, String action);

    /**
     * 根据客户ID查询设备信息
     * @param userId
     * @return
     */
    List<DeviceListEntity> queryDeviceList(String userId);
}
