package com.rootcloud.domain.service.fittings;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rootcloud.domain.entity.MyAdviceEntity;
import com.rootcloud.domain.entity.NxSparePartEntity;
import com.rootcloud.domain.entity.ds.DeviceListEntity;

import java.util.List;

public interface SparePartService extends IService<NxSparePartEntity> {
    /**
     * 定时任务更新配件的寿命预警信息
     */
    void uptPartSmyj();

    /**
     * 根据设备信息查询已寿命预警的备件信息
     * @param devices
     * @param startNo
     * @param endNo
     * @return
     */
    List<MyAdviceEntity>  getWarnedSparePart (List<DeviceListEntity> devices,Integer startNo,Integer endNo,String zhid);

    void eqMesSfjj(String id);

    /**
     * 自动填充租户ID
     */
    void paddingZhid();
    void syncWorkingTime();
}
