package com.rootcloud.domain.service.gbsj;


import com.baomidou.mybatisplus.extension.service.IService;
import com.rootcloud.config.auth.LoginUserInfo;
import com.rootcloud.domain.dto.EnterpriseInfoDTO;
import com.rootcloud.domain.dto.UserRoleDeptDTO;
import com.rootcloud.config.auth.UserInfo;
import com.rootcloud.domain.entity.JeCoreEnduserEntity;
import com.rootcloud.domain.entity.SiteDTO;


/**
 * 人员表
 *
 * @author lipingan
 * @email lpa2273597772@163.com
 * @date 2022-04-12 14:22:06
 */
public interface JeCoreEnduserService extends IService<JeCoreEnduserEntity> {


    LoginUserInfo getUserInfo(String userId);

    SiteDTO getSiteByUserId(String userId);

    String getCustomsBySiteAreaName(String areaName);

    String getCustomsByUserId(String userId);

    EnterpriseInfoDTO getTenantInfo(String userId);

    String getTenantInfoNOSQL(String userId);

    UserRoleDeptDTO getUserLoginInfo(String userId);


    UserInfo getUser(String userId);

    boolean getBackusercode(String phone);

    String getDataByKey(String key);

}

