package com.rootcloud.domain.service.gbsj;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rootcloud.common.JsonPageResult;
import com.rootcloud.domain.entity.base.ModelPropertyEntity;

import java.util.List;
import java.util.Map;

/**
 * @author ruixiang.feng
 * @ClassName
 * @Description
 * @date 2022/4/15 10:45
 */
public interface ModelPropertyService extends IService<ModelPropertyEntity> {

    Map<String, List<ModelPropertyEntity>> getWorkingCondition(String deviceSblx, String deviceSbxh, String workingConditionType,String dataSource);

    JsonPageResult updateWorkingCondition(List<ModelPropertyEntity> modelPropertyEntityList);

    JsonPageResult delWorkingCondition(String propertyTag,String propertyDataType);

    List<ModelPropertyEntity> getGroupAtt(String workingConditionType, String propertyTag,String deviceSblx, String deviceSbxh);

    List<ModelPropertyEntity> getmodelPropertyBySbxh(List<String> sbxh);
}
