package com.rootcloud.domain.service.part;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rootcloud.common.JsonResult;
import com.rootcloud.config.auth.LoginUserInfo;
import com.rootcloud.domain.entity.NxPartFileEntity;

import java.util.List;


/**
 * 宁夏_配件档案
 *
 * @author lipingan
 * @email lpa2273597772@163.com
 * @date 2022-05-11 20:12:35
 */
public interface NxPartFileService extends IService<NxPartFileEntity> {

    NxPartFileEntity getByPartCode(String filePjbm, String fileCkbm, String fileKwbm, String syZhid);

    int updateByPartCode(NxPartFileEntity record);

    JsonResult updateCkmc(NxPartFileEntity record, LoginUserInfo current);

    boolean syncPartData();

    List<String> queryLgortCode();

    boolean syncPartWareData();

}

