package com.rootcloud.domain.vo;

import com.rootcloud.domain.dto.ImageUrlsDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Author w-yanxiang
 * @Date 2022/6/16 10:22
 * @Version 1.0
 * @Description
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CarouselVO implements Serializable {

    @ApiModelProperty(value = "时间间隙")
    private String timeGap;

    @ApiModelProperty(value = "轮播图片路径")
    private List<ImageUrlsDTO> imageUrls;

}
