package com.rootcloud.domain.vo;

public class CustomerVO {

    /** 租户ID */
    private String tenantId;
    /** 客户名称 */
    private String customerName;  //nx_khgl客户表里的 KHGL_KHMC 客户名称
    /** 客户编号 */
    private String customerCode; // -- nx_khgl客户表里的 NX_KHGL_ID  主键ID   与nx_je_device里面有个DEVICE_SSKH -客户ID关联

    private String userCode;  // 用户表je_core_enduser  的字段BACKUSERCODE去匹配客户表nx_khgl 的KHGL_XSJLDH，查出所属的客户列表

    /** 所属机构ID */
    private String officeId;

    /** 所属机构名称 */
    private String officeName;

    public String getTenantId() {
        return tenantId;
    }
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId == null ? null : tenantId.trim();
    }

    public String getOfficeId() {
        return officeId;
    }

    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }

    public String getOfficeName() {
        return officeName;
    }

    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }
    /**
     * 获取客户名称
     *
     * @return
     *            客户名称
     */
    public String getCustomerName() {
        return customerName;
    }

    /**
     * 设置客户名称
     *
     * @param customerName
     *            客户名称
     */
    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    /**
     * 获取客户编号
     *
     * @return
     *            客户编号
     */
    public String getCustomerCode() {
        return customerCode;
    }

    /**
     * 设置客户编号
     *
     * @param customerCode
     *            客户编号
     */
    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode == null ? null : customerCode.trim();
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }
}
