package com.rootcloud.domain.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class PersonAllStatistic {


    @ApiModelProperty("人员订单前十")
    private List<PersonnelStatistic> orders;

    @ApiModelProperty("人员服务评价前十")
    private List<PersonnelStatistic> appraises;

    @ApiModelProperty("人员工作时长前十")
    private List<PersonnelStatistic> works;

    @ApiModelProperty("设备故障前十")
    private List<FaultNumber> faultNumbers;

    @ApiModelProperty("配件故障前十")
    private  List<PartsFaultNumber> partsFaultNumbers;

    @ApiModelProperty("配件销售额前十")
    private List<FittingsSales> fittingsSales;

    @ApiModelProperty("客户销售额前十")
    private  List<CustomerSales> customerSales;

    @ApiModelProperty("服务评价项")
    private Integer serviceItem;
}
