package com.rootcloud.domain.vo;

public class PrinterEfficiencyWorkVO {

    private String deviceId;
    private String deviceTypeId;
    private float dyhs;
    private float dyTime;
    private float ghjhl;
    private Integer sameSpentTimeCount = 0;

    public PrinterEfficiencyWorkVO(
            String deviceId,
            String deviceTypeId) {
        this.deviceId = deviceId;
        this.deviceTypeId = deviceTypeId;
    }

    /**
     * 增加设备相关指标值
     */
    public void addData(
            float dyhs,
            float dyTime,
            float ghjhl) {
        this.dyhs += dyhs;
        this.dyTime += dyTime;
        this.ghjhl += ghjhl;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceTypeId() {
        return deviceTypeId;
    }

    public void setDeviceTypeId(String deviceTypeId) {
        this.deviceTypeId = deviceTypeId;
    }

    public float getDyhs() {
        return dyhs;
    }

    public void setDyhs(float dyhs) {
        this.dyhs = dyhs;
    }

    public float getDyTime() {
        return dyTime;
    }

    public void setDyTime(float dyTime) {
        this.dyTime = dyTime;
    }

    public float getGhjhl() {
        return ghjhl;
    }

    public void setGhjhl(float ghjhl) {
        this.ghjhl = ghjhl;
    }

    @Override
    public String toString() {
        return "PrinterWork{" +
                "deviceId='" + deviceId + '\'' +
                ", deviceTypeId='" + deviceTypeId + '\'' +
                ", dyhs=" + dyhs +
                ", dyTime=" + dyTime +
                ", ghjhl=" + ghjhl +
                '}';
    }

    public PrinterEfficiencyWorkVO deviceId(String deviceId) {
        this.deviceId = deviceId;
        return this;
    }

    public PrinterEfficiencyWorkVO deviceTypeId(String deviceTypeId) {
        this.deviceTypeId = deviceTypeId;
        return this;
    }

    public PrinterEfficiencyWorkVO dyhs(float dyhs) {
        this.dyhs = dyhs;
        return this;
    }

    public PrinterEfficiencyWorkVO dyTime(float dyTime) {
        this.dyTime = dyTime;
        return this;
    }

    public PrinterEfficiencyWorkVO ghjhl(float ghjhl) {
        this.ghjhl = ghjhl;
        return this;
    }

    public PrinterEfficiencyWorkVO sameSpentTimeCount(Integer sameSpentTimeCount) {
        this.sameSpentTimeCount = sameSpentTimeCount;
        return this;
    }

    public void setSameSpentTimeCount(Integer sameSpentTimeCount) {
        this.sameSpentTimeCount = sameSpentTimeCount;
    }

    public Integer getSameSpentTimeCount() {
        return this.sameSpentTimeCount;
    }
}
