package com.rootcloud.domain.vo;

import java.util.Date;

public class RepPrinterReportVO {
    private Long id;
    private String tenantId;  		//租户编号
    private String title; 			//报告名称
    private String emails;			//邮箱
    private String officeId;  		//所属机构编号
    private String officeName; 	//机构名称
    private String customerId;  	//客户编号
    private String customerName; 	//客户名称
    private Date createDate; 		//数据生成时间
    private Integer createType; 	//报表类型【1:周边 2:月报 3:季报 4:年报 5:按照指定日期】

    private float rate10;			//设备平均空间利用率
    private String rate10Str;		//设备平均空间利用率[百分比 eg:30%]

    private String value0;			//平均开动率最低设备
    private float rate1;			//设备平均开动率
    private String rate1Str;		//设备平均开动率[百分比 eg:30%]
    private float rate2;			//设备平均开动率最低
    private float rate3;			//产品平均废品率
    private String rate3Str;		//产品平均废品率[百分比 eg:30%]
    private float rate4;			//设备平均废品率
    private String rate4Str;		//设备平均废品率[百分比 eg:30%]
    private String value1;			//前三大废品原因
    private String value2;			//前三大废品率高的设备
    private float rate5;			//砂型密度平均合格率
    private String rate5Str;		//砂型密度平均合格率[百分比 eg:30%]
    private String value3;			//密度不合格的设备
    private float rate6;			//打印机平均树脂加入比
    private String rate6Str;		//打印机平均树脂加入比[百分比 eg:30%]
    private float rate7;			//最大加入比
    private String rate7Str;		//最大加入比[百分比 eg:30%]
    private String value4;			//最大树脂加入比设备
    private float rate8;			//平均打印新砂占比
    private String rate8Str;		//平均打印新砂占比【百分比 eg:30%】
    private String value5;			//新砂占比前三大设备
    private String value5_1;		//这三台设备的新旧砂占比值
    private float rate9;			//打印机平均漏沙量
    private float rate11;			//砂型强度平均合格率
    private String rate11Str;			//砂型强度平均合格率
    private float rate12;			//平均产能利用率
    private String rate12Str;			//平均产能利用率
    private float rate13;			//平均打印高度
    private float rate14;			//打印机平均维修费用
    private float rate15;			//打印机平均固化剂单耗

    private String value6;			//漏砂量前三设备
    private String value6_1;		//这三台设备的漏砂量
    private String value7;			//更换下的喷头平均寿命x月
    private String value8;			//x个备件寿命预警
    private String value9;			//空间利用率文本
    private String value11;			//砂型强度合格率最低的三台的设备
    private String value12;			//产能利用率最低的三台设备
    private String value13;			//平均打印高度最低
    private String value14;			//维修费用最高三台的设备
    private String value15;			//固化剂单耗最大为
    private String value16;			//平均换线时间
    private String value17;			//换件时间最长的设备
    private String value18;			//换件时间最长的设备的时长
    private String value19;			//平均MTBF
    private String value20;			//平均MTTR
    private String value21;			//MTTR最高的三台设备1
    private String value22;			//MTTR最高的三台设备2
    private String value23;			//MTTR最高的三台设备3
    private String value24;			//星级评价最高最低三台设备

    private String remindlist;		//关键备件候命预警提醒
    private String ratelist;		//平均打印效率(如：2218机型为xx,SDream机型为xx; 2218-1最低xx, SDreamA最低xx)
    private Integer dataYear;		//年份
    private Integer dataQuarter;	//季度
    private Integer dataMonth;		//月份
    private Integer dataWeek;		//周
    private String startDate; 		//报告开始时间
    private String endDate; 		//报告结束日期

    private String targetValues;	//目标值


    private String data1;			//设备开动率统计
    private String data2;			//空间利用率
    private String data3;			//打印效率统计
    private String data4;			//打印产量统计
    private String data5;			//废品原因统计
    private String data6;			//砂型密度合格率统计
    private String data7;			//打印机树脂加入比
    private String data8;			//新旧砂加入占比
    private String data9;			//漏砂量统计
    private String data10;			//喷头寿命
    private String data11;			//产能利用率
    private String data12;			//平均打印高度
    private String data13;			//砂芯强度合格率
    private String data14;			//维修费用
    private String data15;			//固化剂单耗
    private String data16;			//换件时间
    private String data17;			//故障停机
    private String data18;			//星级评价


    private String remark1;			//设备开动率统计备注
    private String remark2;			//空间利用率备注
    private String remark3;			//打印效率统计备注
    private String remark4;			//打印产量统计备注
    private String remark5;			//废品原因统计备注
    private String remark6;			//砂型密度合格率统计备注
    private String remark7;			//打印机树脂加入比备注
    private String remark8;			//新旧砂加入占比备注
    private String remark9;			//漏砂量统计备注
    private String remark10;		//喷头寿命备注
    private String remark11;		//产能利用率备注
    private String remark12;		//平均打印高度备注
    private String remark13;		//砂芯强度合格率备注
    private String remark14;		//维修费用备注
    private String remark15;		//固化剂单耗备注
    private String remark16;		//星级评价备注


    public float getRate11() {
        return rate11;
    }

    public void setRate11(float rate11) {
        this.rate11 = rate11;
    }

    public String getRate11Str() {
        return rate11Str;
    }

    public void setRate11Str(String rate11Str) {
        this.rate11Str = rate11Str;
    }

    public String getValue11() {
        return value11;
    }

    public void setValue11(String value11) {
        this.value11 = value11;
    }

    public Integer getCreateType() {
        return createType;
    }

    public void setCreateType(Integer createType) {
        this.createType = createType;
    }

    public String getRemark1() {
        return remark1;
    }

    public void setRemark1(String remark1) {
        this.remark1 = remark1;
    }

    public String getRemark2() {
        return remark2;
    }

    public void setRemark2(String remark2) {
        this.remark2 = remark2;
    }

    public String getRemark3() {
        return remark3;
    }

    public void setRemark3(String remark3) {
        this.remark3 = remark3;
    }

    public String getRemark4() {
        return remark4;
    }

    public void setRemark4(String remark4) {
        this.remark4 = remark4;
    }

    public String getRemark5() {
        return remark5;
    }

    public void setRemark5(String remark5) {
        this.remark5 = remark5;
    }

    public String getRemark6() {
        return remark6;
    }

    public void setRemark6(String remark6) {
        this.remark6 = remark6;
    }

    public String getRemark7() {
        return remark7;
    }

    public void setRemark7(String remark7) {
        this.remark7 = remark7;
    }

    public String getRemark8() {
        return remark8;
    }

    public void setRemark8(String remark8) {
        this.remark8 = remark8;
    }

    public String getRemark9() {
        return remark9;
    }

    public void setRemark9(String remark9) {
        this.remark9 = remark9;
    }

    public String getRemark10() {
        return remark10;
    }

    public void setRemark10(String remark10) {
        this.remark10 = remark10;
    }

    public String getRate7Str() {
        return rate7Str;
    }

    public void setRate7Str(String rate7Str) {
        this.rate7Str = rate7Str;
    }

    public String getValue9() {
        return value9;
    }

    public void setValue9(String value9) {
        this.value9 = value9;
    }

    public float getRate10() {
        return rate10;
    }

    public void setRate10(float rate10) {
        this.rate10 = rate10;
    }

    public String getRate10Str() {
        return rate10Str;
    }

    public void setRate10Str(String rate10Str) {
        this.rate10Str = rate10Str;
    }

    public String getRate6Str() {
        return rate6Str;
    }

    public void setRate6Str(String rate6Str) {
        this.rate6Str = rate6Str;
    }

    public String getRate5Str() {
        return rate5Str;
    }

    public void setRate5Str(String rate5Str) {
        this.rate5Str = rate5Str;
    }

    public String getRate8Str() {
        return rate8Str;
    }

    public void setRate8Str(String rate8Str) {
        this.rate8Str = rate8Str;
    }



    public String getRate1Str() {
        return rate1Str;
    }

    public void setRate1Str(String rate1Str) {
        this.rate1Str = rate1Str;
    }

    public String getRate3Str() {
        return rate3Str;
    }

    public void setRate3Str(String rate3Str) {
        this.rate3Str = rate3Str;
    }

    public String getRate4Str() {
        return rate4Str;
    }

    public void setRate4Str(String rate4Str) {
        this.rate4Str = rate4Str;
    }

    public String getData1() {
        return data1;
    }

    public void setData1(String data1) {
        this.data1 = data1;
    }

    public String getData2() {
        return data2;
    }

    public void setData2(String data2) {
        this.data2 = data2;
    }

    public String getData3() {
        return data3;
    }

    public void setData3(String data3) {
        this.data3 = data3;
    }

    public String getData4() {
        return data4;
    }

    public void setData4(String data4) {
        this.data4 = data4;
    }

    public String getData5() {
        return data5;
    }

    public void setData5(String data5) {
        this.data5 = data5;
    }

    public String getData6() {
        return data6;
    }

    public void setData6(String data6) {
        this.data6 = data6;
    }

    public String getData7() {
        return data7;
    }

    public void setData7(String data7) {
        this.data7 = data7;
    }

    public String getData8() {
        return data8;
    }

    public void setData8(String data8) {
        this.data8 = data8;
    }

    public String getData9() {
        return data9;
    }

    public void setData9(String data9) {
        this.data9 = data9;
    }

    public String getData10() {
        return data10;
    }

    public void setData10(String data10) {
        this.data10 = data10;
    }

    public String getValue0() {
        return value0;
    }

    public void setValue0(String value0) {
        this.value0 = value0;
    }

    public String getTargetValues() {
        return targetValues;
    }

    public void setTargetValues(String targetValues) {
        this.targetValues = targetValues;
    }

    public Integer getDataYear() {
        return dataYear;
    }

    public void setDataYear(Integer dataYear) {
        this.dataYear = dataYear;
    }

    public Integer getDataQuarter() {
        return dataQuarter;
    }

    public void setDataQuarter(Integer dataQuarter) {
        this.dataQuarter = dataQuarter;
    }

    public Integer getDataMonth() {
        return dataMonth;
    }

    public void setDataMonth(Integer dataMonth) {
        this.dataMonth = dataMonth;
    }

    public Integer getDataWeek() {
        return dataWeek;
    }

    public void setDataWeek(Integer dataWeek) {
        this.dataWeek = dataWeek;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getRatelist() {
        return ratelist;
    }

    public void setRatelist(String ratelist) {
        this.ratelist = ratelist;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getEmails() {
        return emails;
    }

    public void setEmails(String emails) {
        this.emails = emails;
    }

    public String getOfficeId() {
        return officeId;
    }

    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }

    public String getOfficeName() {
        return officeName;
    }

    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public float getRate1() {
        return rate1;
    }

    public void setRate1(float rate1) {
        this.rate1 = rate1;
    }

    public float getRate2() {
        return rate2;
    }

    public void setRate2(float rate2) {
        this.rate2 = rate2;
    }

    public float getRate3() {
        return rate3;
    }

    public void setRate3(float rate3) {
        this.rate3 = rate3;
    }

    public float getRate4() {
        return rate4;
    }

    public void setRate4(float rate4) {
        this.rate4 = rate4;
    }

    public float getRate5() {
        return rate5;
    }

    public void setRate5(float rate5) {
        this.rate5 = rate5;
    }

    public float getRate6() {
        return rate6;
    }

    public void setRate6(float rate6) {
        this.rate6 = rate6;
    }

    public float getRate7() {
        return rate7;
    }

    public void setRate7(float rate7) {
        this.rate7 = rate7;
    }

    public float getRate8() {
        return rate8;
    }

    public void setRate8(float rate8) {
        this.rate8 = rate8;
    }

    public String getValue1() {
        return value1;
    }

    public void setValue1(String value1) {
        this.value1 = value1;
    }

    public String getValue2() {
        return value2;
    }

    public void setValue2(String value2) {
        this.value2 = value2;
    }

    public float getRate9() {
        return rate9;
    }

    public void setRate9(float rate9) {
        this.rate9 = rate9;
    }

    public String getValue3() {
        return value3;
    }

    public void setValue3(String value3) {
        this.value3 = value3;
    }


    public String getValue4() {
        return value4;
    }

    public void setValue4(String value4) {this.value4 = value4; }


    public String getValue5() { return value5; }
    public void setValue5(String value5) { this.value5 = value5; }

    public String getValue5_1() { return value5_1; }
    public void setValue5_1(String value5_1) { this.value5_1 = value5_1; }

    public String getValue6() {
        return value6;
    }
    public void setValue6(String value6) {
        this.value6 = value6;
    }

    public String getValue6_1() {
        return value6_1;
    }
    public void setValue6_1(String value6_1) {
        this.value6_1 = value6_1;
    }

    public String getValue7() {
        return value7;
    }

    public void setValue7(String value7) {
        this.value7 = value7;
    }

    public String getValue8() {
        return value8;
    }

    public void setValue8(String value8) {
        this.value8 = value8;
    }

    public String getRemindlist() {
        return remindlist;
    }

    public void setRemindlist(String remindlist) {
        this.remindlist = remindlist;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getData11() {
        return data11;
    }

    public void setData11(String data11) {
        this.data11 = data11;
    }

    public String getData12() {
        return data12;
    }

    public void setData12(String data12) {
        this.data12 = data12;
    }

    public String getData13() {
        return data13;
    }

    public void setData13(String data13) {
        this.data13 = data13;
    }

    public String getData14() {
        return data14;
    }

    public void setData14(String data14) {
        this.data14 = data14;
    }

    public String getData15() {
        return data15;
    }

    public void setData15(String data15) {
        this.data15 = data15;
    }

    public String getData16() {
        return data16;
    }

    public void setData16(String data16) {
        this.data16 = data16;
    }

    public String getData17() {
        return data17;
    }

    public void setData17(String data17) {
        this.data17 = data17;
    }

    public String getRemark11() {
        return remark11;
    }

    public void setRemark11(String remark11) {
        this.remark11 = remark11;
    }

    public String getRemark12() {
        return remark12;
    }

    public void setRemark12(String remark12) {
        this.remark12 = remark12;
    }

    public String getRemark13() {
        return remark13;
    }

    public void setRemark13(String remark13) {
        this.remark13 = remark13;
    }

    public String getRemark14() {
        return remark14;
    }

    public void setRemark14(String remark14) {
        this.remark14 = remark14;
    }

    public String getRemark15() {
        return remark15;
    }

    public void setRemark15(String remark15) {
        this.remark15 = remark15;
    }

    public float getRate12() {
        return rate12;
    }

    public void setRate12(float rate12) {
        this.rate12 = rate12;
    }

    public String getRate12Str() {
        return rate12Str;
    }

    public void setRate12Str(String rate12Str) {
        this.rate12Str = rate12Str;
    }

    public float getRate13() {
        return rate13;
    }

    public void setRate13(float rate13) {
        this.rate13 = rate13;
    }

    public float getRate14() {
        return rate14;
    }

    public void setRate14(float rate14) {
        this.rate14 = rate14;
    }

    public float getRate15() {
        return rate15;
    }

    public void setRate15(float rate15) {
        this.rate15 = rate15;
    }

    public String getValue12() {
        return value12;
    }

    public void setValue12(String value12) {
        this.value12 = value12;
    }

    public String getValue13() {
        return value13;
    }

    public void setValue13(String value13) {
        this.value13 = value13;
    }

    public String getValue14() {
        return value14;
    }

    public void setValue14(String value14) {
        this.value14 = value14;
    }

    public String getValue15() {
        return value15;
    }

    public void setValue15(String value15) {
        this.value15 = value15;
    }

    public String getValue16() {
        return value16;
    }

    public void setValue16(String value16) {
        this.value16 = value16;
    }

    public String getValue17() {
        return value17;
    }

    public void setValue17(String value17) {
        this.value17 = value17;
    }

    public String getValue18() {
        return value18;
    }

    public void setValue18(String value18) {
        this.value18 = value18;
    }

    public String getValue19() {
        return value19;
    }

    public void setValue19(String value19) {
        this.value19 = value19;
    }

    public String getValue20() {
        return value20;
    }

    public void setValue20(String value20) {
        this.value20 = value20;
    }

    public String getValue21() {
        return value21;
    }

    public void setValue21(String value21) {
        this.value21 = value21;
    }

    public String getValue22() {
        return value22;
    }

    public void setValue22(String value22) {
        this.value22 = value22;
    }

    public String getValue23() {
        return value23;
    }

    public void setValue23(String value23) {
        this.value23 = value23;
    }

    public String getValue24() {
        return value24;
    }

    public void setValue24(String value24) {
        this.value24 = value24;
    }

    public String getData18() {
        return data18;
    }

    public void setData18(String data18) {
        this.data18 = data18;
    }

    public String getRemark16() {
        return remark16;
    }

    public void setRemark16(String remark16) {
        this.remark16 = remark16;
    }
}
