package com.rootcloud.domain.vo;

import java.math.BigDecimal;
import java.sql.Timestamp;

/**
 * 星级评价计算分析模型VO实体类
 * */
public class RepStarEvaluateVO {
    private String id;
    private String tenantid;
    private String deviceid;
    private String devicetypeid;
    private String data_year;
    private String data_month;
    private String indexname;
    private String statistics_type;

    private String expression; //公式
    private BigDecimal indexvaluex;
    private BigDecimal target_value;
    private BigDecimal target_value1;
    private BigDecimal target_value2;
    private BigDecimal target_weight;
    private BigDecimal result_score;

    private String officeid;
    private String officename;
    private String jixing;
    private Timestamp insertdatetime;//
    private Timestamp updatetime;//

    public RepStarEvaluateVO()
    {
    }

    public RepStarEvaluateVO(
            String tenantid,
            String deviceid,
            String devicetypeid,
            String data_year,
            String data_month,
            String indexname,
            String statistics_type,
            String expression,
            BigDecimal indexvaluex,
            BigDecimal target_value,
            BigDecimal target_value1,
            BigDecimal target_value2,
            BigDecimal target_weight,
            BigDecimal result_score,
            String officeid,
            String officename,
            String jixing,
            Timestamp insertdatetime,
            Timestamp updatetime
    ) {
        this.tenantid = tenantid;
        this.deviceid = deviceid;
        this.devicetypeid = devicetypeid;
        this.data_year = data_year;
        this.data_month = data_month;
        this.indexname = indexname;
        this.statistics_type = statistics_type;
        this.expression = expression;
        this.indexvaluex = indexvaluex;
        this.target_value = target_value;
        this.target_value1 = target_value1;
        this.target_value2 = target_value2;
        this.target_weight = target_weight;
        this.result_score = result_score;
        this.officeid = officeid;
        this.officename = officename;
        this.jixing = jixing;
        this.insertdatetime = insertdatetime;
        this.updatetime = updatetime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTenantid() {
        return tenantid;
    }

    public void setTenantid(String tenantid) {
        this.tenantid = tenantid;
    }

    public String getDeviceid() {
        return deviceid;
    }

    public void setDeviceid(String deviceid) {
        this.deviceid = deviceid;
    }

    public String getDevicetypeid() {
        return devicetypeid;
    }

    public void setDevicetypeid(String devicetypeid) {
        this.devicetypeid = devicetypeid;
    }

    public String getData_year() {
        return data_year;
    }

    public void setData_year(String data_year) {
        this.data_year = data_year;
    }

    public String getData_month() {
        return data_month;
    }

    public void setData_month(String data_month) {
        this.data_month = data_month;
    }

    public String getIndexname() {
        return indexname;
    }

    public void setIndexname(String indexname) {
        this.indexname = indexname;
    }

    public String getStatistics_type() {
        return statistics_type;
    }

    public void setStatistics_type(String statistics_type) {
        this.statistics_type = statistics_type;
    }

    public BigDecimal getIndexvaluex() {
        return indexvaluex;
    }

    public void setIndexvaluex(BigDecimal indexvaluex) {
        this.indexvaluex = indexvaluex;
    }


    public String getExpression() {
        return expression;
    }

    public void setExpression(String expression) {
        this.expression = expression;
    }

    public BigDecimal getTarget_value() {
        return target_value;
    }

    public void setTarget_value(BigDecimal target_value) {
        this.target_value = target_value;
    }

    public BigDecimal getTarget_value1() {
        return target_value1;
    }

    public void setTarget_value1(BigDecimal target_value1) {
        this.target_value1 = target_value1;
    }

    public BigDecimal getTarget_value2() {
        return target_value2;
    }

    public void setTarget_value2(BigDecimal target_value2) {
        this.target_value2 = target_value2;
    }

    public BigDecimal getTarget_weight() {
        return target_weight;
    }

    public void setTarget_weight(BigDecimal target_weight) {
        this.target_weight = target_weight;
    }

    public BigDecimal getResult_score() {
        return result_score;
    }

    public void setResult_score(BigDecimal result_score) {
        this.result_score = result_score;
    }

    public String getOfficeid() {
        return officeid;
    }

    public void setOfficeid(String officeid) {
        this.officeid = officeid;
    }

    public String getOfficename() {
        return officename;
    }

    public void setOfficename(String officename) {
        this.officename = officename;
    }

    public String getJixing() {
        return jixing;
    }

    public void setJixing(String jixing) {
        this.jixing = jixing;
    }

    public Timestamp getInsertdatetime() {
        return insertdatetime;
    }

    public void setInsertdatetime(Timestamp insertdatetime) {
        this.insertdatetime = insertdatetime;
    }

    public Timestamp getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Timestamp updatetime) {
        this.updatetime = updatetime;
    }
}
