package com.rootcloud.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

/**
 * 目标类型字典表
 *
 * @author  whl
 * @version V1.0
 **/


@TableName("rep_printer_target_type")
public class TargetTypeVO {

    private Long id;
    private String targetName; //目标类型中文名
    private String targetCode; //目标类型编码

    private Date createDate; //创建时间

    private Date updateDate; //修改时间

    private Integer startNo ;
    private Integer endNo ;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public String getTargetCode() {
        return targetCode;
    }

    public void setTargetCode(String targetCode) {
        this.targetCode = targetCode;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getStartNo() {
        return startNo;
    }

    public void setStartNo(Integer startNo) {
        this.startNo = startNo;
    }

    public Integer getEndNo() {
        return endNo;
    }

    public void setEndNo(Integer endNo) {
        this.endNo = endNo;
    }
}
