package com.rootcloud.service;

import com.rootcloud.domain.dto.CarouselDTO;
import com.rootcloud.domain.entity.CarouselEntity;
import com.rootcloud.domain.vo.CarouselVO;

import java.util.List;

/**
 * @Author w-yanxiang
 * @Date 2022/6/16 10:18
 * @Version 1.0
 * @Description
 */
public interface CarouselService {
    /**
     * 提交或保存轮播图信息
     * @param carouselDTO
     */
   void saveOrsubmitCarousel(CarouselDTO carouselDTO);

    /**
     * 查询
     * @param source
     * @return
     */
   CarouselVO findCarouselInfoData(String source);

    /**
     * 保存或修改一个轮播图数据
     * @param id 主键ID
     * @param imageUrl 图片地址
     */
   void saveOrUpdateOneCarousel(String id, String imageUrl);

    /**
     * 删除轮播图数据
     * @param ids 主键id
     */
   void deleteCarousel(List<String> ids);

}
