package com.rootcloud.service;

import com.rootcloud.common.JsonResult2;

public interface RepCustomerService {


    //获取所有客户信息列表
    public JsonResult2 getAllCustomerList(String tenantId) throws Exception;

    //获取指定用户所属的客户信息列表
    public JsonResult2 getCustomerListByUserId(String tenantId, String userId) throws Exception;

    //查询指定客户(机构)下所有的设备编号列表
    public JsonResult2 getDeviceCodeListByCustomerCode(String tenantId, String officeId) throws Exception;

    //查询指定客户(机构)下所有的设备列表
    public JsonResult2 getDeviceListByCustomerCode(String tenantId, String officeId) throws Exception;
}
