package com.rootcloud.service;

import com.rootcloud.web.dto.GuHuaJiDanHaoDto;
import com.rootcloud.web.dto.PinJunDaYinGaoDuDto;
import com.rootcloud.web.dto.PrinterReportDTO;

import java.util.List;
import java.util.Map;

public interface RepPrinterSandPercentService {

    Map<String, Object> getRepPrinterSandPercentBarData(PrinterReportDTO printerReportDTO, String tenantId, Map<String, String> printerDeviceRelationData)throws Exception;
    List<PinJunDaYinGaoDuDto> pinJunDaYinGaoDu(PrinterReportDTO printerReportDTO, String tenantId, Map<String, String> printerDeviceRelationData);
    List<GuHuaJiDanHaoDto> guHuaJiDanHao(PrinterReportDTO printerReportDTO, String tenantId, Map<String, String> printerDeviceRelationData);

    /***
     *
     * @Title: insert
     * @Description: 新增
     * @param vo
     * @return
     */
//    JsonResult2 insert(RepPrinterSandPercentVO vo);

    /***
     *
     * @Title: update
     * @Description: 更新
     * @param vo
     * @return
     */
//    JsonResult2 update(RepPrinterSandPercentVO vo);

    /***
     *
     * @Title: deleteById
     * @Description: 删除
     * @param id
     * @return
     */
//    JsonResult2 deleteById(@Param("id") Long id);

    /***
     *
     * @Title: getRepPrinterSandPercentList
     * @Description: 获取数据集
     * @param params
     * @return List
     */
//    Map<String, Object> getRepPrinterSandPercentList(PrinterReportDTO printerReportDTO, String tenantId, String pUid, Map<String, String> printerDeviceRelationData)throws Exception;
//    Map<String, Object> getRepPrinterSandPercentList2(PrinterReportDTO printerReportDTO, String tenantId, String pUid,Map<String, String> printerDeviceRelationData)throws Exception;

    /***
     *
     * @Title: getRepPrinterSandSXMDList
     * @Description: 树脂加入比
     * @param params
     * @return List
     */
    //Map<String, Object> getRepPrinterSandSXMDList(PrinterReportDTO printerReportDTO, String tenantId, String pUid,Map<String, String> printerDeviceRelationData)throws CommonException;


    /***
     *
     * @Title: getRepPrinterSandXJSZBList
     * @Description: 新砂占比
     * @param params
     * @return List
     */
    //Map<String, Object> getRepPrinterSandXJSZBList(PrinterReportDTO printerReportDTO, String tenantId, String pUid,Map<String, String> printerDeviceRelationData)throws CommonException;


    /***
     *
     * @Title: getRepPrinterSandLSLList
     * @Description: 获取漏砂量
     * @param params
     * @return List
     */
    //Map<String, Object> getRepPrinterSandLSLList(PrinterReportDTO printerReportDTO, String tenantId, String pUid,Map<String, String> printerDeviceRelationData)throws CommonException;


    /***
     *
     * @Title: getRepPrinterSandPercentBarData
     * @Description: 获取数据集(图形数据)
     * @param params
     * @return List
     */
//    Map<String, Object> getRepPrinterSandPercentBarData(PrinterReportDTO printerReportDTO, String tenantId, Map<String, String> printerDeviceRelationData)throws Exception;
//    Map<String, Object> getRepPrinterSandPercentBarData2(PrinterReportDTO printerReportDTO, String tenantId,Map<String, String> printerDeviceRelationData)throws Exception;

    /***
     *
     * @Title: getRepPrinterSandPercentSummary
     * @Description: 获取数据集总结
     * 5、打印机平均树脂加入比为        ，最大加入比为：       ，最大树脂加入比的设备有      、     、     。
     * 6、平均打印新砂占比为         ，新砂占比前三大设备为      、       、        。
     * 7、打印机平均漏沙量为         ；漏砂量前三设备是         、         、         。
     * @param params
     * @return List
     */
    //RepPrinterReportVO getRepPrinterSandPercentSummary(PrinterReportDTO printerReportDTO, String tenantId, String pUid,Map<String, String> printerDeviceRelationData)throws CommonException;

    /**
     * 获得打印机体积
     * @param printerReportDTO
     * @return
     */
//    List<Map<String,Object>> getRepPrinterVolumeList(PrinterReportDTO printerReportDTO, Map<String, String> printerDeviceRelationData);
//
//    List<PinJunDaYinGaoDuDto> pinJunDaYinGaoDu(PrinterReportDTO printerReportDTO, String tenantId, Map<String, String> printerDeviceRelationData);
//    List<PinJunDaYinGaoDuDto> pinJunDaYinGaoDu2(PrinterReportDTO printerReportDTO, String tenantId, Map<String, String> printerDeviceRelationData);
//
//    List<GuHuaJiDanHaoDto> guHuaJiDanHao(PrinterReportDTO printerReportDTO, String tenantId, Map<String, String> printerDeviceRelationData);
//    List<GuHuaJiDanHaoDto> guHuaJiDanHao2(PrinterReportDTO printerReportDTO, String tenantId, Map<String, String> printerDeviceRelationData);

}
