package com.rootcloud.service.impl;


import com.rootcloud.domain.dao.RepPrinterStarEvaluateDAO;
import com.rootcloud.service.RepPrinterStarEvaluateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Calendar;

@Service("starPrinterServices")
public class RepPrinterStarEvaluateServiceImpl implements RepPrinterStarEvaluateService {

    @Autowired
    private
    RepPrinterStarEvaluateDAO starEvaluateDAO;

    public void run(Calendar calendar) {

        /*
        Integer year = calendar.get(Calendar.YEAR); //2020
        Integer month = calendar.get(Calendar.MONTH) + 1; //09 10 11
        Integer day = calendar.get(Calendar.DAY_OF_MONTH);

        String mon ="";
        String days ="";
        if(month <10)
            mon = "0" + month.toString();
        else
            mon = month.toString();
        if(day <10)
            days = "0" + day.toString();
        else
            days = day.toString();

        // 1. 从配置表中获取租户编号及设备型号
        Optional<ConfigVO> configVOOptional = configService.findOne(PRINTER_TENANT_ID);
        if (!configVOOptional.isPresent()) {
            log.error("{}配置项不存在", PRINTER_TENANT_ID);
        }
        String tenantId = configVOOptional.get().getValue();
        Optional<ConfigVO> deviceTypeIdOptional = configService.findOne(PRINTER_DEVICE_TYPE_ID);
        if (!deviceTypeIdOptional.isPresent()) {
            log.error("{}配置项不存在", PRINTER_DEVICE_TYPE_ID);
        }
        String deviceType = deviceTypeIdOptional.get().getValue();
        String deviceTypeId = deviceTypeIdOptional.get().getValue();
        String userid = "124";//params==null?null:StringUtil.getStrVal(params.get("pUid"), true, null);

        String startday = getFirstDayOfMonth1(year,month);
        String endday = getLastDayOfMonth1(year,month);
        String statistics_type ="";
        String statistics_type2 ="";
        String statistics_type3 ="";
        String statistics_type4 ="";
        String statistics_type5 ="";
        String statistics_type6 ="";
        String statistics_type7 ="";
        String statistics_type8 ="";

        //I 故障停机率
        String startTime = startday;
        String endTime = endday;
        List<RepMttVO> ListDataObj = repFaultDAO.byDeviceCode("","","","5719",startTime,endTime);

        List<RepStarEvaluateVO> resultList = new ArrayList<>(30);
        List<String> deviceIdList = new ArrayList<String>();
        for(int i=0;i<ListDataObj.size();i++)
        {
            Double total_Hmitotaltimecost =0.0; //正常打印耗时
            Double total_Gztotaltime =0.0;

            String  jixing = String.valueOf(ListDataObj.get(i).getJixing().toString());
            String deviceCode = String.valueOf(ListDataObj.get(i).getDeviceid().toString());
            String officeid = String.valueOf(ListDataObj.get(i).getOfficeid().toString());

            //目前只有四川共享铸造KF、装备成形工厂KM1有废品数据
            if(officeid.equals("7b0c9a3a4e514c099569f4a37b7c7b43") || officeid.equals("9bbc696e35214674bf57e186d328f5b9"))
            {
                String Hmitotaltimecost = ListDataObj.get(i).getHmitotaltimecost(); //处理null值
                if(Hmitotaltimecost == null)
                    Hmitotaltimecost ="0";
                else
                    Hmitotaltimecost = String.valueOf(ListDataObj.get(i).getHmitotaltimecost().toString());

                String Gztotaltime =String.valueOf(ListDataObj.get(i).getGztotaltime().toString());
                String Gzcounts =String.valueOf(ListDataObj.get(i).getCounts().toString());
                String officename = String.valueOf(ListDataObj.get(i).getOfficename().toString());
                String officecode = String.valueOf(ListDataObj.get(i).getOfficeid().toString());
                String MTBF ="0";
                String MTTR ="0";
                String MTTF ="0";
                if(Gzcounts.equals("0"))
                {
                    MTBF = String.format("%.1f", Double.parseDouble(Hmitotaltimecost));
                    MTTR ="0";
                    MTTF ="0";
                    List<RepMttVO> List1 = repFaultDAO.byDeviceCode("","",deviceCode,"5719",startTime,endTime);
                    for(int j=0;j<List1.size();j++)
                    {
                        //无故障 无故障: 比如25号全天无故障   24小时  /1 = 24;
                        LocalDateTime t1 = LocalDateTime.parse(startTime +" "+"00:00:00", DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                        LocalDateTime t2 = LocalDateTime.parse(endTime +" "+"23:59:59", DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                        String s1 = String.valueOf(Duration.between(t1,t2.plusSeconds(1)).toMinutes());
                        Double hours = Double.valueOf(s1) / 60;  //小时数
                        Double temp3 = hours / 1;
                        MTTF = String.format("%.1f", temp3);
                    }
                }
                if(!Gzcounts.equals("0"))
                {
                    Double temp = Double.parseDouble(Hmitotaltimecost)/Double.parseDouble(Gzcounts);
                    MTBF = String.format("%.1f", temp);
                    Double temp1 = Double.parseDouble(Gztotaltime)/Double.parseDouble(Gzcounts);
                    MTTR = String.format("%.1f", temp1);

                    if(Gzcounts.equals("1")) //有一次故障 MTTF
                    {
                        //查询1次故障的记录，计算此情况
                        List<RepMttVO> listtemp = repFaultDAO.QuerySignalRecord(deviceCode,"",startTime,endTime);
                        String gzstartdate = String.valueOf(listtemp.get(0).getGzstartdate()).substring(0,19);
                        String gzresumedate = String.valueOf(listtemp.get(0).getGzresumedate()).substring(0,19);

                        //有一次故障，比如10点钟故障，12点钟恢复正常：(10 + 12)/ 2 =12.2
                        LocalDateTime t1 = LocalDateTime.parse(startTime +" "+"00:00:00", DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                        LocalDateTime t2 = LocalDateTime.parse(gzstartdate, DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                        LocalDateTime t3 = LocalDateTime.parse(gzresumedate, DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                        LocalDateTime t4 = LocalDateTime.parse(endTime+" "+"23:59:59", DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                        String s1 = String.valueOf(Duration.between(t1,t2).toMinutes());
                        String s2 = String.valueOf(Duration.between(t3,t4.plusSeconds(1)).toMinutes());

                        Double hours1 = Double.valueOf(s1)/60;
                        Double hours2 = Double.valueOf(s2)/60;
                        Double temp3 = (hours1 + hours2) / 2;
                        MTTF = String.format("%.1f", temp3);

                    }
                    else // >1次
                    {
                        //依次取出该设备的故障开始时间
                        String firstTempStartT ="";
                        String startTempT="";
                        String nextTime ="";
                        Double TH =0.0;
                        Double hours =0.0;
                        //指定设备的数据
                        List<RepMttVO> ListObj = repFaultDAO.QuerySignalRecord(deviceCode,"",startTime,endTime);//查询该机构下

//						开始时间点
//						开始1           恢复1
//						开始2           恢复2
//						开始3           恢复3
//						开始4           恢复4
//						----------------------
//						----------------------
//						开始n           恢复n
//						结束时间点

                        //计算指定设备的所有故障持续时长
                        int initCount =0;
                        for(int j=0;j<ListObj.size();j++)
                        {
                            if(initCount == 0) //开始
                            {
                                firstTempStartT =String.valueOf(ListObj.get(j).getGzstartdate()).substring(0,19);
                                LocalDateTime t1 = LocalDateTime.parse(startTime+" "+"00:00:00", DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                                LocalDateTime t2 = LocalDateTime.parse(firstTempStartT, DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                                String hh = String.valueOf(Duration.between(t1,t2).toMinutes());
                                hours += Double.valueOf(hh) / 60;
                                initCount ++;

                                startTempT =String.valueOf(ListObj.get(j).getGzresumedate()).substring(0,19);
                            }
                            if(initCount > 0 && j >0)
                            {

                                nextTime =String.valueOf(ListObj.get(j).getGzstartdate()).substring(0,19); //开始时间
                                LocalDateTime t1 = LocalDateTime.parse(startTempT, DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                                LocalDateTime t2 = LocalDateTime.parse(nextTime, DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                                String hh = String.valueOf(Duration.between(t1,t2).toMinutes());
                                hours += Double.valueOf(hh) /60;

                                startTempT = String.valueOf(ListObj.get(j).getGzresumedate()).substring(0,19); //下一次的开始时间

                            }
                            if(j == ListObj.size() -1) //最后一条记录
                            {
                                String endTempStartT =String.valueOf(ListObj.get(j).getGzresumedate()).substring(0,19);
                                LocalDateTime t1 = LocalDateTime.parse(endTempStartT, DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                                LocalDateTime t2 = LocalDateTime.parse(endTime+" "+"23:59:59", DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
                                String hh = String.valueOf(Duration.between(t1,t2).toMinutes());
                                hours += Double.valueOf(hh) / 60;
                                //最后一次取数不计次数
                            }
                        }
                        //求当前设备的MTTF
                        TH = hours /(Double.valueOf(Gzcounts) + 1); //当前设备的次数
                        MTTF = String.format("%.1f", TH);
                    }
                }

                //读取当前机构下的指标设置  故障停机率GZTJL--------------------------------------------------
                String currentCustomer_code ="";
                JsonResult jsonResult = icsmClient.getOfficeInfo(tenantId,userid);
                List<Map<String, Object>> dataList1 = (List<Map<String, Object>>)jsonResult.getData();
                for (int j = 0; j < dataList1.size(); j++)
                {
                    String CurrentofficeId = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("officeId")) ? ""
                            : dataList1.get(j).get("officeId").toString();
                    String customerCode = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("customerCode")) ? ""
                            : dataList1.get(j).get("customerCode").toString();
                    if(CurrentofficeId.equals(officeid))
                    {
                        currentCustomer_code = customerCode;
                        break;
                    }
                }
                String indexname ="";
                RepPrinterEvaluateTargetDicVO vo = repPrinterEvaluateTargetDicService.getRepPrinterEvaluateTargetDicByKey("GZTJL",currentCustomer_code);
                BigDecimal target_value =new BigDecimal(0.0);
                BigDecimal target_value1 =new BigDecimal(0.0);
                BigDecimal target_value2 =new BigDecimal(0.0);
                BigDecimal target_weight =new BigDecimal(0.0);

                if(vo !=null)
                {
                    target_value = vo.getTargetValue(); //目标值
                    target_weight = vo.getTargetWeight();
                    indexname = vo.getIndexName();
                    statistics_type = vo.getStatisticsType();
                }
                else
                {
                    continue;   //没有归属机构的设备忽略掉
                }
                //-----------------------------------------------------------------------------------------

                double rate =0; //故障停机率
                double currentHmiTotaltimecost =0;
                double currentGztotaltime =0;
                if(Hmitotaltimecost.equals("0"))
                {
                    currentHmiTotaltimecost =0;
                }
                else
                {
                    currentHmiTotaltimecost = Double.valueOf(Hmitotaltimecost);
                }
                //total_Hmitotaltimecost += Double.valueOf(String.format("%.1f", Double.valueOf(Hmitotaltimecost)));
                if(Gztotaltime.equals(""))
                {
                    currentGztotaltime =0;
                }
                else
                {
                    currentGztotaltime = Double.valueOf(Gztotaltime);
                }
                //total_Gztotaltime += Double.valueOf(String.format("%.1f", Double.valueOf(Gztotaltime)));
                //故障停机率 = 故障时间/故障时间+有效开动时间
                rate = currentGztotaltime /(currentGztotaltime + currentHmiTotaltimecost); //计算结果

                //故障停机率指标得分(old)
//				double result = 40 *(rate - Double.parseDouble(target_value1.toString())) /(Double.parseDouble(target_value2.toString()) - Double.parseDouble(target_value1.toString())) + 60;
//				result = Double.valueOf(String.format("%.2f", Double.valueOf(result)));
//				BigDecimal D1 = new BigDecimal(result);

                //计算停机故障率指标得分(new)
//                 权重占比20分
//                   x=0,得分20分；
//                   x>2.5,得分20*80%* (2.5/x)
//                   0<x<=2.5,得分20*80% + ((2.5-x)/2.5)*4
//
                double result = 0.0;
                BigDecimal D1 = new BigDecimal(result);
                double weight = Double.parseDouble(target_weight.toString()) / 100;
                double targetvalue = Double.valueOf(target_value.toString()) / 100;
                if(rate == 0.0)
                {
                    Double temp = 100 * weight;//100 *0.2 =20
                    D1 = new BigDecimal(temp);
                }
                if(rate > targetvalue) //0.025 2.5%
                {
                    Double temp = 100 * weight;//100 *0.2 =20
//					temp = 20 * 0.8 + rate;
                    temp = temp * 0.8 * targetvalue / rate;
                    D1 = new BigDecimal(temp);
                }
                if(rate > 0 && rate <= targetvalue) //0 <x<=0.025
                {
                    Double temp = 100 * weight;//100 *0.2 =20
//					temp = 20 * 0.8 + ((2.5-rate)/2.5) * 4 ;
                    temp = temp * 0.8 + ((targetvalue - rate)/targetvalue) * 4 ; // *6 改为 *4
                    D1 = new BigDecimal(temp);
                }
//				String expression = String.valueOf(Double.valueOf(String.format("%.2f", Double.valueOf(currentGztotaltime)))) + "/" + (String.valueOf(Double.valueOf(String.format("%.2f", Double.valueOf(currentGztotaltime))))+ "+" + String.valueOf(Double.valueOf(String.format("%.2f", Double.valueOf(currentHmiTotaltimecost)))));
                String expression = "";

                RepStarEvaluateVO newWorkVO = new RepStarEvaluateVO(tenantId,
                        deviceCode,
                        deviceTypeId,
                        String.valueOf(year),
                        String.valueOf(month),
                        indexname,
                        statistics_type,
                        expression,
                        BigDecimal.valueOf(rate),
                        new BigDecimal(targetvalue),
                        target_value1,
                        target_value2,
                        new BigDecimal(weight),
                        D1,
                        officeid,
                        officename,
                        jixing,
                        Timestamp.valueOf(LocalDateTime.now()),
                        Timestamp.valueOf(LocalDateTime.now())
                );
                resultList.add(newWorkVO);
                deviceIdList.add(deviceCode);
            }
        }

        if(!statistics_type.equals(""))
        {
            starEvaluateDAO.deleteStarEvaluateByDate(String.valueOf(year),String.valueOf(month),statistics_type,deviceIdList);
            starEvaluateDAO.batchAdd(resultList);
        }

        //II 计算打印效率利用率
        Map<String,String> printerDeviceRelationData = new HashMap<String,String>();
        try {
            //从配置表中获取平台设备编码及用户设备编码关系
            printerDeviceRelationData =	getPrinterDeviceRelation();
        }
        catch (Exception ex){}

        List<RepStarEvaluateVO> resultList2 = new ArrayList<>(30);
        List<String> deviceIdList2 = new ArrayList<String>();
        for(int i=0;i<ListDataObj.size();i++)
        {
            String jixing = String.valueOf(ListDataObj.get(i).getJixing().toString());
            String deviceCode = String.valueOf(ListDataObj.get(i).getDeviceid().toString());
            String officeid = String.valueOf(ListDataObj.get(i).getOfficeid().toString());
            String officename = String.valueOf(ListDataObj.get(i).getOfficename().toString());

            //目前只有四川共享铸造KF、装备成形工厂KM1有废品数据
            if(officeid.equals("7b0c9a3a4e514c099569f4a37b7c7b43") || officeid.equals("9bbc696e35214674bf57e186d328f5b9"))
            {
                //组织查询条件
                PrinterReportDTO printerReportDTO = new PrinterReportDTO();
                printerReportDTO.setStartDate(startTime);
                printerReportDTO.setEndDate(endTime);
                List<String> deviceIdsList = new ArrayList<String>();
                deviceIdsList.add(deviceCode);
                printerReportDTO.setDeviceIdList(deviceIdsList);

                //查询该设备在该段时间内的逐日打印效率,然后求平均值
                List<Map<String, Object>> list = printerEfficiencyWorkDao.getReportDYXLByDeviceV2(printerReportDTO);
                if( list!=null || list.size()!=0 )
                {
//				list = PlatformDeviceTransUtil.repalceDevice(printerDeviceRelationData, list);//不做设备编号转换
                    // 数据结果转换成前台需要的格式[#打印效率 dyxl]
                    List<Map<String, Object>> dataList = list.stream().map(item -> {
                        Map<String, Object> map = new HashMap<>(3);
                        float dyxl = Float.parseFloat(item.getOrDefault("dyxl", "0").toString());
                        map.put("dyxl", String.format("%.2f", dyxl));
                        map.put("deviceId", item.get("device_id"));
                        map.put("day", item.get("data_day")); //日期
                        return map;
                    }).collect(Collectors.toList());

                    float tota_dyxl=0;
                    int index = 0;
                    for( Map<String, Object> item : dataList )
                    {
                        float dyxl = Float.parseFloat(item.getOrDefault("dyxl", "0").toString());
                        tota_dyxl += dyxl ;
                        String device = item.get("deviceId").toString();
                        index++;
                    }
                    //求当月的平均效率
                    String xl_ave = String.format("%.2f", index==0?0:tota_dyxl/index);

                    BigDecimal targetXL = new BigDecimal(0);
                    jixing = GetJixing(deviceCode);  //机型

                    //读取当前机构下的指标设置  打印效率利用率DYXLLYL--------------------------------------------------
                    String currentCustomer_code ="";
                    JsonResult jsonResult = icsmClient.getOfficeInfo(tenantId,userid);
                    List<Map<String, Object>> dataList1 = (List<Map<String, Object>>)jsonResult.getData();
                    for (int j = 0; j < dataList1.size(); j++)
                    {
                        String CurrentofficeId = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("officeId")) ? ""
                                : dataList1.get(j).get("officeId").toString();
                        String customerCode = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("customerCode")) ? ""
                                : dataList1.get(j).get("customerCode").toString();
                        if(CurrentofficeId.equals(officeid))
                        {
                            currentCustomer_code = customerCode;
                            break;
                        }
                    }
                    RepPrinterEvaluateTargetDicVO vo2 = repPrinterEvaluateTargetDicService.getRepPrinterEvaluateTargetDicByKey("DYXLLYL",currentCustomer_code);
                    BigDecimal target_value_2 =new BigDecimal(0.0);
                    BigDecimal target_value1_2 =new BigDecimal(0.0);
                    BigDecimal target_value2_2 =new BigDecimal(0.0);
                    BigDecimal target_weight_2 =new BigDecimal(0.0);
                    String indexname2 ="";
                    if(vo2 !=null)
                    {
                        target_value_2 = vo2.getTargetValue();
                        target_weight_2 = vo2.getTargetWeight();

                        indexname2 = vo2.getIndexName();
                        statistics_type2 = vo2.getStatisticsType();
                    }
                    else
                    {
                        continue;   //没有归属机构的设备忽略掉
                    }
                    //找到对应机构下的设置的打印机打印效率目标值
                    RepPrinterTargetDicVO target = repPrinterTargetDicService.getRepPrinterTargetDicByKey("DYXL"+jixing,currentCustomer_code);
                    if(target!=null)
                    {
                        targetXL = target.getTargetValue(); //目标效率
                    }
                    else
                    {
                        continue;
                    }
                    //d2  打印效率利用率 = 打印效率/打印效率指标值
                    double rate2 = Double.valueOf(xl_ave) / Double.parseDouble(targetXL.toString());//计算结果
                    //打印效率利用率指标得分(old)
//					double result2 = 40 *(rate2 - Double.parseDouble(target_value1_2.toString())) /(Double.parseDouble(target_value2_2.toString()) - Double.parseDouble(target_value1_2.toString())) + 60;
//					result2 = Double.valueOf(String.format("%.2f", Double.valueOf(result2)));
//					BigDecimal D2 = new BigDecimal(result2);

//                    //打印效率利用率指标得分(new)
//                     权重10分
//                       x>=100,得分10分；
//                       x<100,得分10 * x
//
                    double result = 0.0;
                    BigDecimal D2 = new BigDecimal(result);
                    double weight = Double.parseDouble(target_weight_2.toString()) / 100;
                    double targetvalue = Double.valueOf(target_value_2.toString()) / 100;
                    if(rate2 >= targetvalue) // x >=100%
                    {
                        Double temp = 100 * weight;//100 *0.1
                        D2 = new BigDecimal(temp);
                    }
                    if(rate2 < targetvalue) // x <100%
                    {
                        Double temp = 100 * weight;//100 *0.1
                        //Double temp = 10 * rate2;
                        temp = temp * rate2;
                        D2 = new BigDecimal(temp);
                    }
//					String expression = xl_ave +"/"+targetXL.toString();
                    String expression ="";
                    RepStarEvaluateVO newWorkVO2 = new RepStarEvaluateVO(tenantId,
                            deviceCode,
                            deviceTypeId,
                            String.valueOf(year),
                            String.valueOf(month),
                            indexname2,
                            statistics_type2,
                            expression,
                            BigDecimal.valueOf(rate2),
                            new BigDecimal(targetvalue),
                            target_value1_2,
                            target_value2_2,
                            new BigDecimal(weight),
                            D2,
                            officeid,
                            officename,
                            jixing,
                            Timestamp.valueOf(LocalDateTime.now()),
                            Timestamp.valueOf(LocalDateTime.now())
                    );
                    resultList2.add(newWorkVO2);
                    deviceIdList2.add(deviceCode);
                }
            }
        }
        if(!statistics_type2.equals(""))
        {
            starEvaluateDAO.deleteStarEvaluateByDate(String.valueOf(year),String.valueOf(month),statistics_type2,deviceIdList2);
            starEvaluateDAO.batchAdd(resultList2);
        }


        //III 计算废品率 FPL
        List<RepStarEvaluateVO> resultList3 = new ArrayList<>(30);
        List<String> deviceIdList3 = new ArrayList<String>();
        DecimalFormat df1 =new DecimalFormat("0.000");
        for(int i=0;i<ListDataObj.size();i++)
        {
            String jixing = String.valueOf(ListDataObj.get(i).getJixing().toString());
            String deviceCode = String.valueOf(ListDataObj.get(i).getDeviceid().toString());
            String officeid = String.valueOf(ListDataObj.get(i).getOfficeid().toString());
            String officename = String.valueOf(ListDataObj.get(i).getOfficename().toString());

            //目前只有四川共享铸造KF、装备成形工厂KM1有废品数据
            if(officeid.equals("7b0c9a3a4e514c099569f4a37b7c7b43") || officeid.equals("9bbc696e35214674bf57e186d328f5b9"))
            {
                //组织查询条件
                PrinterReportDTO printerReportDTO = new PrinterReportDTO();
                printerReportDTO.setStartDate(startTime);
                printerReportDTO.setEndDate(endTime);
                List<String> deviceIdsList = new ArrayList<String>();
                deviceIdsList.add(deviceCode);
                printerReportDTO.setDeviceIdList(deviceIdsList);

                //取当前设备的废品率数据
                List<Map<String,Object>> list = repPrinterOutputDao.sumDeviceProductWasteData(printerReportDTO);
                list = PlatformDeviceTransUtil.repalceDevice(printerDeviceRelationData, list);
                double rate3 = 0;
                if( list==null || list.size()==0 ){
                    //没有废品率如产业创新中心等，默认计算0没有废品吧。不计废品总比有废品强
                    rate3 = 0.0;
                }
                for(int j=0;j<list.size();j++)
                {
                    Map<String,Object> m = list.get(j);
                    String device_id = (String) m.get("device_id");
                    BigDecimal fpl = (BigDecimal) m.get("fpl");
                    try {
                        rate3 = fpl.doubleValue();
                    } catch (Exception e) {
                        rate3 = 0.0;
                    }
                }
                BigDecimal targetFPL = new BigDecimal(0);
                jixing = GetJixing(deviceCode);  //机型
                //读取当前机构下的指标设置 --------------------------------------------------
                String currentCustomer_code ="";
                JsonResult jsonResult = icsmClient.getOfficeInfo(tenantId,userid);
                List<Map<String, Object>> dataList1 = (List<Map<String, Object>>)jsonResult.getData();
                for (int j = 0; j < dataList1.size(); j++)
                {
                    String CurrentofficeId = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("officeId")) ? ""
                            : dataList1.get(j).get("officeId").toString();
                    String customerCode = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("customerCode")) ? ""
                            : dataList1.get(j).get("customerCode").toString();
                    if(CurrentofficeId.equals(officeid))
                    {
                        currentCustomer_code = customerCode;
                        break;
                    }
                }
                RepPrinterEvaluateTargetDicVO vo3 = repPrinterEvaluateTargetDicService.getRepPrinterEvaluateTargetDicByKey("FPL",currentCustomer_code);
                BigDecimal target_value_3 =new BigDecimal(0.0);
                BigDecimal target_value1_3 =new BigDecimal(0.0);
                BigDecimal target_value2_3 =new BigDecimal(0.0);
                BigDecimal target_weight_3 =new BigDecimal(0.0);
                String indexname3 ="";
                if(vo3 !=null)
                {
                    target_value_3 =vo3.getTargetValue();
                    target_weight_3 = vo3.getTargetWeight();
                    indexname3 = vo3.getIndexName();
                    statistics_type3 = vo3.getStatisticsType();
                }
                else
                {
                    continue;   //没有归属机构的设备忽略掉
                }

//                //废品率指标得分(new)
//                  权重20
//                 *  x = 0,得分20分；
//                 *  x > 5,得分 20*80% * 5/x
//                 *  0< x <=5,得分 20*80% + ((5-x)/5) * 6
//                 *  *
                double result = 0.0;
                BigDecimal D3 = new BigDecimal(result);
                double weight = Double.parseDouble(target_weight_3.toString()) / 100;
                double targetvalue = Double.valueOf(target_value_3.toString()) / 100;
                if(rate3 == 0.0)
                {
                    Double temp = 100 * weight;//100 *0.2
                    D3 = new BigDecimal(temp);
                }
                if(rate3 > targetvalue) //x>0.05 5%
                {
                    Double temp = 100 * weight;//100 *0.2
                    //Double temp = 20 * 0.8 * 5/x;
                    temp = temp * 0.8 * targetvalue / rate3;
                    D3 = new BigDecimal(temp);
                }
                if(rate3 > 0 && rate3 <= targetvalue)// 0<x<=0.05
                {
                    Double temp = 100 * weight;//100 *0.2
                    //Double temp = 20 * 0.8 + ((5-x)/5) * 6;
                    temp = temp * 0.8 + ((targetvalue - rate3) / targetvalue) * 6; // *8 改为 *6
                    D3 = new BigDecimal(temp);
                }
//				String expression = "pfl/"+String.valueOf(rate3);
                String expression = "";

                RepStarEvaluateVO newWorkVO2 = new RepStarEvaluateVO(tenantId,
                        deviceCode,
                        deviceTypeId,
                        String.valueOf(year),
                        String.valueOf(month),
                        indexname3,
                        statistics_type3,
                        expression,
                        BigDecimal.valueOf(rate3),
                        new BigDecimal(targetvalue),
                        target_value1_3,
                        target_value2_3,
                        new BigDecimal(weight),
                        D3,
                        officeid,
                        officename,
                        jixing,
                        Timestamp.valueOf(LocalDateTime.now()),
                        Timestamp.valueOf(LocalDateTime.now())
                );
                resultList3.add(newWorkVO2);
                deviceIdList3.add(deviceCode);
            }

        }
        if(!statistics_type3.equals(""))
        {
            starEvaluateDAO.deleteStarEvaluateByDate(String.valueOf(year),String.valueOf(month),statistics_type3,deviceIdList3);
            starEvaluateDAO.batchAdd(resultList3);
        }

        //4.产能利用率
        List<RepStarEvaluateVO> resultList4 = new ArrayList<>(30);
        List<String> deviceIdList4 = new ArrayList<String>();
        for(int i=0;i<ListDataObj.size();i++)
        {
            String jixing = String.valueOf(ListDataObj.get(i).getJixing().toString());
            String deviceCode = String.valueOf(ListDataObj.get(i).getDeviceid().toString());
            String officeid = String.valueOf(ListDataObj.get(i).getOfficeid().toString());
            String officename = String.valueOf(ListDataObj.get(i).getOfficename().toString());
            //目前只有四川共享铸造KF、装备成形工厂KM1有废品数据
            if(officeid.equals("7b0c9a3a4e514c099569f4a37b7c7b43") || officeid.equals("9bbc696e35214674bf57e186d328f5b9"))
            {
                //读取当前机构下的指标设置  打印效率利用率DYXLLYL--------------------------------------------------
                String currentCustomer_code ="";
                JsonResult jsonResult = icsmClient.getOfficeInfo(tenantId,userid);
                List<Map<String, Object>> dataList1 = (List<Map<String, Object>>)jsonResult.getData();
                for (int j = 0; j < dataList1.size(); j++)
                {
                    String CurrentofficeId = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("officeId")) ? ""
                            : dataList1.get(j).get("officeId").toString();
                    String customerCode = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("customerCode")) ? ""
                            : dataList1.get(j).get("customerCode").toString();
                    if(CurrentofficeId.equals(officeid))
                    {
                        currentCustomer_code = customerCode;
                        break;
                    }
                }

                //计算月产量
                Map<String, Object>  params = new HashMap<
                        >(20);
                params.put("expReportName", "");
                params.put("yieldTrendRepByDevice", "");
                params.put("tenantId", tenantId);

                String deviceIds = deviceCode;
                List<String> list0 = Arrays.stream(deviceIds.split(",")).collect(Collectors.toList());
                params.put("deviceIdList", list0);

                params.put("year", String.valueOf(year));
                params.put("month", String.valueOf(mon));
                params.put("day", "");
                List<DevWorkInfoVO> deviceYieldList = repdao.getDeviceYields(params);
                if( deviceYieldList==null || deviceYieldList.size()==0 ){
                    continue;
                }
                List<ChanNengLiYongLvDto> list = new ArrayList<ChanNengLiYongLvDto>();
                double rate4 = 0;
                for(int k=0;k<deviceYieldList.size();k++)
                {
                    ChanNengLiYongLvDto dto = new ChanNengLiYongLvDto();
                    String device_id = deviceYieldList.get(k).getDeviceId();//设备
                    String device_Type = device_id.startsWith("SDream") ? "SDream" : device_id.split("-")[0];
                    dto.setDeviceType(device_Type);
                    dto.setDeviceId(device_id);
                    dto.setDay(deviceYieldList.get(k).getSdate()); //标记日期
                    Double cl = deviceYieldList.get(k).getVolumn();//产量

                    //找到对应机构下的设置的打印机打印效率目标值
                    RepPrinterTargetDicVO targetL = repPrinterTargetDicService.getRepPrinterTargetDicByKey("CN_"+device_Type,currentCustomer_code);
                    Double cn = 0d;//产能
                    if (targetL != null ) {
                        //逐日的产能
                        cn = 1 * targetL.getTargetValue().doubleValue();//cn = days * v.getTargetValue().doubleValue();
                    }
                    else
                    {
                        log.info("当前设备"+ device_id +"产能目标值:" + "CN_"+deviceType +" 读取异常...");
                    }
                    if (cn > 0) {
                        dto.setLiYongLv(cl.doubleValue() / cn); //产能利用率
                    }
                    dto.setChanLiang(cl);
                    dto.setChanNeng(cn);
                    list.add(dto);
                }
                //计算该设备当前月的产能利用率
                if(list.size() >0)
                {
                    rate4 = list.stream().mapToDouble(ChanNengLiYongLvDto::getLiYongLv).average().getAsDouble(); //单台设备当前余月份数据的均值
                }
                else
                    rate4 =0.0;

                RepPrinterEvaluateTargetDicVO vo4 = repPrinterEvaluateTargetDicService.getRepPrinterEvaluateTargetDicByKey("CNLYV",currentCustomer_code);
                BigDecimal target_value_4 =new BigDecimal(0.0);
                BigDecimal target_value1_4 =new BigDecimal(0.0);
                BigDecimal target_value2_4 =new BigDecimal(0.0);
                BigDecimal target_weight_4 =new BigDecimal(0.0);
                String indexname4 ="";
                if(vo4 !=null)
                {
                    target_value_4 =vo4.getTargetValue();
                    target_weight_4 = vo4.getTargetWeight();
                    indexname4 = vo4.getIndexName();
                    statistics_type4 = vo4.getStatisticsType();
                }
                else
                {
                    continue;   //没有归属机构的设备忽略掉
                }
//                //产能率指标得分(new)
//                  权重10
//                   x >1 ,得分10分；
//                   x < 1,得分 10 * x
//
                double result = 0.0;
                BigDecimal D4 = new BigDecimal(result);
                double weight = Double.parseDouble(target_weight_4.toString()) / 100;
                double targetvalue = Double.valueOf(target_value_4.toString()) / 100;

                if(rate4 >= targetvalue) //x>= 100%  权重10分
                {
                    Double temp = 10.0;
                    D4 = new BigDecimal(temp);
                }
                if(rate4 < targetvalue)// x < 100%
                {
                    Double temp = 0.0;
                    temp = 10 * rate4;
                    D4 = new BigDecimal(temp);
                }String expression = "";

                RepStarEvaluateVO newWorkVO2 = new RepStarEvaluateVO(tenantId,
                        deviceCode,
                        deviceTypeId,
                        String.valueOf(year),
                        String.valueOf(month),
                        indexname4,
                        statistics_type4,
                        expression,
                        BigDecimal.valueOf(rate4),
                        new BigDecimal(targetvalue),
                        target_value1_4,
                        target_value2_4,
                        new BigDecimal(weight),
                        D4,
                        officeid,
                        officename,
                        jixing,
                        Timestamp.valueOf(LocalDateTime.now()),
                        Timestamp.valueOf(LocalDateTime.now())
                );
                resultList4.add(newWorkVO2);
                deviceIdList4.add(deviceCode);
            }
        }
        if(!statistics_type4.equals(""))
        {
            starEvaluateDAO.deleteStarEvaluateByDate(String.valueOf(year),String.valueOf(month),statistics_type4,deviceIdList4);
            starEvaluateDAO.batchAdd(resultList4);
        }

        //5. 强度合格率
        List<RepStarEvaluateVO> resultList5 = new ArrayList<>(30);
        List<String> deviceIdList5 = new ArrayList<String>();
        for(int i=0;i<ListDataObj.size();i++)
        {
            String jixing = String.valueOf(ListDataObj.get(i).getJixing().toString());
            String deviceCode = String.valueOf(ListDataObj.get(i).getDeviceid().toString());
            String officeid = String.valueOf(ListDataObj.get(i).getOfficeid().toString());
            String officename = String.valueOf(ListDataObj.get(i).getOfficename().toString());
            //目前只有四川共享铸造KF、装备成形工厂KM1有废品数据
            if (officeid.equals("7b0c9a3a4e514c099569f4a37b7c7b43") || officeid.equals("9bbc696e35214674bf57e186d328f5b9"))
            {
                //读取当前机构下的指标设置  打印效率利用率DYXLLYL--------------------------------------------------
                String currentCustomer_code ="";
                JsonResult jsonResult = icsmClient.getOfficeInfo(tenantId,userid);
                List<Map<String, Object>> dataList1 = (List<Map<String, Object>>)jsonResult.getData();
                for (int j = 0; j < dataList1.size(); j++)
                {
                    String CurrentofficeId = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("officeId")) ? ""
                            : dataList1.get(j).get("officeId").toString();
                    String customerCode = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("customerCode")) ? ""
                            : dataList1.get(j).get("customerCode").toString();
                    if(CurrentofficeId.equals(officeid))
                    {
                        currentCustomer_code = customerCode;
                        break;
                    }
                }
                //

                String startTime5 = getFirstDayOfMonth1(year,Integer.parseInt(mon)); //当月第1天
                String endTime5 = getLastDayOfMonth1(year,Integer.parseInt(mon));//当月最后1天

                Map<String, Object> params =new HashMap<>(20);
                params.put("tenantId", tenantId);
                params.put("user_id", userid);
                params.put("startDate", startTime5);
                params.put("endDate", endTime5);
                params.put("deviceId", deviceCode);

                Map<String, Object> result = new HashMap<String, Object>();
                List<Map<String,Object>> list5 = repPrinterSandPassrateDao.sumPrinterSandPassrateQiangDuDataStarEvaluate(params);
                if( list5==null || list5.size()==0 ){
                    continue;
                }
                String[] deviceArray = new String[list5.size()];
                Object[] rateArray = new String[list5.size()];
                Object[] aveArray = new String[list5.size()];
                DecimalFormat df =new DecimalFormat("0.000");
                DecimalFormat df11 =new DecimalFormat("0.00");
                for(int k=0;k<list5.size();k++)
                {
                    Map<String,Object> m = list5.get(k);
                    String device_id = (String) m.get("device_id");
                    BigDecimal sxmd = (BigDecimal) m.get("sxmd");
                    BigDecimal sxmdAve = (BigDecimal) m.get("sxmdAve");
                    Long count = (Long) m.get("count");
                    deviceArray[k] = device_id;
                    rateArray[k] = df.format(sxmd.divide(new BigDecimal(count), 3, BigDecimal.ROUND_HALF_UP)); //合格率
                    aveArray[k] = df11.format(sxmdAve.divide(new BigDecimal(count), 3, BigDecimal.ROUND_HALF_UP));//平均值
                }
                if(rateArray.length == 0)
                {
                    continue;
                }
                double rate5 = 0;
                for(int m=0;m<rateArray.length;m++)
                {
                    rate5+= Double.parseDouble(rateArray[m].toString());
                }
//				if(rateArray.length >0)
//				{
//					rate5 = rate5/rateArray.length; //单台设备当前余月份数据的均值
//				}
//				else
//					rate5 =0.0;
                rate5 = rateArray.length==0?0:rate5/rateArray.length;
//				rate5 = Double.valueOf(rateArray[0].toString()); //单台设备单集合
                RepPrinterEvaluateTargetDicVO vo5 = repPrinterEvaluateTargetDicService.getRepPrinterEvaluateTargetDicByKey("QDHGL",currentCustomer_code);
                BigDecimal target_value_5 =new BigDecimal(0.0);
                BigDecimal target_value1_5 =new BigDecimal(0.0);
                BigDecimal target_value2_5 =new BigDecimal(0.0);
                BigDecimal target_weight_5 =new BigDecimal(0.0);
                String indexname5 ="";
                if(vo5 !=null)
                {
                    target_value_5 =vo5.getTargetValue();
                    target_weight_5 = vo5.getTargetWeight();
                    indexname5 = vo5.getIndexName();
                    statistics_type5 = vo5.getStatisticsType();
                }
                else
                {
                    continue;   //没有归属机构的设备忽略掉
                }
                double result5 = 0.0;
                BigDecimal D5 = new BigDecimal(result5);
                double weight = Double.parseDouble(target_weight_5.toString()) / 100;
                double targetvalue = Double.valueOf(target_value_5.toString()) / 100;

                if(rate5 >= targetvalue) //x>= 90%  10分
                {
                    Double temp = 10.0;
                    D5 = new BigDecimal(temp);
                }
                if(rate5 < targetvalue)// x < 90%
                {
                    Double temp = 0.0;
                    temp = 10 * rate5;
                    D5 = new BigDecimal(temp);
                }String expression = "";

                RepStarEvaluateVO newWorkVO2 = new RepStarEvaluateVO(tenantId,
                        deviceCode,
                        deviceTypeId,
                        String.valueOf(year),
                        String.valueOf(month),
                        indexname5,
                        statistics_type5,
                        expression,
                        BigDecimal.valueOf(rate5),
                        new BigDecimal(targetvalue),
                        target_value1_5,
                        target_value2_5,
                        new BigDecimal(weight),
                        D5,
                        officeid,
                        officename,
                        jixing,
                        Timestamp.valueOf(LocalDateTime.now()),
                        Timestamp.valueOf(LocalDateTime.now())
                );
                resultList5.add(newWorkVO2);
                deviceIdList5.add(deviceCode);

            }
        }
        if(!statistics_type5.equals(""))
        {
            starEvaluateDAO.deleteStarEvaluateByDate(String.valueOf(year),String.valueOf(month),statistics_type5,deviceIdList5);
            starEvaluateDAO.batchAdd(resultList5);
        }

        //6. 尺寸、外观、精度合格率
        List<RepStarEvaluateVO> resultList6 = new ArrayList<>(30);
        List<String> deviceIdList6 = new ArrayList<String>();
        List<RepStarEvaluateVO> resultList7 = new ArrayList<>(30);
        List<String> deviceIdList7 = new ArrayList<String>();
        List<RepStarEvaluateVO> resultList8 = new ArrayList<>(30);
        List<String> deviceIdList8 = new ArrayList<String>();
        //6.1 尺寸合格率
        for(int i=0;i<ListDataObj.size();i++)
        {
            String jixing = String.valueOf(ListDataObj.get(i).getJixing().toString());
            String deviceCode = String.valueOf(ListDataObj.get(i).getDeviceid().toString());
            String officeid = String.valueOf(ListDataObj.get(i).getOfficeid().toString());
            String officename = String.valueOf(ListDataObj.get(i).getOfficename().toString());
            //目前只有四川共享铸造KF、装备成形工厂KM1有废品数据
            if (officeid.equals("7b0c9a3a4e514c099569f4a37b7c7b43") || officeid.equals("9bbc696e35214674bf57e186d328f5b9"))
            {
                //读取当前机构下的指标设置  打印效率利用率DYXLLYL--------------------------------------------------
                String currentCustomer_code ="";
                JsonResult jsonResult = icsmClient.getOfficeInfo(tenantId,userid);
                List<Map<String, Object>> dataList1 = (List<Map<String, Object>>)jsonResult.getData();
                for (int j = 0; j < dataList1.size(); j++)
                {
                    String CurrentofficeId = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("officeId")) ? ""
                            : dataList1.get(j).get("officeId").toString();
                    String customerCode = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("customerCode")) ? ""
                            : dataList1.get(j).get("customerCode").toString();
                    if(CurrentofficeId.equals(officeid))
                    {
                        currentCustomer_code = customerCode;
                        break;
                    }
                }
                //
                String startTime6 = getFirstDayOfMonth1(year,Integer.parseInt(mon)); //当月第1天
                String endTime6 = getLastDayOfMonth1(year,Integer.parseInt(mon));//当月最后1天
                Map<String, Object> params =new HashMap<>(20);
                params.put("tenantId", tenantId);
                params.put("user_id", userid);
                params.put("startDate", startTime6);
                params.put("endDate", endTime6);
                params.put("deviceId", deviceCode);
                params.put("sxType", "0");

                List<Map<String,Object>> list6 = repPrinterStarPassrateDao.sumPrinterStarPassrateDataEvaluate(params);
                if( list6==null || list6.size()==0 ){
                    continue;
                }
                String[] deviceArray = new String[list6.size()];
                Object[] rateArray = new String[list6.size()];
                Object[] aveArray = new String[list6.size()];
                DecimalFormat df =new DecimalFormat("0.000");
                for(int k=0;k<list6.size();k++)
                {
                    Map<String,Object> m = list6.get(k);
                    String device_id = (String) m.get("device_id");
                    BigDecimal itemHglv = (BigDecimal) m.get("itemHglv");
                    Long count = (Long) m.get("count");
                    deviceArray[k] = device_id;
                    rateArray[k] = df.format(itemHglv.divide(new BigDecimal(count), 3, BigDecimal.ROUND_HALF_UP)); //合格率
                }
                if(rateArray.length == 0)
                {
                    continue;
                }
                double rate6 = 0;//计算该设备当前月的尺寸合格率
//				rate6 = Double.valueOf(rateArray[0].toString()); //单台设备单集合
                for(int m=0;m<rateArray.length;m++)
                {
                    rate6+= Double.parseDouble(rateArray[m].toString());
                }
                rate6 = rateArray.length==0?0:rate6/rateArray.length;

                RepPrinterEvaluateTargetDicVO vo6 = repPrinterEvaluateTargetDicService.getRepPrinterEvaluateTargetDicByKey("SIZEHGL",currentCustomer_code);
                BigDecimal target_value_6 =new BigDecimal(0.0);
                BigDecimal target_value1_6 =new BigDecimal(0.0);
                BigDecimal target_value2_6 =new BigDecimal(0.0);
                BigDecimal target_weight_6 =new BigDecimal(0.0);
                String indexname6 ="";
                if(vo6 !=null)
                {
                    target_value_6 =vo6.getTargetValue();
                    target_weight_6 = vo6.getTargetWeight();
                    indexname6 = vo6.getIndexName();
                    statistics_type6 = vo6.getStatisticsType();
                }
                else
                {
                    continue;   //没有归属机构的设备忽略掉
                }
                double result6 = 0.0;
                BigDecimal D6 = new BigDecimal(result6);
                double weight = Double.parseDouble(target_weight_6.toString()) / 100;
                double targetvalue = Double.valueOf(target_value_6.toString()) / 100;

                if(rate6 >= targetvalue) //x>= 90%  10分
                {
                    Double temp = 10.0;
                    D6 = new BigDecimal(temp);
                }
                if(rate6 < targetvalue)// x < 90%
                {
                    Double temp = 0.0;
                    temp = 10 * rate6;
                    D6 = new BigDecimal(temp);
                }String expression = "";

                RepStarEvaluateVO newWorkVO2 = new RepStarEvaluateVO(tenantId,
                        deviceCode,
                        deviceTypeId,
                        String.valueOf(year),
                        String.valueOf(month),
                        indexname6,
                        statistics_type6,
                        expression,
                        BigDecimal.valueOf(rate6),
                        new BigDecimal(targetvalue),
                        target_value1_6,
                        target_value2_6,
                        new BigDecimal(weight),
                        D6,
                        officeid,
                        officename,
                        jixing,
                        Timestamp.valueOf(LocalDateTime.now()),
                        Timestamp.valueOf(LocalDateTime.now())
                );
                resultList6.add(newWorkVO2);
                deviceIdList6.add(deviceCode);
            }
        }

        //6.2外观合格率
        for(int i=0;i<ListDataObj.size();i++)
        {
            String jixing = String.valueOf(ListDataObj.get(i).getJixing().toString());
            String deviceCode = String.valueOf(ListDataObj.get(i).getDeviceid().toString());
            String officeid = String.valueOf(ListDataObj.get(i).getOfficeid().toString());
            String officename = String.valueOf(ListDataObj.get(i).getOfficename().toString());
            //目前只有四川共享铸造KF、装备成形工厂KM1有废品数据
            if (officeid.equals("7b0c9a3a4e514c099569f4a37b7c7b43") || officeid.equals("9bbc696e35214674bf57e186d328f5b9"))
            {
                //读取当前机构下的指标设置  打印效率利用率DYXLLYL--------------------------------------------------
                String currentCustomer_code ="";
                JsonResult jsonResult = icsmClient.getOfficeInfo(tenantId,userid);
                List<Map<String, Object>> dataList1 = (List<Map<String, Object>>)jsonResult.getData();
                for (int j = 0; j < dataList1.size(); j++)
                {
                    String CurrentofficeId = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("officeId")) ? ""
                            : dataList1.get(j).get("officeId").toString();
                    String customerCode = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("customerCode")) ? ""
                            : dataList1.get(j).get("customerCode").toString();
                    if(CurrentofficeId.equals(officeid))
                    {
                        currentCustomer_code = customerCode;
                        break;
                    }
                }

                // 外观
                String startTime7 = getFirstDayOfMonth1(year,Integer.parseInt(mon)); //当月第1天
                String endTime7 = getLastDayOfMonth1(year,Integer.parseInt(mon));//当月最后1天
                Map<String, Object> params7 =new HashMap<>(20);
                params7.put("tenantId", tenantId);
                params7.put("user_id", userid);
                params7.put("startDate", startTime7);
                params7.put("endDate", endTime7);
                params7.put("deviceId", deviceCode);
                params7.put("sxType", "1");

                List<Map<String,Object>> list7 = repPrinterStarPassrateDao.sumPrinterStarPassrateDataEvaluate(params7);
                if( list7==null || list7.size()==0 ){
                    continue;
                }
                String[] deviceArray7 = new String[list7.size()];
                Object[] rateArray7 = new String[list7.size()];
                DecimalFormat df7 =new DecimalFormat("0.000");
                for(int k=0;k<list7.size();k++)
                {
                    Map<String,Object> m = list7.get(k);
                    String device_id = (String) m.get("device_id");
                    BigDecimal itemHglv = (BigDecimal) m.get("itemHglv");
                    Long count = (Long) m.get("count");
                    deviceArray7[k] = device_id;
                    rateArray7[k] = df7.format(itemHglv.divide(new BigDecimal(count), 3, BigDecimal.ROUND_HALF_UP)); //合格率
                }
                if(rateArray7.length == 0)
                {
                    continue;
                }
                double rate7 = 0;//计算该设备当前月的尺寸合格率
//				rate7 = Double.valueOf(rateArray7[0].toString()); //单台设备单集合
                for(int m=0;m<rateArray7.length;m++)
                {
                    rate7+= Double.parseDouble(rateArray7[m].toString());
                }
                rate7 = rateArray7.length==0?0:rate7/rateArray7.length;

                RepPrinterEvaluateTargetDicVO vo7 = repPrinterEvaluateTargetDicService.getRepPrinterEvaluateTargetDicByKey("OUTWARDHGL",currentCustomer_code);
                BigDecimal target_value_7 =new BigDecimal(0.0);
                BigDecimal target_value1_7 =new BigDecimal(0.0);
                BigDecimal target_value2_7 =new BigDecimal(0.0);
                BigDecimal target_weight_7 =new BigDecimal(0.0);
                String indexname7 ="";
                if(vo7 !=null)
                {
                    target_value_7 =vo7.getTargetValue();
                    target_weight_7 = vo7.getTargetWeight();
                    indexname7 = vo7.getIndexName();
                    statistics_type7 = vo7.getStatisticsType();
                }
                else
                {
                    continue;   //没有归属机构的设备忽略掉
                }
                double result7 = 0.0;
                BigDecimal D7 = new BigDecimal(result7);
                double weight7 = Double.parseDouble(target_weight_7.toString()) / 100;
                double targetvalue7 = Double.valueOf(target_value_7.toString()) / 100;

                if(rate7 >= targetvalue7) //x>= 90%  10分
                {
                    Double temp = 10.0;
                    D7 = new BigDecimal(temp);
                }
                if(rate7 < targetvalue7)// x < 90%
                {
                    Double temp = 0.0;
                    temp = 10 * rate7;
                    D7 = new BigDecimal(temp);
                }
                String expression = "";

                RepStarEvaluateVO newWorkVO7 = new RepStarEvaluateVO(tenantId,
                        deviceCode,
                        deviceTypeId,
                        String.valueOf(year),
                        String.valueOf(month),
                        indexname7,
                        statistics_type7,
                        expression,
                        BigDecimal.valueOf(rate7),
                        new BigDecimal(targetvalue7),
                        target_value1_7,
                        target_value2_7,
                        new BigDecimal(weight7),
                        D7,
                        officeid,
                        officename,
                        jixing,
                        Timestamp.valueOf(LocalDateTime.now()),
                        Timestamp.valueOf(LocalDateTime.now())
                );
                resultList7.add(newWorkVO7);
                deviceIdList7.add(deviceCode);
            }
        }

        //6.3精度合格率
        for(int i=0;i<ListDataObj.size();i++)
        {
            String jixing = String.valueOf(ListDataObj.get(i).getJixing().toString());
            String deviceCode = String.valueOf(ListDataObj.get(i).getDeviceid().toString());
            String officeid = String.valueOf(ListDataObj.get(i).getOfficeid().toString());
            String officename = String.valueOf(ListDataObj.get(i).getOfficename().toString());
            //目前只有四川共享铸造KF、装备成形工厂KM1有废品数据
            if (officeid.equals("7b0c9a3a4e514c099569f4a37b7c7b43") || officeid.equals("9bbc696e35214674bf57e186d328f5b9"))
            {
                //读取当前机构下的指标设置  打印效率利用率DYXLLYL--------------------------------------------------
                String currentCustomer_code ="";
                JsonResult jsonResult = icsmClient.getOfficeInfo(tenantId,userid);
                List<Map<String, Object>> dataList1 = (List<Map<String, Object>>)jsonResult.getData();
                for (int j = 0; j < dataList1.size(); j++)
                {
                    String CurrentofficeId = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("officeId")) ? ""
                            : dataList1.get(j).get("officeId").toString();
                    String customerCode = org.springframework.util.StringUtils.isEmpty(dataList1.get(j).get("customerCode")) ? ""
                            : dataList1.get(j).get("customerCode").toString();
                    if(CurrentofficeId.equals(officeid))
                    {
                        currentCustomer_code = customerCode;
                        break;
                    }
                }

                // 精度
                String startTime8 = getFirstDayOfMonth1(year,Integer.parseInt(mon)); //当月第1天
                String endTime8 = getLastDayOfMonth1(year,Integer.parseInt(mon));//当月最后1天
                Map<String, Object> params8 =new HashMap<>(20);
                params8.put("tenantId", tenantId);
                params8.put("user_id", userid);
                params8.put("startDate", startTime8);
                params8.put("endDate", endTime8);
                params8.put("deviceId", deviceCode);
                params8.put("sxType", "2");

                List<Map<String,Object>> list8 = repPrinterStarPassrateDao.sumPrinterStarPassrateDataEvaluate(params8);
                if( list8==null || list8.size()==0 ){
                    continue;
                }
                String[] deviceArray8 = new String[list8.size()];
                Object[] rateArray8 = new String[list8.size()];
                DecimalFormat df8 =new DecimalFormat("0.000");
                for(int k=0;k<list8.size();k++)
                {
                    Map<String,Object> m = list8.get(k);
                    String device_id = (String) m.get("device_id");
                    BigDecimal itemHglv = (BigDecimal) m.get("itemHglv");
                    Long count = (Long) m.get("count");
                    deviceArray8[k] = device_id;
                    rateArray8[k] = df8.format(itemHglv.divide(new BigDecimal(count), 3, BigDecimal.ROUND_HALF_UP)); //合格率
                }
                if(rateArray8.length == 0)
                {
                    continue;
                }
                double rate8 = 0;//计算该设备当前月的精度合格率
//				rate8 = Double.valueOf(rateArray8[0].toString()); //单台设备单集合
                for(int m=0;m<rateArray8.length;m++)
                {
                    rate8+= Double.parseDouble(rateArray8[m].toString());
                }
                rate8 = rateArray8.length==0?0:rate8/rateArray8.length;

                RepPrinterEvaluateTargetDicVO vo8 = repPrinterEvaluateTargetDicService.getRepPrinterEvaluateTargetDicByKey("PRECISIONHGL",currentCustomer_code);
                BigDecimal target_value_8 =new BigDecimal(0.0);
                BigDecimal target_value1_8 =new BigDecimal(0.0);
                BigDecimal target_value2_8 =new BigDecimal(0.0);
                BigDecimal target_weight_8 =new BigDecimal(0.0);
                String indexname8 ="";
                if(vo8 !=null)
                {
                    target_value_8 =vo8.getTargetValue();
                    target_weight_8 = vo8.getTargetWeight();
                    indexname8 = vo8.getIndexName();
                    statistics_type8 = vo8.getStatisticsType();
                }
                else
                {
                    continue;   //没有归属机构的设备忽略掉
                }
                double result8 = 0.0;
                BigDecimal D8 = new BigDecimal(result8);
                double weight8 = Double.parseDouble(target_weight_8.toString()) / 100;
                double targetvalue8 = Double.valueOf(target_value_8.toString()) / 100;

                if(rate8 >= targetvalue8) //x>= 90%  10分
                {
                    Double temp = 10.0;
                    D8 = new BigDecimal(temp);
                }
                if(rate8 < targetvalue8)// x < 90%
                {
                    Double temp = 0.0;
                    temp = 10 * rate8;
                    D8 = new BigDecimal(temp);
                }
                String expression = "";

                RepStarEvaluateVO newWorkVO8 = new RepStarEvaluateVO(tenantId,
                        deviceCode,
                        deviceTypeId,
                        String.valueOf(year),
                        String.valueOf(month),
                        indexname8,
                        statistics_type8,
                        expression,
                        BigDecimal.valueOf(rate8),
                        new BigDecimal(targetvalue8),
                        target_value1_8,
                        target_value2_8,
                        new BigDecimal(weight8),
                        D8,
                        officeid,
                        officename,
                        jixing,
                        Timestamp.valueOf(LocalDateTime.now()),
                        Timestamp.valueOf(LocalDateTime.now())
                );
                resultList8.add(newWorkVO8);
                deviceIdList8.add(deviceCode);
            }
        }
        if(!statistics_type6.equals("")) //尺寸
        {
            starEvaluateDAO.deleteStarEvaluateByDate(String.valueOf(year),String.valueOf(month),statistics_type6,deviceIdList6);
            starEvaluateDAO.batchAdd(resultList6);
        }
        if(!statistics_type7.equals(""))//外观
        {
            starEvaluateDAO.deleteStarEvaluateByDate(String.valueOf(year),String.valueOf(month),statistics_type7,deviceIdList7);
            starEvaluateDAO.batchAdd(resultList7);
        }
        if(!statistics_type8.equals(""))//精度
        {
            starEvaluateDAO.deleteStarEvaluateByDate(String.valueOf(year),String.valueOf(month),statistics_type8,deviceIdList8);
            starEvaluateDAO.batchAdd(resultList8);
        }
*/

    }


    public static String getLastDayOfMonth1(int year, int month) {
        Calendar cal = Calendar.getInstance();
        //设置年份
        cal.set(Calendar.YEAR, year);
        //设置月份
        cal.set(Calendar.MONTH, month-1);
        //获取某月最大天数
        int lastDay = cal.getActualMaximum(Calendar.DATE);
        //设置日历中月份的最大天数
        cal.set(Calendar.DAY_OF_MONTH, lastDay);
        //格式化日期
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        return sdf.format(cal.getTime());
    }
    public static String getFirstDayOfMonth1(int year, int month) {
        Calendar cal = Calendar.getInstance();
        //设置年份
        cal.set(Calendar.YEAR, year);
        //设置月份
        cal.set(Calendar.MONTH, month-1);
        //获取某月最小天数
        int firstDay = cal.getMinimum(Calendar.DATE);
        //设置日历中月份的最小天数
        cal.set(Calendar.DAY_OF_MONTH,firstDay);
        //格式化日期
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        return sdf.format(cal.getTime());
    }

}
