package com.rootcloud.vo.device;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * @ClassName DeviceHistorySituationVO
 * @Description TODO
 * @Author w-liuyi01
 * @Date 2022/4/21 14:19
 * @Version 1.0
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseDeviceVO {

    @ApiModelProperty("设备ID")
    private String deviceId;

    @ApiModelProperty("模型Id")
    private String modelId;

    @ApiModelProperty("设备编号DEVICE_SBBM")
    private String deviceSbbm;

    @ApiModelProperty("设备名称DEVICE_SBMC")
    private String deviceSbmc;

    @ApiModelProperty("设备类型DEVICE_SBLX")
    private String deviceSblx;

    @ApiModelProperty("设备型号DEVICE_SBXH")
    private String deviceSbxh;

    @ApiModelProperty("设备更新时间")
    private String updateTime;

}
