package com.rootcloud.vo.device;

import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

/**
 * TODO
 *
 * @author wei.liao
 * @version 1.0
 * @date 2022/5/7 10:30
 */
@Data
public class CameraParam {
    @Size(max = 100,message = "名称字符只能在100长度之内")
    @NotNull(message = "名称不能为空")
    private String name;
    @Pattern(regexp = "((^[A-Za-z0-9_-]+$))", message = "序列号只能有数字、字母、特殊符号")
    @NotNull(message = "序列号不能为空")
    private String sno;
    @Pattern(regexp = "(([0-9]*))", message = "通道号只能有数字")
    @NotNull(message = "通道号不能为空")
    private String cno;
    private String model;
    private String factoryName;
    private String id;
    private String deviceId;
    private Integer orderIndex;

}
