package com.rootcloud.vo.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * TODO
 *
 * @author wei.liao
 * @version 1.0
 * @date 2022/4/18 17:14
 */
@Data
@Builder
public class DeviceMonthWorkTimeStatistics {
    @ApiModelProperty("本月总工时")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private BigDecimal total;
    @ApiModelProperty("今日工时")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private BigDecimal todayWorkTime;
    @ApiModelProperty("昨天工时")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private BigDecimal yesterdayWorkTime;
}

