package com.rootcloud.vo.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * TODO
 *
 * @author wei.liao
 * @version 1.0
 * @date 2022/4/18 17:13
 */
@Data
@Builder
public class DeviceWorkTimeStatistics {
    @ApiModelProperty("设备名称")
    private String name;
    @ApiModelProperty("设备总工时")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private BigDecimal workTotalTime;
    @ApiModelProperty("设备总工时百分比")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private BigDecimal workTotalTimeRate;

}
