package com.rootcloud.vo.device;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("任务日历List数据")
public class ServicePlanCalendarList {

    @ApiModelProperty("日历日期")
    private String  calendarDate;

    @ApiModelProperty("订单状态:1正常，0删除")
    private String  orderStatus;

    @ApiModelProperty("日期状态:1进行中，2已经完成，0暂停")
    private String  dateStatus;


    @ApiModelProperty("详情")
    private ServicePlanCalendarDetailsVO servicePlanCalendarDetailsVO;


    @ApiModelProperty("详情List")
    private List<ServicePlanCalendarDetailsVO> lists;

}