package com.rootcloud.vo.rest;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.NonNull;

/**
 * @author:xxxxx
 * @create: 2022-05-12 11:01
 * @Description: APP端报警查询入参
 */
@Data
@ApiModel(value = "APP端报警查询入参",description = "")
public class AppDeviceAlarmParam {
    //报警类别 1 规则报警 2故障码报警 二选一
    @NonNull
    private String alarmType;
    //设备ID
    private String deviceId;
    //当前页
    private Integer currentPage;
    //每页页数
    private Integer pageSize;
    //故障码
    private String code;
    //故障描述
    private String alarmDesc;
    //开始时间
    private String startTime;
    //结束时间
    private String endTime;

    public AppDeviceAlarmParam(){

    }
}
