package com.rootcloud.vo.rest;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.NonNull;

@Data
@ApiModel(value = "规则报警查询入参", description = "")
public class DeviceAlarmParam {
    //页签 1 待处理报警 2历史报警
    private String tag;
    //报警类别 1 规则报警 2故障码报警 二选一
    @NonNull
    private String alarmRule;
    //设备ID
    private String deviceId;
    //报警时间 ”yyyy-MM-dd HH:mm:ss~yyyy-MM-dd HH:mm:ss“
    private String time;
    //报警级别 1-5
    private String severityLevel;
    //报警状态 1-3
    private String alarmStatus;
    //确认情况 1-3
   // private String ackedState;
    //报警标签 待开发
  //  private String categoryId;
    //当前页
    private Integer currentPage;
    //每页页数
    private Integer pageSize;
    //故障码
    private String code;

    private String sbxhId;

    public DeviceAlarmParam() {

    }
}
