package com.rootcloud.vo.service;

import com.rootcloud.domain.entity.sp.NxUserInfoEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class NxUserInfoVo  extends NxUserInfoEntity {


    @ApiModelProperty("部门名称")
    private String departmentName;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("角色名称")
    private String roleName;

    @ApiModelProperty("主要联系人")
    private String mainContact;

    @ApiModelProperty("主要联系人电话")
    private String mainPhone;

    @ApiModelProperty("提醒方式")
    private String reminderMethod;
}
