package com.rootcloud.vo.service;


import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ServicePlanVo {

    @TableId
    private String servicePlanId;

    @ApiModelProperty("设备编码")
    private String  deviceCode;

    @ApiModelProperty("计划名称")
    private String  planName;

    @ApiModelProperty("计划类型")
    private String  planType;

    @ApiModelProperty("设备类型")
    private String  deviceType;

    @ApiModelProperty("设备型号")
    private String  deviceSbxh;

    @ApiModelProperty("计划周期【1：日2：周3：月4：年】")
    private Integer  planCycle;

    @ApiModelProperty("计划间隔")
    private Integer  planInterval;

    @ApiModelProperty("计划状态【0：待启动1：进行中2：已完成3：已暂停】")
    private Integer  planStatus;

    @ApiModelProperty("创建时间")
    private String  createTime;

    @ApiModelProperty("计划时间段开始时间")
    private String  planStartTime;

    @ApiModelProperty("计划时间段结束时间")
    private String  planEndTime;

    @ApiModelProperty("是否超时【0：未超时 1：已超时】")
    private Integer  isTimeout;

    @ApiModelProperty("提醒方式【0：邮件1：短信 2：站内信")
    private Integer  planRemindWay;

    @ApiModelProperty("完成时间节点【几天内】")
    private Integer  finishTimeNode;

    @ApiModelProperty("保养")
    private String  maintainContent;

    @ApiModelProperty("起停状态0停止1启动")
    private Integer  isStart;

    @ApiModelProperty("设置系统时间")
    private String   setValue;

    @ApiModelProperty("临时触发时间")
    private String  planLscfsj;
}
