package com.rootcloud.vo.todo;


import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TodoVo {

    @ApiModelProperty(value = "设备编码")
    private String deviceCode;

    @ApiModelProperty(value = "设备类型")
    private String deviceType;

    @ApiModelProperty(value = "设备型号")
    private String deviceSbxh;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "主题")
    private String title;

    @ApiModelProperty(value = "操作")
    private String operation;

    @ApiModelProperty(value = "时间")
    private String time;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "主键ID")
    private String nxTodoLibraryId;

    @ApiModelProperty(value = "服务类型")
    private String serveType;


    //1：已经解决（关闭） 其他未解决

    @ApiModelProperty(value = "待办状态")
    private String status;

    @ApiModelProperty(value = "服务计划主键")
    private String servicePlanId;

    @ApiModelProperty(value = "用户主键")
    private String userid;

    @ApiModelProperty(value = "订单主键")
    private String nxOrderId;

    @ApiModelProperty(value = "服务时间")
    private  String serviceTime;


    @ApiModelProperty("通知类型Code")
    private String adviceCode;

    @ApiModelProperty("区分标志")
    private String signData;

    @ApiModelProperty("消息码")
    private String typeCode;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @TableField(exist = false)
    private String engineerId;
    @TableField(exist = false)
    private String engineerName;

    private String sn;

    @ApiModelProperty("安装位号")
    private String partAzwh;

    @ApiModelProperty("工作时长")
    private String partGzsc;

    @ApiModelProperty("计划名称")
    private String  planName;

    @ApiModelProperty("计划完成时间")
    private String  planEndTime;

    @ApiModelProperty("系统模块")
    private String  partXtmk;

    @ApiModelProperty("迁入代办库时间")
    private String  creatTime;

    @ApiModelProperty("备件名称")
    private String  partBjmc;

    @ApiModelProperty("报警编码")
    private String bjbm;

    @ApiModelProperty("故障等级")
    private String gzdj;

    @ApiModelProperty("报警时间")
    private String bjsj;

    @ApiModelProperty("订单编号")
    private String ddbh;

    @ApiModelProperty("指派工程师")
    private String gcs;

    @ApiModelProperty("需求描述")
    private String xqms;


}
