package com.rootcloud.common;

import com.rootcloud.config.auth.LoginUserInfo;
import com.rootcloud.config.auth.UserContext;
import org.springframework.context.support.ReloadableResourceBundleMessageSource;

import java.nio.charset.StandardCharsets;
import java.util.Locale;

public class ResourceUtil {
    public static String getI18nMessage(String code) {
        Locale locale ;
        LoginUserInfo current = UserContext.current();
        if("en".equals(current.getLanguage())){
            locale = I18nUtil.localeEn;
        }else {
            locale = I18nUtil.localeCn;
        }
//        ReloadableResourceBundleMessageSource messageSource = new ReloadableResourceBundleMessageSource();
//        messageSource.setCacheSeconds(-1);
//        messageSource.setDefaultEncoding(StandardCharsets.UTF_8.name());
//        messageSource.setBasenames("i18n/messages/messages");
        String message = I18nUtil.messageSource.getMessage(code, null, locale);
        //I18nUtil.clear();
        return message;
    }
}