package com.rootcloud.common.net;

import net.sf.ezmorph.object.AbstractObjectMorpher;

import java.util.Date;

/** 
 * @version 1.0
 * @author WuXiaoJun 
 * @date 2015年9月23日 上午11:51:54  
 */

public class TimestampToDateMorpher extends AbstractObjectMorpher {  
	  
    public Object morph(Object value) {  
        if( value != null){  
            return new Date(Long.parseLong(String.valueOf(value)));  
        }     
        return null;  
    }  
  
    @Override  
    public Class<Date> morphsTo() {  
        return Date.class;  
    }  
      
    @SuppressWarnings("rawtypes")
	public boolean supports(Class clazz ){  
       return Long.class.isAssignableFrom( clazz );  
    }  
}  