package com.rootcloud.common.util;

public class DateConstant {
	/**
	 * 中文日期格式
	 */
	public static final String FMT_CH_DATE = "yyyy-MM-dd";

	/**
	 * 中文时间格式
	 */
	public static final String FMT_CH_TIME = "HH:mm:ss";

	/**
	 * 中文日期时间格式
	 */
	public static final String FMT_CH_DATETIME = "yyyy-MM-dd HH:mm:ss";

	/**
	 * 中文日期时间格式；带毫秒
	 */
	public static final String FMT_CH_DATETIMEMS = "yyyy-MM-dd HH:mm:ss.sss";

	/**
	 * yyyyMMddHHmmss日期时间格式
	 */
	public static final String FMT_JOIN_DATETIME = "yyyyMMddHHmmss";

	/**
	 * yyyyMMddHHmmss日期格式
	 */
	public static final String FMT_JOIN_DATE = "yyyyMMdd";
	
	/**
	 * 中文年月格式
	 */
	public static final String FMT_CH_YEARMON = "yyyy-MM";
	
	/**
	 * 中文年格式
	 */
	public static final String FMT_CH_YEAR = "yyyy";
}
