package com.rootcloud.domain.ao;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @ClassName HistorySituttionAO
 * @Description 获取历史工况参数
 * @Author w-liuyi01
 * @Date 2022/4/20 15:07
 * @Version 1.0
 */
@Data
public class HistorySituationAO {

    @ApiModelProperty("设备ID")
    @NotNull(message = "设备ID不能为空")
    private String deviceId;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("当前页数")
    @NotNull(message = "当前页数不能为空")
    private Integer pageSize;

    @ApiModelProperty("当前页")
    @NotNull(message = "当前页不能为空")
    private Integer currentPage;

}
