package com.rootcloud.domain.ao;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName NxUserInfo
 * @Description TODO
 * @Author w-liuyi01
 * @Date 2022/4/29 11:03
 * @Version 1.0
 */
@Data
public class NxUserInfoAO {

    @ApiModelProperty("用户提醒ID")
    private String nxUserInfoId;

    @ApiModelProperty("服务计划ID")
    private String servicePlanId;

    @ApiModelProperty("部门ID")
    private String departmentId;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("角色ID")
    private String roleId;

    @ApiModelProperty("部门ID名称")
    private String departmentIdName;

    @ApiModelProperty("用户ID名称")
    private String userIdName;

    @ApiModelProperty("角色ID名称")
    private String roleIdName;

    @ApiModelProperty("是否外部提醒（1：勾选外部提醒）")
    private String externalReminders;


    @ApiModelProperty("站内信提醒（1：勾选站内信提醒）")
    private String stationReminders;


    @ApiModelProperty("邮件提醒（1：勾选邮件提醒）")
    private String emailReminders;

    @ApiModelProperty("短信提醒（1：勾选短信提醒）")
    private String smsReminders;

    @ApiModelProperty("消息模板类型")
    private String infoType;

    @ApiModelProperty("消息模板内容")
    private String infoContent;

    @ApiModelProperty("消息模板Id")
    private String  infoXxmbid;


}
