package com.rootcloud.domain.ao;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 首页入参
 */
@Data
public class ReportStatisticAO {

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("日期类型1.近七天;2.近30天;3.当月4.当年")
    private String type;

    @ApiModelProperty("服务类型 001.维修单，002.保养单，003.技改单")
    private String serveType;

    @ApiModelProperty("业务类型： 默认是1")
    private String businessType;

    @ApiModelProperty("评价倒序专用： 默认是1")
    private String sortReverseOrder;

    @ApiModelProperty("订单状态")
    private String orderStatus;

    @ApiModelProperty("查询类型")
    private String selectType;
}
