package com.rootcloud.domain.ao;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ServicePlanCalendarAO {


    @NotBlank(message="月份时间yyyy-MM不能为空")
    @ApiModelProperty(value = "月份时间yyyy-MM", required = true, dataType = "java.lang.String")
    private String queryTime;


    @NotBlank(message="服务计划主键不能为空")
    @ApiModelProperty(value = "服务计划主键", required = true, dataType = "java.lang.String")
    private String servicePlanId;

}
