package com.rootcloud.domain.ao;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ServicePlanCalendarNewAO {

    @NotBlank(message="月份时间yyyy-MM不能为空")
    @ApiModelProperty(value = "月份时间yyyy-MM", required = true, dataType = "java.lang.String")
    private String queryTime;


    @ApiModelProperty("保养类型：一级保养、二级保养、三级保养、专项保养")
    private String maintenanceType;

    private String syZhid;

}
