package com.rootcloud.domain.dao;

import com.rootcloud.domain.vo.RepPrinterOutputVO;
import com.rootcloud.web.dto.ChanNengLiYongLvDto;
import com.rootcloud.web.dto.PrinterReportDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface RepPrinterOutputDao {
    void add(@Param("repPrinterOutputVOs") List<RepPrinterOutputVO> repPrinterOutputVOs);

    List<RepPrinterOutputVO> list(RepPrinterOutputVO repPrinterOutputVO);
    List<RepPrinterOutputVO> listPage(RepPrinterOutputVO repPrinterOutputVO);
    List<RepPrinterOutputVO> list1(RepPrinterOutputVO repPrinterOutputVO);
    List<RepPrinterOutputVO> listnew(RepPrinterOutputVO repPrinterOutputVO);

    List<Map<String,Object>> sumDeviceProductWasteData(PrinterReportDTO printerReportDTO);

    void deleteOutput(RepPrinterOutputVO c) ;

    void deleteOutputUpload(RepPrinterOutputVO c) ;


    List<ChanNengLiYongLvDto> chanNengLiYongLv(PrinterReportDTO printerReportDTO);
//    List<ChanNengLiYongLvDto> chanNengLiYongLvV2(PrinterReportDTO printerReportDTO);
}
