package com.rootcloud.domain.dao;

import com.rootcloud.domain.vo.RepPrinterReportItemVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface RepPrinterReportItemDao {
    void add(@Param("repPrinterReportItemVOs") List<RepPrinterReportItemVO> repPrinterReportItemVOs);

    void update(@Param("repPrinterReportItemVOs") List<RepPrinterReportItemVO> repPrinterReportItemVOs);

    List<RepPrinterReportItemVO> list(RepPrinterReportItemVO repPrinterReportImgVO);

    /**
     *	根据报告id信息
     */
    void deleteByReportId(Map<String, Object> params);
}
