package com.rootcloud.domain.dao;

import com.rootcloud.domain.vo.RepPrinterSandPassrateVO;
import com.rootcloud.web.dto.PrinterReportDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface RepPrinterSandPassrateDao {


    void add(@Param("repPrinterSandPassrateVOs") List<RepPrinterSandPassrateVO> repPrinterSandPassrateVOs);

    List<RepPrinterSandPassrateVO> list(RepPrinterSandPassrateVO repPrinterSandPassrateVO);
    List<RepPrinterSandPassrateVO> listPage(RepPrinterSandPassrateVO repPrinterSandPassrateVO);

    List<RepPrinterSandPassrateVO> listnew(RepPrinterSandPassrateVO repPrinterSandPassrateVO);

    List<Map<String,Object>> sumPrinterSandPassrateData(PrinterReportDTO printerReportDTO);
//
    List<Map<String,Object>> sumPrinterSandPassrateQiangDuData(PrinterReportDTO printerReportDTO);

    /* 星级评价提取强度数据**/
    List<Map<String,Object>> sumPrinterSandPassrateQiangDuDataStarEvaluate(Map<String, Object> params);

    void deleteSandPassrate(RepPrinterSandPassrateVO c) ;

    void deleteSandPassrateUpload(RepPrinterSandPassrateVO c) ;

}
