package com.rootcloud.domain.dao.part;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.rootcloud.domain.entity.NxPartFileEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 宁夏_配件档案
 * 
 * @author lipingan
 * @email lpa2273597772@163.com
 * @date 2022-05-11 20:12:35
 */
@Mapper
public interface NxPartFileDao extends BaseMapper<NxPartFileEntity> {

    int updateByPartCode(NxPartFileEntity record);

    int updateCkmc(NxPartFileEntity record);

    NxPartFileEntity getByPartCode(@Param("filePjbm") String filePjbm,@Param("fileCkbm") String fileCkbm,@Param("fileKwbm") String fileKwbm,@Param("syZhid") String syZhid);

    List<String> queryLgortCode();

    String queryLgorts();

    void removePartFile2();

    Integer insertPartFile2(NxPartFileEntity record);

}
