package com.rootcloud.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author HeJia
 * @since 2022/5/12
 */
@ApiModel("设备VO")
@Setter
@Getter
@ToString
public class DeviceVO {

    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("设备编码")
    private String deviceNo;

    @ApiModelProperty("设备类型名称")
    private String deviceTypeName;

    @ApiModelProperty("设备类型代码")
    private String deviceTypeCode;

    @ApiModelProperty("设备型号代码")
    private String deviceModelCode;

    @ApiModelProperty("设备型号名称")
    private String deviceModelName;

    @ApiModelProperty("设备地址")
    private String deviceAddress;

    @ApiModelProperty("维保状态【1==>正常；0==>其它】")
    private Integer maintenanceStatus;

    @ApiModelProperty("状态码")
    private Integer statusCode;

    @ApiModelProperty("状态描述")
    private String statusDesc;

    @ApiModelProperty("设备主键")
    private String deviceId;

    @ApiModelProperty("设备来源 1.是4.0平台的  其他 不是平台的")
    private String sblbSbly;


    @ApiModelProperty("设备联网状态")
    private String  onlineStatus;


    @ApiModelProperty("报警状态【1==>报警，其它正常】")
    private Integer alarmStatus;
}
