package com.rootcloud.domain.dto;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@ApiModel("配件信息VO")
@Setter
@Getter
@ToString
public class NxSparePartVo {
    /**
     * 配件id
     * */
    private String nxSparePartId;
    /**
     * 安装位号
     */
    private String partAzwh;
    /**
     * SN
     */
    private String partSn;
    /**
     * 备件状态
     */
    private String partBjzt;
    /**
     * 备件状态编码
     */
    private String partBjztbm;
    /**
     * 备件编码
     */
    private String partBjbm;
    /**
     * 设备编码
     */
    private String partSbbm;
    /**
     * 设备id
     */
    private String partSbid;
    /**
     * 备件名称
     */
    private String filePjmc;
    /**
     * 规格型号
     */
    private String partGgxh;
    /**
     * 寿命
     */
    private String partSm;
    /**
     * 预警值
     */
    private String partSmyjz;
    /**
     * 备注
     */
    private String partBz;
    /**
     * 系统模块
     */
    private String partXtmk;
    /**
     * 系统模块编码
     */
    private String partXtmkBm;
    /**
     * 是否是关键配件
     */
    private String partSfgjbj;
    /**
     * 工作时长
     */
    private String partGzsc;
    /**
     * 导入工作时长
     */
    private String partDrgzsc;
    /**
     * 安装日期
     */
    private String partAzrq;
    /**
     * 更换日期
     */
    private String partGhrq;
    /**
     * 利用率
     */
    private String partLyl;

    /**
     * 租户id
     */
    private String syZhid;

    /**
     * 审核通过时间
     */
    private String orderShtgsj;
}
