package com.rootcloud.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MyMessageEntity {
    @ApiModelProperty("消息类型")
    private String messageClass;

    @ApiModelProperty("息对象的编码 如设备编码  配件的编码")
    private String messageObjectCode;

    @ApiModelProperty("消息对象的名称")
    private String messageObjectName;

    @ApiModelProperty("消息的名称message")
    private String messageName;

    @ApiModelProperty("消息的内容")
    private String messageContent;

    @ApiModelProperty("消息的时间")
    private String messageTime;

    @ApiModelProperty("用户Id")
    private String userId;

    @ApiModelProperty("消息码")
    private String typeCode;

    @ApiModelProperty("通知类型Code")
    private String adviceCode;

    @ApiModelProperty("区分标志")
    private String signData;

    @ApiModelProperty("合同或清算 0：合同，1：结算")
    private String mesType;

    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("报警编码")
    private String bjbm;

    @ApiModelProperty("故障等级")
    private String gzdj;

    @ApiModelProperty("报警时间")
    private String bjsj;

    @ApiModelProperty("订单编号")
    private String orderOrdernumber;

    @ApiModelProperty("指派工程师")
    private String orderAssignengineer;

    @ApiModelProperty("需求描述")
    private String orderDemanddescription;

    @ApiModelProperty("设备名称")
    private String orderDevicename;

    @ApiModelProperty("设备编码")
    private String orderDevicecode;

    @ApiModelProperty("订单id")
    private String nxOrderId;

    @ApiModelProperty("设备型号")
    private String sbxh;


}