package com.rootcloud.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 宁夏_设备台账
 * 
 * @author lipingan
 * @email lpa2273597772@163.com
 * @date 2022-04-18 15:19:58
 */
@Data
@TableName("nx_je_device")
public class NxJeDeviceEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 设备编码
	 */
	private String deviceSbbm;
	/**
	 * 设备名称
	 */
	private String deviceSbmc;
	/**
	 * 设备类型CODE
	 */
	private String deviceSblx;
	/**
	 * 设备型号CODE
	 */
	private String deviceSbxh;
	/**
	 * 设备二维码
	 */
	private String deviceSbewm;
	/**
	 * 设备出厂日期
	 */
	private String deviceSbccrq;
	/**
	 * 设备详细地址
	 */
	private String deviceSbxxdz;
	/**
	 * 所属国家
	 */
	private String deviceSsgj;
	/**
	 * 所属省份名称
	 */
	private String deviceSssfmc;
	/**
	 * 所属省份编码
	 */
	private String deviceSssfbm;
	/**
	 * 所属城市名称
	 */
	private String deviceSscsmc;
	/**
	 * 所属区县名称
	 */
	private String deviceSsqxmc;
	/**
	 * 经度
	 */
	private String deviceJd;
	/**
	 * 纬度
	 */
	private String deviceWd;
	/**
	 * 客户ID
	 */
	private String deviceSskh;
	/**
	 * 设备状态
	 */
	private String deviceStatusCode;
	/**
	 * 联网状态
	 */
	private String deviceNetworkStatusCode;
	/**
	 * 所属客户名称
	 */
	private String deviceSskhmc;
	/**
	 * 所属区县编码
	 */
	private String deviceSsqxbm;
	/**
	 * 所属城市编码
	 */
	private String deviceSscsbm;
	/**
	 * 设备附件
	 */
	private String deviceSbfj;
	/**
	 * 设备类型
	 */
	private String deviceSblxName;
	/**
	 * 设备型号
	 */
	private String deviceSbxhName;
	/**
	 * 经纬度
	 */
	private String deviceJwd;
	/**
	 * 编辑标记
	 */
	private String syFuncedit;
	/**
	 * 主键ID
	 */
	@TableId
	private String nxJeDeviceId;
	/**
	 * 审核标记
	 */
	private String syAudflag;
	/**
	 * 登记部门主键
	 */
	private String syCreateorgid;
	/**
	 * 登记部门编码
	 */
	private String syCreateorg;
	/**
	 * 登记部门
	 */
	private String syCreateorgname;
	/**
	 * 登记时间
	 */
	private String syCreatetime;
	/**
	 * 登记人主键
	 */
	private String syCreateuserid;
	/**
	 * 登记人编码
	 */
	private String syCreateuser;
	/**
	 * 登记人
	 */
	private String syCreateusername;
	/**
	 * 数据状态
	 */
	private String syStatus;
	/**
	 * 排序字段
	 */
	private Integer syOrderindex;
	/**
	 * 流程实例ID
	 */
	private String syPiid;
	/**
	 * 流程定义ID
	 */
	private String syPdid;
	/**
	 * 集团公司名称
	 */
	private String syJtgsmc;
	/**
	 * 集团公司ID
	 */
	private String syJtgsid;
	/**
	 * 物模型ID
	 */
	private String modelId;
	/**
	 * 物实例标签
	 */
	private String deviceTag;
	/**
	 * 设备来源
	 */
	private String deviceSource;
	/**
	 * 设备入云时间
	 */
	private String createTime;
	/**
	 * 设备更新时间
	 */
	private String updateTime;
	/**
	 * 租户id
	 */
	private String syZhid;

}
