package com.rootcloud.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 宁夏_订单
 * 
 * @author lipingan
 * @email lpa2273597772@163.com
 * @date 2022-05-07 13:41:38
 */
@Data
@TableName("nx_order")
public class NxOrderEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 申请日期
	 */
	private String orderApplydate;
	/**
	 * 服务类型_NAME
	 */
	private String orderServicetypeName;
	/**
	 * 服务类型_CODE
	 */
	private String orderServicetypeCode;
	/**
	 * 客户名称
	 */
	private String orderCustomerName;
	/**
	 * 服务地址
	 */
	private String orderServiceaddress;
	/**
	 * 提报人
	 */
	private String orderInformant;
	/**
	 * 联系方式
	 */
	private String orderContactway;
	/**
	 * 需求描述
	 */
	private String orderDemanddescription;
	/**
	 * 附件
	 */
	private String orderFiles;
	/**
	 * 设备名称
	 */
	private String orderDevicename;
	/**
	 * 设备编码
	 */
	private String orderDevicecode;
	/**
	 * 设备类型
	 */
	private String orderDevicetype;
	/**
	 * 设备型号
	 */
	private String orderDevicemodel;
	/**
	 * 是否保修期内_NAME
	 */
	private String orderWarrantiesName;
	/**
	 * 是否保修期内_CODE
	 */
	private String orderWarrantiesCode;
	/**
	 * 服务方式_NAME
	 */
	private String orderServicemethodName;
	/**
	 * 服务方式_CODE
	 */
	private String orderServicemethodCode;
	/**
	 * 指派工程师
	 */
	private String orderAssignengineer;
	/**
	 * 派单时间
	 */
	private String orderDispatchtime;
	/**
	 * 计划开始时间
	 */
	private String orderPlanstarttime;
	/**
	 * 计划完成时间
	 */
	private String orderPlanendtime;
	/**
	 * 维修持续时间
	 */
	private String orderRepairduration;
	/**
	 * 接单时间
	 */
	private String orderOrdertime;
	/**
	 * 签到时间
	 */
	private String orderSigntime;

	/**
	 * 报工时间
	 */
	private String orderBgsj;

	/**
	 * 签到地址
	 */
	private String orderSignaddress;
	/**
	 * 故障原因
	 */
	private String orderCauseofissue;
	/**
	 * 解决方案
	 */
	private String orderSolution;
	/**
	 * 备注
	 */
	private String orderRemark;
	/**
	 * 订单状态_NAME
	 */
	private String orderOrderstatusName;
	/**
	 * 订单状态_CODE
	 */
	private String orderOrderstatusCode;
	/**
	 * 订单编号
	 */
	private String orderOrdernumber;
	/**
	 * 来源
	 */
	private String orderSource;
	/**
	 * 回访状态_NAME
	 */
	private String orderRevisitstatusName;
	/**
	 * 回访状态_CODE
	 */
	private String orderRevisitstatusCode;
	/**
	 * 服务地址_经度
	 */
	private String orderServiceaddressLongitude;
	/**
	 * 服务地址_维度
	 */
	private String orderServiceaddressDimension;
	/**
	 * 签到地址_经度
	 */
	private String orderSignaddressLongitude;
	/**
	 * 签到地址_维度
	 */
	private String orderSignaddressDimension;
	/**
	 * 故障类型
	 */
	private String orderFaulttyprName;
	/**
	 * 故障类型_CODE
	 */
	private String orderFaulttyprCode;
	/**
	 * 故障原因图片
	 */
	private String orderCauseofissuefile;
	/**
	 * 备注图片
	 */
	private String orderRemarkfile;
	/**
	 *  解决办法图片
	 */
	private String orderSolutionfile;
	/**
	 * 拒绝原因图片
	 */
	private String orderRefusefile;
	/**
	 * 拒绝原因
	 */
	private String orderRefuse;
	/**
	 * 签到图片
	 */
	private String orderSignfile;
	/**
	 * 工程师ID
	 */
	private String orderAssignengineerid;
	/**
	 * 遗留问题
	 */
	private String orderRemainingproblem;
	/**
	 * 改进建议
	 */
	private String orderSuggestions;
	/**
	 * 过程问题
	 */
	private String orderProcessproblem;
	/**
	 * 工作总结
	 */
	private String orderWorksummary;
	/**
	 * 驳回原因
	 */
	private String orderTurndown;
	/**
	 * 驳回原因附件
	 */
	private String orderTurndownfile;
	/**
	 * 协助工程师
	 */
	private String orderAssistengineer;
	/**
	 * 协助工程师ID
	 */
	private String orderAssistengineerid;
	/**
	 * 安装信息备注
	 */
	private String orderInstallremark;
	/**
	 * 安装信息备注图片
	 */
	private String orderInstallremarkfile;
	/**
	 * 遗留问题图片
	 */
	private String orderRemainingproblemfile;
	/**
	 * 改进建议图片
	 */
	private String orderSuggestionsfile;
	/**
	 * 过程问题图片
	 */
	private String orderProcessproblemfile;
	/**
	 * 工作总结图片
	 */
	private String orderWorksummaryfile;
	/**
	 * 主键ID
	 */
	@TableId
	private String nxOrderId;
	/**
	 * 审核标记
	 */
	private String syAudflag;
	/**
	 * 登记部门主键
	 */
	private String syCreateorgid;
	/**
	 * 登记部门编码
	 */
	private String syCreateorg;
	/**
	 * 登记部门
	 */
	private String syCreateorgname;
	/**
	 * 登记时间
	 */
	private String syCreatetime;
	/**
	 * 登记人主键
	 */
	private String syCreateuserid;
	/**
	 * 登记人编码
	 */
	private String syCreateuser;
	/**
	 * 登记人
	 */
	private String syCreateusername;
	/**
	 * 数据状态
	 */
	private String syStatus;
	/**
	 * 排序字段
	 */
	private Integer syOrderindex;
	/**
	 * 流程实例ID
	 */
	private String syPiid;
	/**
	 * 流程定义ID
	 */
	private String syPdid;
	/**
	 * 集团公司名称
	 */
	private String syJtgsmc;
	/**
	 * 集团公司ID
	 */
	private String syJtgsid;
	/**
	 * 流程启动人ID
	 */
	private String syStarteduser;
	/**
	 * 流程启动人
	 */
	private String syStartedusername;
	/**
	 * 流程已执行人ID
	 */
	private String syApprovedusers;
	/**
	 * 流程已执行人
	 */
	private String syApprovedusernames;
	/**
	 * 流程待执行人ID
	 */
	private String syPreapprovusers;
	/**
	 * 流程最后任务指派信息
	 */
	private String syLastflowinfo;
	/**
	 * 流程待执行人
	 */
	private String syPreapprovusernames;
	/**
	 * 流程任务指派人ID
	 */
	private String syLastflowuserid;
	/**
	 * 流程任务指派人
	 */
	private String syLastflowuser;
	/**
	 * 流程预警延期信息
	 */
	private String syWfwarn;
	/**
	 * 当前执行节点
	 */
	private String syCurrenttask;
	/**
	 * 流程预警延期标识
	 */
	private String syWarnflag;

	/**
	 * 流程
	 */
	private String orderLcinfo;
	/**
	 * 服务结果
	 */
	private String orderFwjg;


	/**
	 * 任务计划主键
	 */
	private String servicePlanId;

	/**
	 * 网点经度
	 */
	private String orderWdjd;
	/**
	 *网点纬度
	 */
	private String orderWdwd;

	/**
	 * 客户主键
	 */
	private String orderCustomerId;

	/**
	 * 是否解决
	 */
	private String orderSfjj;


	/**
	 * 审核通过时间
	 */
	private String orderShtgsj;


	/**
	 * 维保结束日期
	 */
	private String  orderWbjsrq;


	/**
	 * 客户联系人
	 */
	private String orderKhlxr;


	/**
	 * 保养内容
	 */
	private String orderBynr;


	/**
	 * 服务网点id
	 */
	private String orderFwwdid;

	/**
	 * 租户id
	 */
	private String syZhid;


	/**
	 * 触发类型  0 自动   1是手动
	 */
	private int triggerType;

	/**
	 * 保养内容名称
	 */
	private String orderBynrname;

	/**
	 * 保养级别
	 */
	private String orderByjb;

	/**
	 * 预检预修订单触发模式：自动、手动
	 */
	private String orderDdms;

	/**
	 * 是否延迟订单（设置临时触发时间） 20241231
	 */
	private String servicePlanOrderStatus;


}
