package com.rootcloud.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @author lujiumin
 * @date 2022/10/13
 * 描述：
 */
@Data
@TableName("nx_part_file_config")
public class NxPartFileConfigEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private String syZhid;
    /**
     * 请求入参
     */
    private String configQqrc;
    /**
     * 请求路径
     */
    private String configQqlj;

    /**
     * 命名空间
     */
    private String configMmkj;
    /**
     * 调用方法
     */
    private String configDyff;


    /**
     * 主键ID
     */
    @TableId
    private String nxPartFileConfigId;
    /**
     * 审核标记
     */
    private String syAudflag;
    /**
     * 登记部门主键
     */
    private String syCreateorgid;
    /**
     * 登记部门编码
     */
    private String syCreateorg;
    /**
     * 登记部门
     */
    private String syCreateorgname;
    /**
     * 登记时间
     */
    private String syCreatetime;
    /**
     * 登记人主键
     */
    private String syCreateuserid;
    /**
     * 登记人编码
     */
    private String syCreateuser;
    /**
     * 登记人
     */
    private String syCreateusername;
    /**
     * 数据状态
     */
    private String syStatus;
    /**
     * 排序字段
     */
    private Integer syOrderindex;
    /**
     * 流程实例ID
     */
    private String syPiid;
    /**
     * 流程定义ID
     */
    private String syPdid;
    /**
     * 集团公司名称
     */
    private String syJtgsmc;
    /**
     * 集团公司ID
     */
    private String syJtgsid;



}
