package com.rootcloud.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.rootcloud.domain.entity.DemoEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Author: xingjingying
 */
@Mapper
public interface CommonMapper extends BaseMapper {

    int getTableColumn(String tableName, String column);


    //通过租户id,查询4.0 clientid
    Map<String,String> getRootClient(@Param("syZhid") String syZhid);


    List<Map<String,String>> getRootClientList();
}
