package com.rootcloud.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.rootcloud.domain.entity.device.NxDeviceLocationEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * TODO
 *
 * @author wei.liao
 * @version 1.0
 * @date 2022/4/18 14:13
 */
@Mapper
public interface NxDeviceLocationMapper extends BaseMapper<NxDeviceLocationEntity> {

    @Select("select a.DEVICE_ID,a.TIME,LONGITUDE ,LATITUDE from nx_device_location a inner join ( select  DEVICE_ID,MAX(time) TIME from nx_device_location   where LONGITUDE is not null   group by DEVICE_ID  ) b on a.DEVICE_ID = b.DEVICE_ID and a.TIME = b.TIME ")
    List<NxDeviceLocationEntity> findAllDeviceLocation();
}
