package com.rootcloud.domain.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.rootcloud.domain.entity.NxTodoLibrary;
import com.rootcloud.vo.todo.TodoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 宁夏_待办库 Mapper 接口
 * </p>
 *
 * @author yangyijun
 * @since 2022-05-27
 */
@Mapper
public interface NxTodoLibraryMapper extends BaseMapper<NxTodoLibrary> {


    IPage<TodoVo> getPage(IPage<TodoVo> page, @Param("queryData") String queryData,@Param("userId") String userId,@Param("syZhid") String syZhid);

    IPage<TodoVo> getPageNew(IPage<TodoVo> page, @Param("queryData") String queryData,@Param("userId") String userId,@Param("syZhid") String syZhid);

}
