package com.rootcloud.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.rootcloud.domain.entity.sp.NxUserInfoEntity;
import com.rootcloud.vo.service.NxUserInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface NxUserInfoMapper extends BaseMapper<NxUserInfoEntity> {


    String queryUserIdsByDeptId(@Param("deptList") List<String> deptList);


    String getRoleName(@Param("roleList") List<String> roleList);


    String getDeptName(@Param("deptList") List<String> deptList);


    String getUserName(@Param("userList") List<String> userList);


    NxUserInfoVo selectBySeviceCode(@Param("deviceCode") String deviceCode,@Param("syZhid") String syZhid);
}
