package com.rootcloud.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.rootcloud.domain.entity.NxZskFaultCodeEntity;
import com.rootcloud.vo.faultcode.FaultCodeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author:xxxxx
 * @create: 2022-05-07 15:08
 * @Description: 故障等级mapper
 */
@Mapper
public interface NxZskFaultCodeMapper extends BaseMapper<NxZskFaultCodeEntity> {


    IPage<FaultCodeVo> getPage(IPage<FaultCodeVo> page, @Param("queryData") String queryData, @Param("faultcodeSblxcode") String faultcodeSblxcode);

    //@Param("level") String level,@Param("sbxhId") String sbxhId
    List<String> getCodes(Map<String,Object> maps);

    String getSbxh(@Param("id")String id);
}
