package com.rootcloud.domain.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.rootcloud.domain.vo.TechnicalTaskVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TechnicalTaskDAO {

    int addTechnicalTaskData(TechnicalTaskVO vo);

    List<TechnicalTaskVO> findTechnicalTaskList(TechnicalTaskVO vo);

    List<TechnicalTaskVO> findTechnicalTaskList2(@Param("tenantId") String tenantId,
                                                 @Param("customerCode") String customerCode,@Param("deviceCode") String deviceCode);
    int updateTechnicalTaskStatus(TechnicalTaskVO vo);

    int updateTechnicalTask(TechnicalTaskVO vo);
}
