package com.rootcloud.domain.model;

import com.rootcloud.common.NotBlank;
import com.rootcloud.common.Validate;
import io.swagger.annotations.ApiModelProperty;

@Validate
public class LappLiveCondition {

    /** 设备序列号 */
    @ApiModelProperty(value = "设备序列号", required = true)
    @NotBlank(message="设备序列号不可以为空")
    private String deviceSerial;

    /** 通道号 */
    @ApiModelProperty(value = "通道号", required = true)
    @NotBlank(message="通道号不能为空")
    private String channelNo;

    public String getDeviceSerial() {
        return deviceSerial;
    }

    public void setDeviceSerial(String deviceSerial) {
        this.deviceSerial = deviceSerial;
    }

    public String getChannelNo() {
        return channelNo;
    }

    public void setChannelNo(String channelNo) {
        this.channelNo = channelNo;
    }

}
