package com.rootcloud.domain.service.device;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.rootcloud.domain.entity.NxZskFaultCodeEntity;
import com.rootcloud.vo.faultcode.FaultCodeDetailVo;
import com.rootcloud.vo.faultcode.FaultCodeVo;

import java.util.List;

/**
 * @author:xxxxx
 * @create: 2022-05-07 15:16
 * @Description: 故障码服务接口
 */
public interface FaultCodeService extends IService<NxZskFaultCodeEntity> {
    List<NxZskFaultCodeEntity> queryFaultCodes(String level,String sbxhId);
    List<NxZskFaultCodeEntity> queryFaultCodesOfApp(List<String> levels,String codeName,String code);
    List<NxZskFaultCodeEntity> queryFaultCodesOfMessage(List<String> levels);


    /**
     * 分页查询知识库
     * @param page
     * @param size
     * @param queryData
     * @param faultcodeSblxcode
     * @return
     */
    IPage<FaultCodeVo> getPage(int page, int size,String queryData, String faultcodeSblxcode);


    /**
     * 通过知识库主键查询详情
     * @param nxZskFaultcodeId
     * @return
     */
    FaultCodeDetailVo selectById(String nxZskFaultcodeId);

    List<NxZskFaultCodeEntity> selectData(String syZhid,List<String> list);
}
