package com.rootcloud.domain.service.gbsj.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.rootcloud.domain.dao.ModelColorDao;
import com.rootcloud.domain.entity.base.ModelColor;
import com.rootcloud.domain.mapper.ModelPropertyMapper;
import com.rootcloud.domain.service.gbsj.ModelColorService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author ruixiang.feng
 * @ClassName
 * @Description
 * @date 2022/4/21 11:02
 */
@Service("colorService")
@Slf4j
public class ModelColorServiceImpl extends ServiceImpl<ModelColorDao, ModelColor> implements ModelColorService {

    @Autowired
    private ModelPropertyMapper modelPropertyMapper;

    @Override
    public List<ModelColor> getColor() {
        return modelPropertyMapper.getColor();
    }
}
