package com.rootcloud.domain.service.message;

import com.rootcloud.common.JsonResult;
import com.rootcloud.domain.mapper.MessageModelMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 *
 * @author ruixiang.feng
 * @version 1.0
 * @date 2022/4/27 10:30
 */
@Service
@Slf4j
public class MessageModelService {

    @Autowired
    private MessageModelMapper messageModelMapper;


    public JsonResult<String> delMessageModel(List<String> ids) {
        //判断服务计划是否绑定该模版配置
        int count = messageModelMapper.getFwjhCount(ids);
        if(count > 0){ //存在，不删除
            return JsonResult.failed("500","该消息模板已经绑定服务计划！");
        }
        messageModelMapper.delMessageModel(ids);
        return JsonResult.success();
    }
}
