package com.rootcloud.domain.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DeviceStatusStatistic {

    @ApiModelProperty("设备总数")
    private String deviceTotal;

    @ApiModelProperty("出租")
    private String lease;

    @ApiModelProperty("变卖")
    private String sellOff;

    @ApiModelProperty("闲置")
    private String free;

    @ApiModelProperty("封存")
    private String sealed;


    @ApiModelProperty("启用")
    private String enable;

    @ApiModelProperty("废弃")
    private String discard;

    @ApiModelProperty("在用")
    private String inUse;


    @ApiModelProperty("在制")
    private String inProcess;

    @ApiModelProperty("待交付")
    private String toBeDelivered;

}
