package com.rootcloud.domain.vo;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 打印机打印机树脂加入比 新旧砂加入占比 漏砂量统计
 *
 * @author  ZhouYZ 2020/03/20-11:03
 * @version V1.0
 **/
public class RepPrinterSandPercentVO {


    private Long id;

    private String officeId; //机构编码

    private String deviceId;  //设备编号

    private String deviceTypeId; //设备型号

    private Integer dataYear; //年

    private Integer dataMonth;  //月

    private Integer dataDay; //日

    private BigDecimal gkScDySxmd; //树脂加入比

    private String gkScDyXjszb; //新旧砂加入占比

    private BigDecimal gkScDyLsl; //漏砂量

    private BigDecimal gkScDyWsysl; //未使用砂量

    private BigDecimal gkScDyDyxl; //打印效率
    private BigDecimal gkScDyBtl; //布图率

    private BigDecimal sbBindercost; //树脂耗量

    private BigDecimal hmiVolume; //打印体积

    private BigDecimal sbMxAsandlv; //A砂用量

    private BigDecimal sbMxBsandlv; //B砂用量

    private BigDecimal sbMxMixingtimes; //混砂计数

    private BigDecimal hmiThickness; //打印层厚
    private BigDecimal sbActivatorcost; //固化剂耗量



    private String hmiJobid	;//打印编号
    private String hmiBegintime	;//开始打印时间
    private String hmiEndtime	;//打印结束时间
    private BigDecimal hmiTotaltimecost ;//打印耗时
    private Integer hmiCurprintlayer ;//当前打印层数
    private BigDecimal hmiCleanerCost;//清洗剂耗量

    private Date createDate; //数据生成时间
    private BigDecimal hmiLayercosttime ;//层打印耗时

    public RepPrinterSandPercentVO id(Long id) {
        this.id = id;
        return this;
    }

    public RepPrinterSandPercentVO() {}

    public RepPrinterSandPercentVO(
            String deviceId,
            String deviceTypeId) {
        this.deviceId = deviceId;
        this.deviceTypeId = deviceTypeId;
    }

    public BigDecimal getSbActivatorcost() {
        return sbActivatorcost;
    }

    public void setSbActivatorcost(BigDecimal sbActivatorcost) {
        this.sbActivatorcost = sbActivatorcost;
    }

    public RepPrinterSandPercentVO sbActivatorcost(BigDecimal sbActivatorcost) {
        this.sbActivatorcost = sbActivatorcost;
        return this;
    }

    public BigDecimal getGkScDyWsysl() {
        return gkScDyWsysl;
    }

    public void setGkScDyWsysl(BigDecimal gkScDyWsysl) {
        this.gkScDyWsysl = gkScDyWsysl;
    }

    public BigDecimal getHmiThickness() {
        return hmiThickness;
    }

    public void setHmiThickness(BigDecimal hmiThickness) {
        this.hmiThickness = hmiThickness;
    }

    public String getHmiJobid() {
        return hmiJobid;
    }

    public void setHmiJobid(String hmiJobid) {
        this.hmiJobid = hmiJobid;
    }

    public String getHmiBegintime() {
        return hmiBegintime;
    }

    public void setHmiBegintime(String hmiBegintime) {
        this.hmiBegintime = hmiBegintime;
    }

    public String getHmiEndtime() {
        return hmiEndtime;
    }

    public void setHmiEndtime(String hmiEndtime) {
        this.hmiEndtime = hmiEndtime;
    }

    public BigDecimal getHmiTotaltimecost() {
        return hmiTotaltimecost;
    }

    public void setHmiTotaltimecost(BigDecimal hmiTotaltimecost) {
        this.hmiTotaltimecost = hmiTotaltimecost;
    }

    public BigDecimal getHmiLayercosttime() {
        return hmiLayercosttime;
    }

    public void setHmiLayercosttime(BigDecimal hmiLayercosttime) {
        this.hmiLayercosttime = hmiLayercosttime;
    }

    public Integer getHmiCurprintlayer() {
        return hmiCurprintlayer;
    }

    public void setHmiCurprintlayer(Integer hmiCurprintlayer) {
        this.hmiCurprintlayer = hmiCurprintlayer;
    }

    public BigDecimal getHmiCleanerCost() {
        return hmiCleanerCost;
    }

    public void setHmiCleanerCost(BigDecimal hmiCleanerCost) {
        this.hmiCleanerCost = hmiCleanerCost;
    }

    public BigDecimal getSbBindercost() {
        return sbBindercost;
    }

    public void setSbBindercost(BigDecimal sbBindercost) {
        this.sbBindercost = sbBindercost;
    }

    public BigDecimal getHmiVolume() {
        return hmiVolume;
    }

    public void setHmiVolume(BigDecimal hmiVolume) {
        this.hmiVolume = hmiVolume;
    }

    public BigDecimal getSbMxAsandlv() {
        return sbMxAsandlv;
    }

    public void setSbMxAsandlv(BigDecimal sbMxAsandlv) {
        this.sbMxAsandlv = sbMxAsandlv;
    }

    public BigDecimal getSbMxBsandlv() {
        return sbMxBsandlv;
    }

    public void setSbMxBsandlv(BigDecimal sbMxBsandlv) {
        this.sbMxBsandlv = sbMxBsandlv;
    }

    public BigDecimal getSbMxMixingtimes() {
        return sbMxMixingtimes;
    }

    public void setSbMxMixingtimes(BigDecimal sbMxMixingtimes) {
        this.sbMxMixingtimes = sbMxMixingtimes;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return this.id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceTypeId() {
        return deviceTypeId;
    }

    public void setDeviceTypeId(String deviceTypeId) {
        this.deviceTypeId = deviceTypeId;
    }



    public String getOfficeId() {
        return officeId;
    }

    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }

    public Integer getDataYear() {
        return dataYear;
    }

    public void setDataYear(Integer dataYear) {
        this.dataYear = dataYear;
    }

    public Integer getDataMonth() {
        return dataMonth;
    }

    public void setDataMonth(Integer dataMonth) {
        this.dataMonth = dataMonth;
    }

    public Integer getDataDay() {
        return dataDay;
    }

    public void setDataDay(Integer dataDay) {
        this.dataDay = dataDay;
    }

    public BigDecimal getGkScDySxmd() {
        return gkScDySxmd;
    }

    public void setGkScDySxmd(BigDecimal gkScDySxmd) {
        this.gkScDySxmd = gkScDySxmd;
    }

    public String getGkScDyXjszb() {
        return gkScDyXjszb;
    }

    public void setGkScDyXjszb(String gkScDyXjszb) {
        this.gkScDyXjszb = gkScDyXjszb;
    }

    public BigDecimal getGkScDyLsl() {
        return gkScDyLsl;
    }

    public void setGkScDyLsl(BigDecimal gkScDyLsl) {
        this.gkScDyLsl = gkScDyLsl;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }




    public RepPrinterSandPercentVO officeId(String officeId){
        this.officeId = officeId;
        return this;
    }

    public RepPrinterSandPercentVO deviceId(String deviceId){
        this.deviceId = deviceId;
        return this;
    }

    public RepPrinterSandPercentVO deviceTypeId(String deviceTypeId){
        this.deviceTypeId = deviceTypeId;
        return this;
    }

    public RepPrinterSandPercentVO dataYear(Integer dataYear){
        this.dataYear = dataYear;
        return this;
    }

    public RepPrinterSandPercentVO dataMonth(Integer dataMonth){
        this.dataMonth = dataMonth;
        return this;
    }

    public RepPrinterSandPercentVO dataDay(Integer dataDay){
        this.dataDay = dataDay;
        return this;
    }

    public RepPrinterSandPercentVO gkScDySxmd(BigDecimal gkScDySxmd){
        this.gkScDySxmd = gkScDySxmd;
        return this;
    }

    public RepPrinterSandPercentVO gkScDyXjszb(String gkScDyXjszb){
        this.gkScDyXjszb = gkScDyXjszb;
        return this;
    }

    public RepPrinterSandPercentVO gkScDyLsl(BigDecimal gkScDyLsl){
        this.gkScDyLsl = gkScDyLsl;
        return this;
    }

    //树脂耗量
    public RepPrinterSandPercentVO sbBindercost(BigDecimal sbBindercost){
        this.sbBindercost = sbBindercost;
        return this;
    }

    //清洗剂耗量
    public RepPrinterSandPercentVO hmiCleanerCost(BigDecimal hmiCleanerCost){
        this.hmiCleanerCost = hmiCleanerCost;
        return this;
    }


    //打印体积
    public RepPrinterSandPercentVO hmiVolume(BigDecimal hmiVolume){
        this.hmiVolume = hmiVolume;
        return this;
    }

    //A砂用量
    public RepPrinterSandPercentVO sbMxAsandlv(BigDecimal sbMxAsandlv){
        this.sbMxAsandlv = sbMxAsandlv;
        return this;
    }

    //B砂用量
    public RepPrinterSandPercentVO sbMxBsandlv(BigDecimal sbMxBsandlv){
        this.sbMxBsandlv = sbMxBsandlv;
        return this;
    }

    //混砂计数
    public RepPrinterSandPercentVO sbMxMixingtimes(BigDecimal sbMxMixingtimes){
        this.sbMxMixingtimes = sbMxMixingtimes;
        return this;
    }

    //打印编号
    public RepPrinterSandPercentVO hmiJobid(String hmiJobid){
        this.hmiJobid = hmiJobid;
        return this;
    }

    //开始打印时间
    public RepPrinterSandPercentVO hmiBegintime(String hmiBegintime){
        this.hmiBegintime = hmiBegintime;
        return this;
    }

    //打印结束时间
    public RepPrinterSandPercentVO hmiEndtime(String hmiEndtime){
        this.hmiEndtime = hmiEndtime;
        return this;
    }

    //打印耗时
    public RepPrinterSandPercentVO hmiTotaltimecost(BigDecimal hmiTotaltimecost){
        this.hmiTotaltimecost = hmiTotaltimecost;
        return this;
    }

    //层打印耗时
    public RepPrinterSandPercentVO hmiLayercosttime(BigDecimal hmiLayercosttime){
        this.hmiLayercosttime = hmiLayercosttime;
        return this;
    }

    //当前打印层数
    public RepPrinterSandPercentVO hmiCurprintlayer(Integer hmiCurprintlayer){
        this.hmiCurprintlayer = hmiCurprintlayer;
        return this;
    }

    //打印层厚
    public RepPrinterSandPercentVO hmiThickness(BigDecimal hmiThickness) {
        this.hmiThickness = hmiThickness;
        return this;
    }

    public RepPrinterSandPercentVO gkScDyWsysl(BigDecimal gkScDyWsysl) {
        this.gkScDyWsysl = gkScDyWsysl;
        return this;
    }

    public BigDecimal getGkScDyDyxl() {
        return gkScDyDyxl;
    }

    public void setGkScDyDyxl(BigDecimal gkScDyDyxl) {
        this.gkScDyDyxl = gkScDyDyxl;
    }

    public RepPrinterSandPercentVO gkScDyDyxl(BigDecimal gkScDyDyxl) {
        this.gkScDyDyxl = gkScDyDyxl;
        return this;
    }

    public BigDecimal getGkScDyBtl() {
        return gkScDyBtl;
    }

    public void setGkScDyBtl(BigDecimal gkScDyBtl) {
        this.gkScDyBtl = gkScDyBtl;
    }
    public RepPrinterSandPercentVO gkScDyBtl(BigDecimal gkScDyBtl) {
        this.gkScDyBtl = gkScDyBtl;
        return this;
    }

}
