package com.rootcloud.domain.vo;


import java.math.BigDecimal;

/**
 * 星级评价数据源，砂型尺寸、外观、精度
 * @author whl
 *
 */
public class RepPrinterStarPassrateVO {

    /**
     * 主键
     */
    private Integer id;
    private Integer sxType;
    /**
     * 设备编号
     */
    private  String deviceId;
    /**
     * 年份
     */
    private Integer dataYear;
    /**
     * 月份
     */
    private Integer dataMonth;
    /**
     * 日期
     */
    private Integer dataDay;
    /**
     * 砂型检验合格率
     */
    private BigDecimal itemHglv;


    /**
     * 砂型检验数目
     */
    private Integer itemInspect;

    /**
     * 砂型检验合格数
     */
    private Integer itemHgnum;

    //开始日期
    private String startDate ;

    //结束日期
    private String endDate ;

    /**
     * 数据生成时间
     */
    private  String createDate;

    private String customerName;

    private Integer startNo ;
    private Integer endNo ;

    public Integer getSxType() {
        return sxType;
    }

    public void setSxType(Integer sxType) {
        this.sxType = sxType;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public BigDecimal getItemHglv() {
        return itemHglv;
    }

    public void setItemHglv(BigDecimal itemHglv) {
        this.itemHglv = itemHglv;
    }

    public Integer getItemInspect() {
        return itemInspect;
    }

    public void setItemInspect(Integer itemInspect) {
        this.itemInspect = itemInspect;
    }

    public Integer getItemHgnum() {
        return itemHgnum;
    }

    public void setItemHgnum(Integer itemHgnum) {
        this.itemHgnum = itemHgnum;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public Integer getDataYear() {
        return dataYear;
    }

    public void setDataYear(Integer dataYear) {
        this.dataYear = dataYear;
    }

    public Integer getDataMonth() {
        return dataMonth;
    }

    public void setDataMonth(Integer dataMonth) {
        this.dataMonth = dataMonth;
    }

    public Integer getDataDay() {
        return dataDay;
    }

    public void setDataDay(Integer dataDay) {
        this.dataDay = dataDay;
    }


    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public Integer getStartNo() {
        return startNo;
    }

    public void setStartNo(Integer startNo) {
        this.startNo = startNo;
    }

    public Integer getEndNo() {
        return endNo;
    }

    public void setEndNo(Integer endNo) {
        this.endNo = endNo;
    }
}
