package com.rootcloud.domain.vo;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 打印机运维报告目标值字典表
 *
 * @author  whl
 * @version V1.0
 **/
public class RepPrinterTargetDicVO {

    private Long id;

    private String customerId;  //客户编号
    private String customerName;  //客户名称

    private String statisticsType;  //统计类型

    private BigDecimal targetValue; //目标值

    private String targetShow;	//目标值（显示）

    private Date startDate; //开始日期

    private Date endDate;  //结束日期

    private Date createDate; //创建时间

    private Date updateDate; //修改时间

    private Integer startNo ;
    private Integer endNo ;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStatisticsType() {
        return statisticsType;
    }

    public void setStatisticsType(String statisticsType) {
        this.statisticsType = statisticsType;
    }

    public BigDecimal getTargetValue() {
        return targetValue;
    }

    public void setTargetValue(BigDecimal targetValue) {
        this.targetValue = targetValue;
    }

    public String getTargetShow() {
        return targetShow;
    }

    public void setTargetShow(String targetShow) {
        this.targetShow = targetShow;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public Integer getStartNo() {
        return startNo;
    }

    public void setStartNo(Integer startNo) {
        this.startNo = startNo;
    }

    public Integer getEndNo() {
        return endNo;
    }

    public void setEndNo(Integer endNo) {
        this.endNo = endNo;
    }
}
