package com.rootcloud.service;

import com.rootcloud.domain.vo.ConfigVO;

import java.util.List;
import java.util.Optional;

/**
 * 配置服务
 *
 * @author LiuQI 2018/8/29 10:40
 * @version V1.0
 **/
public interface ConfigService {
    void add(ConfigVO configVO);

    void delete(String code);

    List<ConfigVO> find(String code);

    List<ConfigVO> list();

    Optional<ConfigVO> findOne(String code);

    void update(String code, String value);

    void update(ConfigVO vo);

    default String getTenantId() {
        Optional<ConfigVO> configVOOptional = findOne("printer_tenant_id");
        return configVOOptional.map(ConfigVO::getValue).orElse("110");
    }
}
