package com.rootcloud.service.condition;
import com.rootcloud.common.vo.RepPageVO;

public class QueryUserReportCondition extends RepPageVO{


    private Long id;//用户报告id
    private String emails;			//邮箱
    private String officeId;  		//所属机构编号
    private String officeName; 		//机构名称
    private String customerId;  	//客户编号
    private String customerName; 	//客户名称

    private Integer dataYear;		//年份
    private Integer dataQuarter;	//季度
    private Integer dataMonth;		//月份
    private Integer dataWeek;		//周

    private Integer createType;		//默认为null,1为周，2为月，3为季，4为年，5为指定时间段 (生成报告)
    private String createCustomerCode;//指定客户编码生成报告

    private String startDt;//开始日期
    private String endDt;//结束日期

    private String deviceid;

    public String getStartDt() {
        return startDt;
    }
    public void setStartDt(String startDt) {
        this.startDt = startDt;
    }
    public String getEndDt() {
        return endDt;
    }
    public void setEndDt(String endDt) {
        this.endDt = endDt;
    }
    public String getCreateCustomerCode() {
        return createCustomerCode;
    }
    public void setCreateCustomerCode(String createCustomerCode) {
        this.createCustomerCode = createCustomerCode;
    }
    public Integer getCreateType() {
        return createType;
    }
    public void setCreateType(Integer createType) {
        this.createType = createType;
    }
    public Long getId() {
        return id;
    }
    public void setId(Long id) {
        this.id = id;
    }
    public String getEmails() {
        return emails;
    }
    public void setEmails(String emails) {
        this.emails = emails;
    }
    public String getOfficeId() {
        return officeId;
    }
    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }
    public String getOfficeName() {
        return officeName;
    }
    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }
    public String getCustomerId() {
        return customerId;
    }
    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }
    public String getCustomerName() {
        return customerName;
    }
    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }
    public Integer getDataYear() {
        return dataYear;
    }
    public void setDataYear(Integer dataYear) {
        this.dataYear = dataYear;
    }
    public Integer getDataQuarter() {
        return dataQuarter;
    }
    public void setDataQuarter(Integer dataQuarter) {
        this.dataQuarter = dataQuarter;
    }
    public Integer getDataMonth() {
        return dataMonth;
    }
    public void setDataMonth(Integer dataMonth) {
        this.dataMonth = dataMonth;
    }
    public Integer getDataWeek() {
        return dataWeek;
    }
    public void setDataWeek(Integer dataWeek) {
        this.dataWeek = dataWeek;
    }

    public String getDeviceid() {
        return deviceid;
    }

    public void setDeviceid(String deviceid) {
        this.deviceid = deviceid;
    }
}
