package com.rootcloud.vo.device;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * TODO
 *
 * @author wei.liao
 * @version 1.0
 * @date 2022/4/18 17:13
 */
@Data
@Builder
public class DeviceStatusStatistics {
    @ApiModelProperty("设备总数")
    private Integer deviceTotal;
    @ApiModelProperty("设备在线数")
    private Integer onlineCount;
    @ApiModelProperty("设备离线数")
    private Integer offlineCount;
    @ApiModelProperty("设备故障数")
    private Integer fault;
    @ApiModelProperty(value = "设备在线率",notes = "在线数除以设备总数")
    private Float onlineRate;
}
