package com.rootcloud.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lujiumin
 * @date 2023/7/5
 * 描述：
 */
@Data
@ApiModel(value = "生成订单入参")
public class OrderParam {

    @ApiModelProperty("服务类型  001 维修,002 保养")
    private String orderServicetypeCode;
    @ApiModelProperty("预约时间")
    private String orderApplydate;
    @ApiModelProperty("保养内容")
    private String orderBynr;
    @ApiModelProperty("需求描述")
    private String orderDemanddescription;
    @ApiModelProperty("订单状态")
    private String orderOrderstatusCode;
    @ApiModelProperty("待派工")
    private String orderOrderstatusName;
    @ApiModelProperty("设备id,多个逗号隔开")
    private String deviceIds;
    @ApiModelProperty("登录账号")
    private String loginName;
    @ApiModelProperty("登录密码")
    private String loginPassword;
    @ApiModelProperty("uid")
    private String uid;
}
