package com.rootcloud.vo.rest;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NonNull;

@Data
@ApiModel(value = "工况趋势查询入参model")
public class DeviceTrendParam {
    @NonNull
    @ApiModelProperty("设备1的ID（必填）")
    private String deviceId1;
    @ApiModelProperty("设备2的ID（选填）")
    private String deviceId2;

    @ApiModelProperty("工况属性1")
    private String property1;
    @ApiModelProperty("工况属性2")
    private String property2;
    @ApiModelProperty("工况属性3")
    private String property3;
    @ApiModelProperty("工况属性4")
    private String property4;
    @ApiModelProperty("时间")
    private String time;

    public DeviceTrendParam() {

    }
}
