package com.rootcloud;

import com.rootcloud.common.util.OrderNumberUtils;
import com.rootcloud.controller.*;
import org.junit.Before;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;
import org.springframework.web.context.WebApplicationContext;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = NXGXBaseApp.class,
        webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
//@ActiveProfiles("dev")
@AutoConfigureMockMvc
public class NxgxApplicationTests {

    private Logger logger = LoggerFactory.getLogger(NxgxApplicationTests.class);

    @Autowired
    private MockMvc mockMvc;
    @Autowired
    private RedisTemplate redisTemplate;

    @Autowired
    protected WebApplicationContext wac;
    @Autowired
    private JobController jobController;
    @Autowired
    private DeviceController deviceController;
    @Autowired
    private AppDeviceController appDeviceController;
    @Autowired
    private DeviceHistorySituationController deviceHistorySituationController;
    @Autowired
    private WorkStatusMonitorController workStatusMonitorController;
    @Autowired
    private OrderNumberUtils utils;

    @Before()  //这个方法在每个方法执行之前都会执行一遍
    public void setup() {

        mockMvc = MockMvcBuilders.webAppContextSetup(wac).build();  //初始化MockMvc对象


    }


    @org.junit.Test
    public void getAllCategoryTest() throws Exception {
        String s = utils.generateOrderNumber();
        System.out.println(s);
//        workStatusMonitorController.queryWorkStatus("CWnS7aGB5cfxZLXO3wv","0");
   /*    DevicePropertyValueParam devicePropertyValueParam = new DevicePropertyValueParam();
       devicePropertyValueParam.setDeviceId("19w5OHDnldK");
       List<String> propertyIds = new ArrayList<>();
       propertyIds.add("SB_ActivatorCost");
       propertyIds.add("SB_BinderCost");
       propertyIds.add("SB_MX_SandTotal_A");
       propertyIds.add("SB_MX_SandTotal_B");
       propertyIds.add("HMI_JobID");
       propertyIds.add("HMI_BeginTime");
       propertyIds.add("HMI_EndTime");
       propertyIds.add("HMI_TotalTimeCost");
       propertyIds.add("HMI_Thickness");
       propertyIds.add("HMI_Volume");
       propertyIds.add("HMI_CurPrintLayer");
       propertyIds.add("HMI_TotalLayer");
       devicePropertyValueParam.setPropertyIds(propertyIds);

        appDeviceController.queryPropertyValueByParam(devicePropertyValueParam);*/
       /* DeviceTrendParam deviceTrendParam = new DeviceTrendParam();
        deviceTrendParam.setDeviceId1("1a9xTpUkLy8");
        //deviceTrendParam.setDeviceId2("19AEOlfhd6g");
        deviceTrendParam.setProperty1("HMI_Volume");
        deviceTrendParam.setProperty2("HMI_TotalTimeCost");
        deviceTrendParam.setTime("2022-05-21 00:00:00~2022-05-25 05:16:00");
        deviceHistorySituationController.queryWorkTrendData(deviceTrendParam);*/
        // deviceController.monthWorkTimeStatistics("19w5MvShZaE","2022-05-21");
        //deviceController.display();

    }
//        //jobController.syncThingModelData();
//        DeviceAlarmParam param = new DeviceAlarmParam();
//        param.setTag("1");
//        param.setTime("2021-12-20 00:00:00~2022-04-20 00:00:00");
//        param.setPageSize(50);
//        param.setCurrentPage(1);
//        param.setAlarmRule("2");
//        param.setDeviceId("199NDWUrRew");
//        deviceController.queryDeviceAlarmInfo(param);

//    String responseString = mockMvc.perform(
//            get("/job/syncData")
//                .contentType(MediaType.APPLICATION_JSON_UTF8)
//                .param("pcode", "root")
//                    .header("abc","123")
//        ).andExpect(status().isOk())    //返回的状态是200
//        .andDo(print())         //打印出请求和相应的内容
//        .andReturn().getResponse().getContentAsString();   //将相应的数据转换为字符串
//    System.out.println("--------返回的json = " + responseString);
//    }

}
